package com.netapp.acquisition.aquisitionserverside.interfaces.data;

import javax.persistence.*;
import java.io.Serializable;

/**
 * Created by weis.
 * Date: Jun 10, 2010
 * Time: 10:59:18 AM
 */
@Entity
@Table(name = "ds_attrs")
public class DataSourceAttribute implements Serializable {
    @Transient
    private final static long serialVersionUID = 1L;
    
    @Id
    @GeneratedValue
    private long id;

    @Column(name = "name", nullable = false)
    private String name;

    @Column(name = "value", nullable = false)
    private String value;

    @ManyToOne
    @JoinColumn(name = "ds_id", nullable = false)
    private DataSource dataSource;

    @Version
    @Column(name = "version")
    private long version;

    public DataSourceAttribute() {
    }

    public DataSourceAttribute(String name, String value) {
        this.name = name;
        this.value = value;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public DataSource getDataSource() {
        return dataSource;
    }

    public void setDataSource(DataSource dataSource) {
        this.dataSource = dataSource;
    }

    public long getVersion() {
        return version;
    }

    public void setVersion(long version) {
        this.version = version;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        DataSourceAttribute that = (DataSourceAttribute) o;

        if (name != null ? !name.equals(that.name) : that.name != null) return false;
        if (value != null ? !value.equals(that.value) : that.value != null) return false;

        if (dataSource != null) {
            if (that.dataSource == null)
                return false;
            if (dataSource.getId() != that.dataSource.getId())
                return false;
        } else {
            if (that.dataSource != null)
                return false;
        }

        return true;
    }

    @Override
    public int hashCode() {
        int result = name != null ? name.hashCode() : 0;
        result = 31 * result + (value != null ? value.hashCode() : 0);
        result = 31 * result + (dataSource != null ? (int) dataSource.getId() : 0);
        return result;
    }
}
