package com.netapp.acquisition.aquisitionserverside.interfaces.data;

import javax.persistence.*;
import java.io.Serializable;

/**
 * Created by weis.
 * Date: Jun 17, 2010
 * Time: 3:02:18 PM
 */
@Entity
@Table(name = "ds_audit_details")
public class DataSourceAuditDetail implements Serializable {
    @Transient
    private final static long serialVersionUID = 1;

    @Id
    @GeneratedValue
    private Long id;

    @Column(name = "device_key", nullable = false)
    private String deviceName;

    @Column(name = "type", nullable = false)
    private String type;

    @ManyToOne
    @JoinColumn(name = "audit_id")
    private DataSourceAudit audit;

    @Column(name = "title", nullable = false)
    private String title;

    @Column(name = "message", nullable = false)
    private String message;

    @Version
    @Column(name = "version")
    private long version;

    public DataSourceAuditDetail() {
    }

    public DataSourceAuditDetail(long auditId, String deviceName, String type, String title, String message) {
        this.audit = new DataSourceAudit();
        this.audit.setId(auditId);

        this.deviceName = deviceName;
        this.type = type;
        this.title = title;
        this.message = message;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public DataSourceAudit getAudit() {
        return audit;
    }

    public void setAudit(DataSourceAudit audit) {
        this.audit = audit;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public long getVersion() {
        return version;
    }

    public void setVersion(long version) {
        this.version = version;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        DataSourceAuditDetail that = (DataSourceAuditDetail) o;

        if (id != null ? !id.equals(that.id) : that.id != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        return id != null ? id.hashCode() : 0;
    }
}


