package com.netapp.acquisition.aquisitionserverside.interfaces.data;

import javax.persistence.*;
import java.io.Serializable;

/**
 * Created by weis.
 * Date: Jun 29, 2010
 * Time: 8:56:01 AM
 */

@Entity
@Table(name = "ds_type_vendormodel")
public class DataSourceTypeVendorModel implements Serializable {
    @Transient
    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue
    private long id;

    @ManyToOne
    @JoinColumn(name = "ds_type_id", nullable = false)
    private DataSourceType dataSourceType;

    @Column(name = "vendorname", nullable = false)
    private String vendorName;

    @Column(name = "vendordescription", nullable = false)
    private String vendorDescription;

    @Column(name = "modelname", nullable = false)
    private String modelName;

    @Column(name = "modeldescription", nullable = false)
    private String modelDescription;

    @Version
    @Column(name = "version")
    private long version;

    public DataSourceTypeVendorModel() {
    }

    public DataSourceTypeVendorModel(long dataSourceTypeId, String vendorName, String vendorDescription, String modelName, String modelDescription) {
        this.dataSourceType = new DataSourceType();
        this.dataSourceType.setId(dataSourceTypeId);
        this.vendorName = vendorName;
        this.vendorDescription = vendorDescription;
        this.modelName = modelName;
        this.modelDescription = modelDescription;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public DataSourceType getDataSourceType() {
        return dataSourceType;
    }

    public void setDataSourceType(DataSourceType dataSourceType) {
        this.dataSourceType = dataSourceType;
    }

    public String getVendorName() {
        return vendorName;
    }

    public void setVendorName(String vendorName) {
        this.vendorName = vendorName;
    }

    public String getVendorDescription() {
        return vendorDescription;
    }

    public void setVendorDescription(String vendorDescription) {
        this.vendorDescription = vendorDescription;
    }

    public String getModelName() {
        return modelName;
    }

    public void setModelName(String modelName) {
        this.modelName = modelName;
    }

    public String getModelDescription() {
        return modelDescription;
    }

    public void setModelDescription(String modelDescription) {
        this.modelDescription = modelDescription;
    }

    public long getVersion() {
        return version;
    }

    public void setVersion(long version) {
        this.version = version;
    }
}
