package com.netapp.acquisition.aquisitionserverside.interfaces.data;

import javax.persistence.*;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;

@Entity
@Table(name = "originator")
public class Originator implements Serializable {
    @Transient
    private final static long serialVersionUID = 1L;

    @Id
    @GeneratedValue
    private long id;

    @Column(name = "ds_id", nullable = false)
    private long dsId;

    @Column(name = "devicekey", nullable = true)
    private String deviceKey;

    @Column(name = "name", nullable = false)
    private String name;

    @Column(name = "lastaccesstime", nullable = false)
    private long lastAccessTime;

    public Originator() {
    }

    public Originator(final long dsId, final String deviceKey, final String name, long lastAccessTime) {
        this.dsId = dsId;
        this.deviceKey = deviceKey;
        this.name = name;
        this.lastAccessTime = lastAccessTime;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getDsId() {
        return dsId;
    }

    public void setDsId(long dsId) {
        this.dsId = dsId;
    }

    public String getDeviceKey() {
        return deviceKey;
    }

    public void setDeviceKey(String deviceKey) {
        this.deviceKey = deviceKey;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public long getLastAccessTime() {
        return lastAccessTime;
    }

    public void setLastAccessTime(long lastAccessTime) {
        this.lastAccessTime = lastAccessTime;
    }
}
