/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.netapp.acquisition.aquisitionserverside.interfaces.local;
//      com.netapp.acquisition.aquisitionserverside.interfaces.local

import com.netapp.acquisition.aquisitionserverside.interfaces.data.AcquisitionServerException;
import com.netapp.acquisition.aquisitionserverside.interfaces.remote.AcquisitionServerSession;

import javax.ejb.Local;

/**
 * Created with IntelliJ IDEA.
 * User: decker
 * Date: 3/26/13
 * Time: 2:46 PM
 * Allow local clients to encode/decode passwords using functionality and algorithms provided by crypto-util.jar
 */
@Local
public interface AcquisitionServerSessionLocal extends AcquisitionServerSession {

    String JNDI_NAME = "java:global/mega-app/acqServer/AcquisitionServerSessionBean!com.netapp.acquisition.aquisitionserverside.interfaces.local.AcquisitionServerSessionLocal";
    
    /**
     * Encrypt the given password (using crypto-util.jar)
     * @param clearTextPassword the clear text password
     * @return the encrypted password
     * @throws AcquisitionServerException when the password can't be encrypted
     */
    public String encryptPassword(final String clearTextPassword) throws AcquisitionServerException;

    /**
     * Decrypt the given password (using crypto-util.jar)
     * @param encryptedPassword the encrypted password
     * @return the clear text password
     * @throws AcquisitionServerException when the password can't be decrypted
     */
    public String decryptPassword(final String encryptedPassword) throws AcquisitionServerException;
}
