/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.client.interfaces.data;


import java.util.HashMap;
import java.util.Map;


public class ZAPIManagerAggregateException extends ZAPIManagerException {
    private static final long serialVersionUID = 1;

    private final Map<Long, String> errorMessages = new HashMap<Long, String>();

    public ZAPIManagerAggregateException(final String errorMessage) {
        super(errorMessage);
    }

    public String getErrorMessageByVolumeID(final Long volumeID) {
        return errorMessages.get(volumeID);
    }

    public void addErrorMessageByVolumeID(final Long volumeID, final String errorMessage) {
        errorMessages.put(volumeID, errorMessage);
    }

    public Map<Long, String> getErrorMessages() {
        return errorMessages;
    }

    public boolean hasErrors() {
        return errorMessages.size() > 0;
    }
}
