package com.netapp.oci.netapp.client.interfaces.remote;


import com.onaro.sanscreen.server.interfaces.data.ServerInterfaceException;

import javax.ejb.Remote;

/**
 * @author Iti Behari
 *         Date: 7/8/13
 */
@Remote
public interface ParamRemote {

    /**
     * local JNDI name used to register and look up the EJB
     */
    String JNDI_NAME = "ejb:mega-app/server-core//ParamBean!com.netapp.oci.netapp.client.interfaces.remote.ParamRemote";

    /**
     *
     * Get param value for the key. If no value is found, returns defaultValue
     * @param paramKey param key
     * @param defaultValue default value to return if no value is found for the paramKey
     * @return
     */
    String get(String paramKey, String defaultValue);

    /**
     *
     * Get param value for the key. If no value is found, returns defaultValue
     * @param paramKey param key
     * @param defaultValue default value to return if no value is found for the paramKey
     * @return
     */
    boolean get(String paramKey, boolean defaultValue);

    /**
     *
     * Get param value for the key. If no value is found, returns defaultValue
     * @param paramKey param key
     * @param defaultValue default value to return if no value is found for the paramKey
     * @return
     */
    int get(String paramKey, int defaultValue);

    /**
     *
     * Get param value for the key. If no value is found, returns defaultValue
     * @param paramKey param key
     * @param defaultValue default value to return if no value is found for the paramKey
     * @return
     */
    long get(String paramKey, long defaultValue);

    /**
     *
     * Set param value for the key.
     * @param paramKey param key
     * @param value value to set for the paramKey
     * @return
     */
    void set(String paramKey, String value) throws ServerInterfaceException;

    /**
     *
     * Set param value for the key.
     * @param paramKey param key
     * @param value value to set for the paramKey
     * @return
     */
    void set(String paramKey, boolean value) throws ServerInterfaceException;

    /**
     *
     * Set param value for the key.
     * @param paramKey param key
     * @param value value to set for the paramKey
     * @return
     */
    void set(String paramKey, int value) throws ServerInterfaceException;

    /**
     *
     * Set param value for the key.
     * @param paramKey param key
     * @param value value to set for the paramKey
     * @return
     */
    void set(String paramKey, long value) throws ServerInterfaceException;


}
