/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.db;

import com.netapp.oci.platform.common.table.PreparedStatementWrapper;
import com.netapp.oci.platform.common.table.TableException;

import java.sql.Connection;

/**
 * @author Anton Sergeev
 */
public class NetAppPerformance {
    public static final NetAppPerformance INSTANCE = new NetAppPerformance();

    private NetAppPerformance() {
    }

    public void updateHistory(Connection connection, long time, String perfPackage, long datasourceId, long startTime, long duration,
                              String containerKey, int samplesReportedCount, int samplesInsertedCount, long leaseTime) throws TableException {
        PreparedStatementWrapper.createForUpdate(connection, "INSERT INTO netapp_performance.update_history VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?)")
                .setNext(time)
                .setNext(perfPackage)
                .setNext(datasourceId)
                .setNext(startTime)
                .setNext(duration)
                .setNext(containerKey)
                .setNext(samplesReportedCount)
                .setNext(samplesInsertedCount)
                .setNext(leaseTime)
                .executeUpdateEx();
    }

    public void ensureUpdateHistoryLifeSpan(Connection connection, long time, long lifeSpan) throws TableException {
        PreparedStatementWrapper.createForUpdate(connection, "DELETE FROM netapp_performance.update_history WHERE time < ?")
                .setNext(time - lifeSpan)
                .executeUpdateEx();
    }
}
