/*
 * $Id: //depot/prod/acquisition/main/tools/config/eclipse/.settings/org.eclipse.jdt.ui.prefs#1 $
 *
 * Copyright (c) 2017 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.oci.netapp.ems.shared.interfaces.data;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(name = "ems_event_parameter")
public class NetappEmsEventParameter implements Serializable {
    @Transient
    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue
    private Long id;

    @ManyToOne
    @JoinColumn(name = "eventId", nullable = false)
    private NetappEmsEvent event;

    @Column(name = "parameterName", nullable = false)
    private String parameterName;

    @Column(name = "parameterValue", nullable = false)
    private String parameterValue;

    /**
     * This is for the EntityManager.
     */
    public NetappEmsEventParameter() { }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public NetappEmsEvent getEvent() {
        return event;
    }


    public void setEvent(NetappEmsEvent event) {
        this.event = event;
    }


    public String getParameterName() {
        return parameterName;
    }


    public void setParameterName(String parameterName) {
        this.parameterName = parameterName;
    }


    public String getParameterValue() {
        return parameterValue;
    }


    public void setParameterValue(String parameterValue) {
        this.parameterValue = parameterValue;
    }


    @Override
    public String toString() {
        return "NetAppEmsEventParameter(parameterName="
                + this.getParameterName()
                + ", parameterValue="
                + this.getParameterValue()
                + ")";
    }

}
