/*
 * $Id: //depot/prod/acquisition/main/tools/config/eclipse/.settings/org.eclipse.jdt.ui.prefs#1 $
 *
 * Copyright (c) 2017 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.oci.netapp.ems.shared.interfaces.local;

import java.util.List;

import javax.ejb.Local;

import com.netapp.oci.netapp.ems.shared.interfaces.data.NetAppEmsEventException;
import com.netapp.oci.netapp.ems.shared.interfaces.data.NetappEmsEvent;

@Local
public interface NetAppEmsEventPersistence {
    String JNDI_NAME = "java:global/mega-app/server-core/NetAppEmsEventPersistenceBean!com.netapp.oci.netapp.ems.shared.interfaces.local.NetAppEmsEventPersistence";

    /**
     * Inserts EMS entity in netapp_model
     * @param emsMsg
     */
    void insertEvent(NetappEmsEvent emsEntity) throws NetAppEmsEventException;

    /**
     * Inserts list of EMS entities in netapp_model
     * @param emsEntities
     * @throws NetAppEmsEventException
     */
    void insertEvents(List<NetappEmsEvent> emsEntities) throws NetAppEmsEventException;

    /**
     * Return timestamp of latest ems event retrieved for a given cluster uuid
     * @param uuid
     * @return last event timestamp
     * @throws NetAppEmsEventException
     */
    long getLastEventTimestamp(String uuid) throws NetAppEmsEventException;

    /**
     * Purge EMS events associated with the input cluster.
     *
     * @param clusterUuid
     * @throws NetAppEmsEventException
     */
   void deleteEmsEventsByCluserUuid(String clusterUuid) throws NetAppEmsEventException;

}
