/*
 * $Id: //depot/prod/acquisition/main/tools/config/eclipse/.settings/org.eclipse.jdt.ui.prefs#1 $
 *
 * Copyright (c) 2017 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.oci.netapp.ems.shared.interfaces.local;

import java.util.Map;

import javax.ejb.Local;

import com.netapp.oci.netapp.interfaces.data.NetappInterfaceException;

@Local
public interface NetappEmsMsgListenerRegistry {
    String JNDI_NAME = "java:global/mega-app/server-core/NetappEmsMsgListenerRegistryBean!com.netapp.oci.netapp.ems.shared.interfaces.local.NetappEmsMsgListenerRegistry";

    /**
     * Register a listener identified by the listener name, also tells acquisition if the server certificate is regenerated.
     *
     * @param listenerName
     * @param listener
     * @param withCertRegenerated
     * @throws NetappInterfaceException
     */
    void register(String listenerName, EmsMsgListener listener, boolean withCertRegenerated) throws NetappInterfaceException;

    /**
     * Unregister the listener identified by the listenerName.
     *
     * @param sampleType
     * @param listenerName
     */
    void unregister(String listenerName) throws NetappInterfaceException;

    /**
     * Get all the listeners that subscribe EMS messages.
     *
     * @return
     */
    Map<String, EmsMsgListener> getEmsMsgListeners();

    /**
     * Pull EMS events and send them to all registered listeners
     * @param listenerName
     * @throws NetappInterfaceException
     */
    public void pullEvents() throws NetappInterfaceException;

}
