/*
 * $Id: //depot/prod/acquisition/main/tools/config/eclipse/.settings/org.eclipse.jdt.ui.prefs#1 $
 *
 * Copyright (c) 2017 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.oci.netapp.interfaces.data;

/**
 * POJO for the netapp_model.ems_config table
 */
public class NetAppEmsConfig {
    public enum ObjectType {
        AGGREGATE, CLUSTER, CLUSTER_NODE, FCP_LIF, FCP_PORT, LUN, NETWORK_LIF, NETWORK_PORT, QTREE, SNAP_MIRROR, STORAGE_SERVICE, STORAGE_SHELF, SVM, VOLUME, NAMESPACE
    }

    public enum EmsMessageState {
        TO_BE_ADDED, ADDED, TO_BE_DELETED, DELETED
    }

    private Integer id;
    private String messageName;
    private String messageFilterRule;
    private ObjectType objectType;
    private String objectAccessTag;
    private String ontapVersion;
    private EmsMessageState state;

    public NetAppEmsConfig() {
    }

    public NetAppEmsConfig(Integer id, String messageName, String messageFilterRule, ObjectType objectType, String objectAccessTag, String ontapVersion,
        EmsMessageState state) {

        this.id = id;
        this.messageName = messageName;
        this.messageFilterRule = messageFilterRule;
        this.objectType = objectType;
        this.objectAccessTag = objectAccessTag;
        this.ontapVersion = ontapVersion;
        this.state = state;
    }

    public Integer getId() {
        return id;
    }

    public NetAppEmsConfig setId(Integer id) {
        this.id = id;
        return this;
    }

    public String getMessageName() {
        return messageName;
    }

    public NetAppEmsConfig setMessageName(String messageName) {
        this.messageName = messageName;
        return this;
    }

    public String getMessageFilterRule() {
        return messageFilterRule;
    }

    public NetAppEmsConfig setMessageFilterRule(String messageFilterRule) {
        this.messageFilterRule = messageFilterRule;
        return this;
    }

    public ObjectType getObjectType() {
        return objectType;
    }

    public NetAppEmsConfig setObjectType(ObjectType objectType) {
        this.objectType = objectType;
        return this;
    }

    public String getObjectAccessTag() {
        return objectAccessTag;
    }

    public NetAppEmsConfig setObjectAccessTag(String objectAccessTag) {
        this.objectAccessTag = objectAccessTag;
        return this;
    }

    public String getOntapVersion() {
        return ontapVersion;
    }

    public NetAppEmsConfig setOntapVersion(String ontapVersion) {
        this.ontapVersion = ontapVersion;
        return this;
    }

    public EmsMessageState getState() {
        return state;
    }

    public NetAppEmsConfig setState(EmsMessageState state) {
        this.state = state;
        return this;
    }


}
