/*
 * Copyright (c) 2011 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.originator.handler;

import com.netapp.oci.platform.originator.ObjState;
import com.netapp.oci.platform.originator.OriginatorUpdate;
import com.netapp.oci.platform.originator.OriginatorUpdateException;
import com.netapp.oci.platform.originator.handler.HandlerResult;
import com.netapp.oci.platform.originator.handler.XmlHandler;
import com.netapp.oci.platform.originator.key.KeyCacheException;
import com.netapp.oci.platform.originator.key.UuidKey;

import java.util.Map;

/**
 * @author Al Velella
 *         Date: Nov 8, 2011
 *         Time: 5:20:17 PM
 */
public class HaPairHandler extends XmlHandler {
    public static final String TAG = "HAPair";
    public static final String TABLE_NAME = "netapp_model.ha_pair";

    public HaPairHandler() {
        super(TAG, TABLE_NAME);
    }

    @Override
    public HandlerResult parseProperties(OriginatorUpdate originatorUpdate, Map<String, String> properties,
                                         Map<UuidKey, ObjState> keyToObjState) throws OriginatorUpdateException, KeyCacheException {
        // generate internal UUID
        final String node1UUID = properties.get("Node1UUID");
        final String node2UUID = properties.get("Node2UUID");
        properties.put("UUID", buildCompoundUUID(node1UUID, node2UUID));

        return new HandlerResult(originatorUpdate, this, properties, "UUID", keyToObjState)
                .column("Node1ID", originatorUpdate.getRequiredObjectIdByTagname("Node", properties.get("Node1UUID"), getTagName()))
                .column("Node2ID", originatorUpdate.getRequiredObjectIdByTagname("Node", properties.get("Node2UUID"), getTagName()));
    }

}
