/*
 * Copyright (c) 2012 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.originator.handler;

import com.netapp.oci.platform.originator.ObjState;
import com.netapp.oci.platform.originator.OriginatorUpdate;
import com.netapp.oci.platform.originator.OriginatorUpdateException;
import com.netapp.oci.platform.originator.handler.HandlerResult;
import com.netapp.oci.platform.originator.handler.XmlHandler;
import com.netapp.oci.platform.originator.key.KeyCacheException;
import com.netapp.oci.platform.originator.key.UuidKey;

import java.util.Map;

/**
 * @author Al Velella
 *         Date: Aug 16, 2012
 *         Time: 3:46:10 PM
 */
public class NetworkPortRelationshipHandler extends XmlHandler {

    public NetworkPortRelationshipHandler() {
        super("NetworkPortRelationship", "netapp_model.network_port_relationship");
    }    

    @Override
    public HandlerResult parseProperties(OriginatorUpdate originatorUpdate, Map<String, String> properties,
                                         Map<UuidKey, ObjState> keyToObjState) throws OriginatorUpdateException, KeyCacheException {
        // remap NetworkPortUUID to UUID for table consistency
        String networkPortUuid = properties.get("NetworkPortUUID");
        properties.put("UUID", networkPortUuid);

        return new HandlerResult(originatorUpdate, this, properties, "UUID", keyToObjState)
                .column("VLANPortID", originatorUpdate.getObjectIdByTagname("NetworkPort", properties.get("VLANPortUUID")))
                .column("IFGRPPortID", originatorUpdate.getObjectIdByTagname("NetworkPort", properties.get("IFGRPPortUUID")));
    }
}
