/*
 * Copyright (c) 2012 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.originator.handler;

import com.netapp.oci.platform.originator.ObjState;
import com.netapp.oci.platform.originator.OriginatorUpdate;
import com.netapp.oci.platform.originator.OriginatorUpdateException;
import com.netapp.oci.platform.originator.handler.HandlerResult;
import com.netapp.oci.platform.originator.handler.XmlHandler;
import com.netapp.oci.platform.originator.key.KeyCacheException;
import com.netapp.oci.platform.originator.key.UuidKey;

import java.util.Map;

/**
 * @author Al Velella
 *         Date: Oct 17, 2012
 *         Time: 5:24:09 PM
 */
public class QosServiceCenterRelationshipHandler extends XmlHandler {

    public QosServiceCenterRelationshipHandler() {
        super("QosServiceCenterRelationship", "netapp_model.qos_service_center_relationship");
    }

    @Override
    public HandlerResult parseProperties(OriginatorUpdate originatorUpdate, Map<String, String> properties, Map<UuidKey, ObjState> keyToObjState) throws OriginatorUpdateException, KeyCacheException {
        // Share object ID with parent (QosServiceCenter) table
        String parentUuid = properties.get("QosServiceCenterUUID");
        properties.put("UUID", parentUuid);

        Long parentResourceId = originatorUpdate.getObjectIdByTagname("QosServiceCenter", properties.get("ParentQosServiceCenterUUID"));

        return new HandlerResult(originatorUpdate, this, properties, "UUID", keyToObjState)
                .column("ParentQosServiceCenterId", parentResourceId);
    }
}
