/*
 * Copyright (c) 2012 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.originator.handler;

import com.netapp.oci.platform.originator.ObjState;
import com.netapp.oci.platform.originator.OriginatorUpdate;
import com.netapp.oci.platform.originator.OriginatorUpdateException;
import com.netapp.oci.platform.originator.handler.HandlerResult;
import com.netapp.oci.platform.originator.handler.XmlHandler;
import com.netapp.oci.platform.originator.key.KeyCacheException;
import com.netapp.oci.platform.originator.key.UuidKey;

import java.util.Map;

public class SnapMirrorSelfRelationshipHandler extends XmlHandler {
    public static final String TABLE_NAME = "netapp_model.snap_mirror_self_relationship";
    public static final String TAG = "SnapMirrorSelfRelationship";


    public SnapMirrorSelfRelationshipHandler() {
        super(TAG, TABLE_NAME);
    }

    @Override
    public HandlerResult parseProperties(OriginatorUpdate originatorUpdate, Map<String, String> properties,
                                         Map<UuidKey, ObjState> keyToObjState) throws OriginatorUpdateException, KeyCacheException {
        String volumeSnapMirrorUUID = properties.get("VolumeSnapMirrorUUID");
        properties.put("UUID", volumeSnapMirrorUUID);

        Long parentVServerSnapMirror = originatorUpdate.getRequiredObjectIdByTagname(SnapMirrorHandler.TAG, properties.get("VServerSnapMirrorUUID"), getTagName());


        return new HandlerResult(originatorUpdate, this, properties, "UUID", keyToObjState)
                .column("VserverSnapMirrorId", parentVServerSnapMirror);
    }
}
