/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.originator.handler;

import com.netapp.oci.platform.originator.ObjState;
import com.netapp.oci.platform.originator.OriginatorUpdate;
import com.netapp.oci.platform.originator.OriginatorUpdateException;
import com.netapp.oci.platform.originator.handler.HandlerResult;
import com.netapp.oci.platform.originator.handler.XmlHandler;
import com.netapp.oci.platform.originator.key.KeyCacheException;
import com.netapp.oci.platform.originator.key.UuidKey;

import java.util.Map;

/**
 * @author Shan Ponnusamy
 */
public class SnapshotPolicyVserverRelationshipHandler extends XmlHandler {

    public SnapshotPolicyVserverRelationshipHandler() {
        super("SnapshotPolicyVserverRelationship", "netapp_model.snapshot_policy_vserver_relationship");
    }    

    @Override
    public HandlerResult parseProperties(OriginatorUpdate originatorUpdate, Map<String, String> properties,
                                         Map<UuidKey, ObjState> keyToObjState) throws OriginatorUpdateException, KeyCacheException {
        // remap DiskUUID to UUID for table consistency
        String snapshotPolicyUUID = properties.get("SnapshotPolicyUUID");
        properties.put("UUID", snapshotPolicyUUID);

        return new HandlerResult(originatorUpdate, this, properties, "UUID", keyToObjState)
                .column("VserverId", originatorUpdate.getObjectIdByTagname("Vserver", properties.get("VserverUUID")));
    }
}
