/*
 * $Id$
 *
 * Copyright (c) 2015 NetApp, Inc.
 * All rights reserved.
 */

package com.netapp.oci.netapp.originator.handler;

import java.util.Map;

import com.netapp.oci.platform.originator.ObjState;
import com.netapp.oci.platform.originator.OriginatorUpdate;
import com.netapp.oci.platform.originator.OriginatorUpdateException;
import com.netapp.oci.platform.originator.handler.HandlerResult;
import com.netapp.oci.platform.originator.handler.XmlHandler;
import com.netapp.oci.platform.originator.key.KeyCacheException;
import com.netapp.oci.platform.originator.key.UuidKey;

/**
 * Created by jianwei on 5/19/16.
 */
public class VolumeFlexgroupConstituentRelationshipHandler extends XmlHandler {
    public static final String TABLE_NAME = "netapp_model.volume_flexgroup_constituent_relationship";
    public static final String TAG = "VolumeFlexgroupConstituentRelationship";

    private static final String KEY_ATTR = "InstanceUUID";

    public VolumeFlexgroupConstituentRelationshipHandler() {
        super(TAG, TABLE_NAME);
    }

    @Override
    public String getKeyAttr() {
        return KEY_ATTR;
    }

    @Override
    public HandlerResult parseProperties(OriginatorUpdate originatorUpdate, Map<String, String> properties,
                                         Map<UuidKey, ObjState> keyToObjState) throws OriginatorUpdateException, KeyCacheException {

        return new HandlerResult(originatorUpdate, this, properties, KEY_ATTR, keyToObjState)
                .column("UUID", String.class)
                .column("FlexgroupId", originatorUpdate.getObjectIdByTagname("Volume", properties.get("FlexgroupUUID")));
    }
}
