/*
 * Copyright (c) 2012 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.originator.handler;

import com.netapp.oci.platform.originator.ObjState;
import com.netapp.oci.platform.originator.OriginatorUpdate;
import com.netapp.oci.platform.originator.OriginatorUpdateException;
import com.netapp.oci.platform.originator.handler.HandlerResult;
import com.netapp.oci.platform.originator.handler.XmlHandler;
import com.netapp.oci.platform.originator.key.KeyCacheException;
import com.netapp.oci.platform.originator.key.UuidKey;

import java.util.Map;

/**
 * @author Iti Behari
 *         Date: Dec 17, 2012
 */
public class VolumeSelfRelationshipHandler extends XmlHandler {
    public static final String TABLE_NAME = "netapp_model.volume_self_relationship";
    public static final String TAG = "VolumeSelfRelationship";


    public VolumeSelfRelationshipHandler() {
        super(TAG, TABLE_NAME);
    }

    @Override
    public HandlerResult parseProperties(OriginatorUpdate originatorUpdate, Map<String, String> properties,
                                         Map<UuidKey, ObjState> keyToObjState) throws OriginatorUpdateException, KeyCacheException {
        String volumeUUID = properties.get("VolumeUUID");
        properties.put("UUID", volumeUUID);

        return new HandlerResult(originatorUpdate, this, properties, "UUID", keyToObjState)
                .column("JunctionParentId", originatorUpdate.getObjectIdByTagname("Volume", properties.get("VolumeJunctionParentUUID")))
                .column("CloneParentId", originatorUpdate.getObjectIdByTagname("Volume", properties.get("VolumeCloneParentUUID")));
    }
}
