/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.performance;

import com.netapp.oci.platform.framework.performance.data.Summary;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author Anton Sergeev
 */
public class ConversionUtil {
    public static <S> Map<Long, S> toMap(List<Summary<S>> summaries) {
        HashMap<Long, S> idToSummaries = new HashMap<Long, S>();
        return addSummariesToMap(idToSummaries, summaries);
    }

    public static <S> Map<Long, S> addSummariesToMap(Map<Long, S> idToSummaries, List<Summary<S>> summaries) {
        for (Summary<S> summary : summaries) {
            idToSummaries.put(summary.getId(), summary.getSummaryData());
        }
        return idToSummaries;
    }
}
