package com.netapp.oci.netapp.performance.cifsvserver.interfaces.data;

import java.io.Serializable;

public class CifsVserverMeasurements implements Serializable{
   
    private static final long serialVersionUID = -7466321121885708679L;
    
    private long cifsLatencyBase;
    private float cifsLatency;
    private float cifsOps;
    private float cifsReadLatency;
    private float cifsReadOps;
    private float cifsWriteLatency;
    private float cifsWriteOps;
    private float cifsReadThroughput;
    private float cifsWriteThroughput;
    private float cifsThroughput;

    public CifsVserverMeasurements() {};

    public CifsVserverMeasurements(long cifsLatencyBase, float cifsLatency, float cifsOps,
            float cifsReadLatency, float cifsReadOps,
            float cifsWriteLatency, float cifsWriteOps,
            float cifsReadThroughput, float cifsWriteThroughput,
            float cifsThroughput) {
        super();
        this.cifsLatencyBase = cifsLatencyBase;
        this.cifsLatency = cifsLatency;
        this.cifsOps = cifsOps;
        this.cifsReadLatency = cifsReadLatency;
        this.cifsReadOps = cifsReadOps;
        this.cifsWriteLatency = cifsWriteLatency;
        this.cifsWriteOps = cifsWriteOps;
        this.cifsReadThroughput = cifsReadThroughput;
        this.cifsWriteThroughput = cifsWriteThroughput;
        this.cifsThroughput = cifsThroughput;
    }

    public long getCifsLatencyBase() {
        return cifsLatencyBase;
    }

    public void setCifsLatencyBase(long cifsLatencyBase) {
        this.cifsLatencyBase = cifsLatencyBase;
    }
    
    public float getCifsLatency() {
        return cifsLatency;
    }

    public void setCifsLatency(float cifsLatency) {
        this.cifsLatency = cifsLatency;
    }

    public float getCifsOps() {
        return cifsOps;
    }

    public void setCifsOps(float cifsOps) {
        this.cifsOps = cifsOps;
    }

    public float getCifsReadLatency() {
        return cifsReadLatency;
    }

    public void setCifsReadLatency(float cifsReadLatency) {
        this.cifsReadLatency = cifsReadLatency;
    }

    public float getCifsReadOps() {
        return cifsReadOps;
    }

    public void setCifsReadOps(float cifsReadOps) {
        this.cifsReadOps = cifsReadOps;
    }

    public float getCifsWriteLatency() {
        return cifsWriteLatency;
    }

    public void setCifsWriteLatency(float cifsWriteLatency) {
        this.cifsWriteLatency = cifsWriteLatency;
    }

    public float getCifsWriteOps() {
        return cifsWriteOps;
    }

    public void setCifsWriteOps(float cifsWriteOps) {
        this.cifsWriteOps = cifsWriteOps;
    }

    public float getCifsReadThroughput() {
        return cifsReadThroughput;
    }

    public void setCifsReadThroughput(float cifsReadThroughput) {
        this.cifsReadThroughput = cifsReadThroughput;
    }

    public float getCifsWriteThroughput() {
        return cifsWriteThroughput;
    }

    public void setCifsWriteThroughput(float cifsWriteThroughput) {
        this.cifsWriteThroughput = cifsWriteThroughput;
    }

    public float getCifsThroughput() {
        return cifsThroughput;
    }

    public void setCifsThroughput(float cifsThroughput) {
        this.cifsThroughput = cifsThroughput;
    }

    @Override
    public String toString() {
        return ", cifsLatencyBase=" + cifsLatencyBase 
                + ", cifsLatency=" + cifsLatency 
                + ", cifsOps=" + cifsOps 
                + ", cifsReadLatency=" + cifsReadLatency
                + ", cifsReadOps=" + cifsReadOps
                + ", cifsWriteLatency=" + cifsWriteLatency
                + ", cifsWriteOps=" + cifsWriteOps
                + ", cifsReadThroughput=" + cifsReadThroughput
                + ", cifsWriteThroughput=" + cifsWriteThroughput
                + ", cifsThroughput=" + cifsThroughput + "}";
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + Float.floatToIntBits(cifsLatency);
        result = prime * result
                + (int) (cifsLatencyBase ^ (cifsLatencyBase >>> 32));
        result = prime * result + Float.floatToIntBits(cifsOps);
        result = prime * result + Float.floatToIntBits(cifsReadLatency);
        result = prime * result + Float.floatToIntBits(cifsReadOps);
        result = prime * result + Float.floatToIntBits(cifsWriteLatency);
        result = prime * result + Float.floatToIntBits(cifsWriteOps);
        result = prime * result + Float.floatToIntBits(cifsReadThroughput);
        result = prime * result + Float.floatToIntBits(cifsWriteThroughput);
        result = prime * result + Float.floatToIntBits(cifsThroughput);
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        CifsVserverMeasurements other = (CifsVserverMeasurements) obj;
        if (Float.floatToIntBits(cifsLatency) != Float
                .floatToIntBits(other.cifsLatency))
            return false;
        if (cifsLatencyBase != other.cifsLatencyBase)
            return false;
        if (Float.floatToIntBits(cifsOps) != Float
                .floatToIntBits(other.cifsOps))
            return false;
        if (Float.floatToIntBits(cifsReadLatency) != Float
                .floatToIntBits(other.cifsReadLatency))
            return false;
        if (Float.floatToIntBits(cifsReadOps) != Float
                .floatToIntBits(other.cifsReadOps))
            return false;
        if (Float.floatToIntBits(cifsWriteLatency) != Float
                .floatToIntBits(other.cifsWriteLatency))
            return false;
        if (Float.floatToIntBits(cifsWriteOps) != Float
                .floatToIntBits(other.cifsWriteOps))
            return false;
        if (Float.floatToIntBits(cifsReadThroughput) != Float
                .floatToIntBits(other.cifsReadThroughput))
            return false;
        if (Float.floatToIntBits(cifsWriteThroughput) != Float
                .floatToIntBits(other.cifsWriteThroughput))
            return false;
        if (Float.floatToIntBits(cifsThroughput) != Float
                .floatToIntBits(other.cifsThroughput))
            return false;

        return true;
    }
    
    
}
