/*
 * Copyright (c) 2015 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.performance.cluster.interfaces.data;

import java.io.Serializable;

@SuppressWarnings("UnusedDeclaration")
public class ClusterMeasurements implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * Synthetic counters for clusters
     */
    private float clusterOps;
    private float clusterThroughput;
    private float clusterMaxNodeUtilization;
    private float clusterMaxAggregateUtilization;
    

    public ClusterMeasurements() {
    }

    public ClusterMeasurements(final float clusterOps, final float clusterThroughput, final float clusterMaxNodeUtilization, final float clusterMaxAggregateUtilization) {
        this.clusterOps = clusterOps;
        this.clusterThroughput = clusterThroughput;
        this.clusterMaxNodeUtilization = clusterMaxNodeUtilization;
        this.clusterMaxAggregateUtilization = clusterMaxAggregateUtilization;
    }

    public float getClusterOps() {
		return clusterOps;
	}

	public void setClusterOps(float clusterOps) {
		this.clusterOps = clusterOps;
	}

	public float getClusterThroughput() {
		return clusterThroughput;
	}

	public void setClusterThroughput(float clusterThroughput) {
		this.clusterThroughput = clusterThroughput;
	}

	public float getClusterMaxNodeUtilization() {
		return clusterMaxNodeUtilization;
	}

	public void setClusterMaxNodeUtilization(float clusterMaxNodeUtilization) {
		this.clusterMaxNodeUtilization = clusterMaxNodeUtilization;
	}

	public float getClusterMaxAggregateUtilization() {
		return clusterMaxAggregateUtilization;
	}

	public void setClusterMaxAggregateUtilization(
			float clusterMaxAggregateUtilization) {
		this.clusterMaxAggregateUtilization = clusterMaxAggregateUtilization;
	}

	@Override
    public int hashCode() {
        int result = (clusterOps != +0.0f ? Float.floatToIntBits(clusterOps) : 0);
        result = 31 * result + (clusterThroughput != +0.0f ? Float.floatToIntBits(clusterThroughput) : 0);
        result = 31 * result + (clusterMaxNodeUtilization != +0.0f ? Float.floatToIntBits(clusterMaxNodeUtilization) : 0);
        result = 31 * result + (clusterMaxAggregateUtilization != +0.0f ? Float.floatToIntBits(clusterMaxAggregateUtilization) : 0);
        return result;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof ClusterMeasurements)) {
            return false;
        }

        ClusterMeasurements that = (ClusterMeasurements) o;

        return Float.compare(that.clusterOps, clusterOps) == 0
               && Float.compare(that.clusterThroughput, clusterThroughput) == 0
               && Float.compare(that.clusterMaxNodeUtilization, clusterMaxNodeUtilization) == 0
               && Float.compare(that.clusterMaxAggregateUtilization, clusterMaxAggregateUtilization) == 0;
    }

    @Override
    public String toString() {
        return "ClusterMeasurements{" +
               "clusterOps=" + clusterOps +
               ", clusterThroughput=" + clusterThroughput +
               ", clusterMaxNodeUtilization=" + clusterMaxNodeUtilization +
               ", clusterMaxAggregateUtilization=" + clusterMaxAggregateUtilization +
               '}';
    }
}
