package com.netapp.oci.netapp.performance.disk.interfaces.data;

import java.io.Serializable;
import java.math.BigInteger;

public class DiskRawMeasurements implements Serializable {
    private static final long serialVersionUID = 1L;

    private BigInteger baseForDiskBusy;
    private BigInteger cpReadBlocks;
    private BigInteger cpReadLatency;
    private BigInteger cpReads;
    private BigInteger diskBusy;
    private BigInteger guarenteedReadBlocks;
    private BigInteger guarenteedReadLatency;
    private BigInteger guarenteedReads;
    private BigInteger guarenteedWriteBlocks;
    private BigInteger guarenteedWriteLatency;
    private BigInteger guarenteedWrites;
    private BigInteger totalTransfers;
    private BigInteger userReadBlocks;
    private BigInteger userReadLatency;
    private BigInteger userReads;
    private BigInteger userWriteBlocks;
    private BigInteger userWriteLatency;
    private BigInteger userWrites;

    public DiskRawMeasurements(){}
    
	public DiskRawMeasurements(BigInteger baseForDiskBusy,
			BigInteger cpReadBlocks, BigInteger cpReadLatency,
			BigInteger cpReads, BigInteger diskBusy,
			BigInteger guarenteedReadBlocks, BigInteger guarenteedReadLatency,
			BigInteger guarenteedReads, BigInteger guarenteedWriteBlocks,
			BigInteger guarenteedWriteLatency, BigInteger guarenteedWrites,
			BigInteger totalTransfers, BigInteger userReadBlocks,
			BigInteger userReadLatency, BigInteger userReads,
			BigInteger userWriteBlocks, BigInteger userWriteLatency,
			BigInteger userWrites) {
		
		this.baseForDiskBusy = baseForDiskBusy;
		this.cpReadBlocks = cpReadBlocks;
		this.cpReadLatency = cpReadLatency;
		this.cpReads = cpReads;
		this.diskBusy = diskBusy;
		this.guarenteedReadBlocks = guarenteedReadBlocks;
		this.guarenteedReadLatency = guarenteedReadLatency;
		this.guarenteedReads = guarenteedReads;
		this.guarenteedWriteBlocks = guarenteedWriteBlocks;
		this.guarenteedWriteLatency = guarenteedWriteLatency;
		this.guarenteedWrites = guarenteedWrites;
		this.totalTransfers = totalTransfers;
		this.userReadBlocks = userReadBlocks;
		this.userReadLatency = userReadLatency;
		this.userReads = userReads;
		this.userWriteBlocks = userWriteBlocks;
		this.userWriteLatency = userWriteLatency;
		this.userWrites = userWrites;
	}

	public BigInteger getBaseForDiskBusy() {
		return baseForDiskBusy;
	}

	public void setBaseForDiskBusy(BigInteger baseForDiskBusy) {
		this.baseForDiskBusy = baseForDiskBusy;
	}

	public BigInteger getCpReadBlocks() {
		return cpReadBlocks;
	}

	public void setCpReadBlocks(BigInteger cpReadBlocks) {
		this.cpReadBlocks = cpReadBlocks;
	}

	public BigInteger getCpReadLatency() {
		return cpReadLatency;
	}

	public void setCpReadLatency(BigInteger cpReadLatency) {
		this.cpReadLatency = cpReadLatency;
	}

	public BigInteger getCpReads() {
		return cpReads;
	}

	public void setCpReads(BigInteger cpReads) {
		this.cpReads = cpReads;
	}

	public BigInteger getDiskBusy() {
		return diskBusy;
	}

	public void setDiskBusy(BigInteger diskBusy) {
		this.diskBusy = diskBusy;
	}

	public BigInteger getGuarenteedReadBlocks() {
		return guarenteedReadBlocks;
	}

	public void setGuarenteedReadBlocks(BigInteger guarenteedReadBlocks) {
		this.guarenteedReadBlocks = guarenteedReadBlocks;
	}

	public BigInteger getGuarenteedReadLatency() {
		return guarenteedReadLatency;
	}

	public void setGuarenteedReadLatency(BigInteger guarenteedReadLatency) {
		this.guarenteedReadLatency = guarenteedReadLatency;
	}

	public BigInteger getGuarenteedReads() {
		return guarenteedReads;
	}

	public void setGuarenteedReads(BigInteger guarenteedReads) {
		this.guarenteedReads = guarenteedReads;
	}

	public BigInteger getGuarenteedWriteBlocks() {
		return guarenteedWriteBlocks;
	}

	public void setGuarenteedWriteBlocks(BigInteger guarenteedWriteBlocks) {
		this.guarenteedWriteBlocks = guarenteedWriteBlocks;
	}

	public BigInteger getGuarenteedWriteLatency() {
		return guarenteedWriteLatency;
	}

	public void setGuarenteedWriteLatency(BigInteger guarenteedWriteLatency) {
		this.guarenteedWriteLatency = guarenteedWriteLatency;
	}

	public BigInteger getGuarenteedWrites() {
		return guarenteedWrites;
	}

	public void setGuarenteedWrites(BigInteger guarenteedWrites) {
		this.guarenteedWrites = guarenteedWrites;
	}

	public BigInteger getTotalTransfers() {
		return totalTransfers;
	}

	public void setTotalTransfers(BigInteger totalTransfers) {
		this.totalTransfers = totalTransfers;
	}

	public BigInteger getUserReadBlocks() {
		return userReadBlocks;
	}

	public void setUserReadBlocks(BigInteger userReadBlocks) {
		this.userReadBlocks = userReadBlocks;
	}

	public BigInteger getUserReadLatency() {
		return userReadLatency;
	}

	public void setUserReadLatency(BigInteger userReadLatency) {
		this.userReadLatency = userReadLatency;
	}

	public BigInteger getUserReads() {
		return userReads;
	}

	public void setUserReads(BigInteger userReads) {
		this.userReads = userReads;
	}

	public BigInteger getUserWriteBlocks() {
		return userWriteBlocks;
	}

	public void setUserWriteBlocks(BigInteger userWriteBlocks) {
		this.userWriteBlocks = userWriteBlocks;
	}

	public BigInteger getUserWriteLatency() {
		return userWriteLatency;
	}

	public void setUserWriteLatency(BigInteger userWriteLatency) {
		this.userWriteLatency = userWriteLatency;
	}

	public BigInteger getUserWrites() {
		return userWrites;
	}

	public void setUserWrites(BigInteger userWrites) {
		this.userWrites = userWrites;
	}
}
