package com.netapp.oci.netapp.performance.iscsilif.interfaces.remote;

import java.util.Collection;

import javax.ejb.Remote;

import com.netapp.oci.netapp.interfaces.data.NetappInterfaceException;
import com.netapp.oci.netapp.performance.iscsilif.interfaces.data.IscsiLifMeasurements;
import com.netapp.oci.netapp.performance.iscsilif.interfaces.data.IscsiLifRawMeasurements;
import com.netapp.oci.netapp.performance.iscsilif.interfaces.data.IscsiLifVserverMeasurements;
import com.netapp.oci.netapp.performance.iscsilif.interfaces.data.IscsiLifVserverRawMeasurements;
import com.netapp.oci.platform.common.interfaces.data.performance.RawSample;

@Remote
public interface IscsiLifVserverPerformanceRemote {
    String JNDI_NAME = "ejb:mega-app/server-core//IscsiLifVserverPerformanceBean!com.netapp.oci.netapp.performance.iscsilif.interfaces.remote.IscsiLifVserverPerformanceRemote";

    /**
     * The Acq use this method to report on IscsiLif performance
     *
     * @param datasourceId - id of the datasource reporting performance data
     * @param clusterKey  -- uuid of cluster
     * @param time - the report time, it is the datasource responsibility to make sure that the earlier sample and the
     *               latest sample time difference is less then X minute (1 by default),
     * @param rawSamples - raw iSCSI LIF samples
     * @param leaseTime    the time for datasource to be registered in the in the registry (in milliseconds)
     * @param isHistorical - flag showing that the samples are for historical poll or for regular poll
     * @throws com.netapp.oci.netapp.interfaces.data.NetappInterfaceException if failed to report
     */
    void reportIscsiLifVserverSamples(Long datasourceId, String clusterKey, long time, Collection<RawSample<IscsiLifVserverMeasurements>> rawSamples, long leaseTime, boolean isHistorical) throws NetappInterfaceException;

    /**
     * The Acq use this method to report on IscsiLif performance
     *
     * @param datasourceId - id of the datasource reporting performance data
     * @param clusterKey  -- uuid of cluster
     * @param time - the report time, it is the datasource responsibility to make sure that the earlier sample and the
     *               latest sample time difference is less then X minute (1 by default),
     * @param rawSamples - raw iSCSI LIF samples
     * @param leaseTime    the time for datasource to be registered in the in the registry (in milliseconds)
     *
     * @throws com.netapp.oci.netapp.interfaces.data.NetappInterfaceException if failed to report
     */
    void reportIscsiLifVserverRawSamples(Long datasourceId, String clusterKey, long time, Collection<RawSample<IscsiLifVserverRawMeasurements>> rawSamples, long leaseTime) throws NetappInterfaceException;

}
