package com.netapp.oci.netapp.performance.lun.interfaces.data;

import java.io.Serializable;
import java.math.BigInteger;

public class LunRawMeasurements implements Serializable{
	private static final long serialVersionUID = -8828082336206152546L;

	/**
     * Average latency in milliseconds for all operations on the LUN
     */
    private BigInteger avgLatency;

    /**
     * Average read latency in milliseconds for all operations on the LUN
     */
    private BigInteger avgReadLatency;

    /**
     * Average write latency in milliseconds for all operations on the LUN
     */
    private BigInteger avgWriteLatency;

    /**
     * Number of other operations
     */
    private BigInteger otherOps;

    /**
     * Read bytes
     */
    private BigInteger readData;

    /**
     * Number of read operations
     */
    private BigInteger readOps;

    /**
     * Total number of operations on the LUN
     */
    private BigInteger totalOps;

    /**
     * Write bytes
     */
    private BigInteger writeData;

    /**
     * Number of write operations
     */
    private BigInteger writeOps;

    /**
     * Reads whose size is not a multiple of WAFL block size
     */
    private BigInteger readPartialBlocks;

    /**
     * Writes whose size is not a multiple of WAFL block size
     */
    private BigInteger writePartialBlocks;


    public LunRawMeasurements() {
    }

	public LunRawMeasurements(BigInteger avgLatency, BigInteger avgReadLatency, BigInteger avgWriteLatency, BigInteger otherOps, BigInteger readData,
    		BigInteger readOps, BigInteger totalOps, BigInteger writeData, BigInteger writeOps, BigInteger readPartialBlocks, BigInteger writePartialBlocks) {
        this.avgLatency = avgLatency;
        this.avgReadLatency = avgReadLatency;
        this.avgWriteLatency = avgWriteLatency;
        this.otherOps = otherOps;
        this.readData = readData;
        this.readOps = readOps;
        this.totalOps = totalOps;
        this.writeData = writeData;
        this.writeOps = writeOps;
        this.readPartialBlocks = readPartialBlocks;
        this.writePartialBlocks = writePartialBlocks;
    }

	public BigInteger getAvgLatency() {
		return avgLatency;
	}

	public void setAvgLatency(BigInteger avgLatency) {
		this.avgLatency = avgLatency;
	}

	public BigInteger getAvgReadLatency() {
		return avgReadLatency;
	}

	public void setAvgReadLatency(BigInteger avgReadLatency) {
		this.avgReadLatency = avgReadLatency;
	}

	public BigInteger getAvgWriteLatency() {
		return avgWriteLatency;
	}

	public void setAvgWriteLatency(BigInteger avgWriteLatency) {
		this.avgWriteLatency = avgWriteLatency;
	}

	public BigInteger getOtherOps() {
		return otherOps;
	}

	public void setOtherOps(BigInteger otherOps) {
		this.otherOps = otherOps;
	}

	public BigInteger getReadData() {
		return readData;
	}

	public void setReadData(BigInteger readData) {
		this.readData = readData;
	}

	public BigInteger getReadOps() {
		return readOps;
	}

	public void setReadOps(BigInteger readOps) {
		this.readOps = readOps;
	}

	public BigInteger getTotalOps() {
		return totalOps;
	}

	public void setTotalOps(BigInteger totalOps) {
		this.totalOps = totalOps;
	}

	public BigInteger getWriteData() {
		return writeData;
	}

	public void setWriteData(BigInteger writeData) {
		this.writeData = writeData;
	}

	public BigInteger getWriteOps() {
		return writeOps;
	}

	public void setWriteOps(BigInteger writeOps) {
		this.writeOps = writeOps;
	}

    public BigInteger getReadPartialBlocks() {
		return readPartialBlocks;
	}

	public void setReadPartialBlocks(BigInteger readPartialBlocks) {
		this.readPartialBlocks = readPartialBlocks;
	}

	public BigInteger getWritePartialBlocks() {
		return writePartialBlocks;
	}

	public void setWritePartialBlocks(BigInteger writePartialBlocks) {
		this.writePartialBlocks = writePartialBlocks;
	}
}
