/*
 * $Id$
 *
 * Copyright (c) 2017 NetApp, Inc.
 * All rights reserved.
 */

package com.netapp.oci.netapp.performance.namespace.interfaces.data;

import java.io.Serializable;
import java.math.BigInteger;

public class NamespaceRawMeasurements implements Serializable{
	private static final long serialVersionUID = -8828082336206152546L;

	/**
     * Average latency in microseconds for all operations on the Namespace
     */
    private BigInteger avgLatency;

    /**
     * Average read latency in microseconds for all operations on the Namespace
     */
    private BigInteger avgReadLatency;

    /**
     * Average write latency in microseconds for all operations on the Namespace
     */
    private BigInteger avgWriteLatency;

    /**
     * Average other latency in microseconds for all operations on the Namespace
     */
    private BigInteger avgOtherLatency;

    /**
     * Total bytes
     */
    private BigInteger totalData;

    /**
     * Read bytes
     */
    private BigInteger readData;

    /**
     * Write bytes
     */
    private BigInteger writeData;

    /**
     * Total number of operations on the Namespace
     */
    private BigInteger totalOps;

    /**
     * Number of read operations
     */
    private BigInteger readOps;

    /**
     * Number of write operations
     */
    private BigInteger writeOps;

    /**
     * Number of other operations
     */
    private BigInteger otherOps;


    public NamespaceRawMeasurements() {
    }

	public NamespaceRawMeasurements(BigInteger avgLatency, BigInteger avgReadLatency, BigInteger avgWriteLatency, BigInteger avgOtherLatency,
                                    BigInteger totalData, BigInteger readData, BigInteger writeData,
                                    BigInteger totalOps, BigInteger readOps, BigInteger writeOps, BigInteger otherOps) {
        this.avgLatency = avgLatency;
        this.avgReadLatency = avgReadLatency;
        this.avgWriteLatency = avgWriteLatency;
        this.avgOtherLatency = avgOtherLatency;
        this.totalData = totalData;
        this.readData = readData;
        this.writeData = writeData;
        this.totalOps = totalOps;
        this.readOps = readOps;
        this.writeOps = writeOps;
        this.otherOps = otherOps;
    }

	public BigInteger getAvgLatency() {
		return avgLatency;
	}

	public void setAvgLatency(BigInteger avgLatency) {
		this.avgLatency = avgLatency;
	}

	public BigInteger getAvgReadLatency() {
		return avgReadLatency;
	}

	public void setAvgReadLatency(BigInteger avgReadLatency) {
		this.avgReadLatency = avgReadLatency;
	}

	public BigInteger getAvgWriteLatency() {
		return avgWriteLatency;
	}

	public void setAvgWriteLatency(BigInteger avgWriteLatency) {
		this.avgWriteLatency = avgWriteLatency;
	}

	public BigInteger getAvgOtherLatency() {
		return avgOtherLatency;
	}

	public void setAvgOtherLatency(BigInteger avgOtherLatency) {
		this.avgOtherLatency = avgOtherLatency;
	}

	public BigInteger getTotalData() {
		return totalData;
	}

	public void setTotalData(BigInteger totalData) {
		this.totalData = totalData;
	}

	public BigInteger getReadData() {
		return readData;
	}

	public void setReadData(BigInteger readData) {
		this.readData = readData;
	}

	public BigInteger getWriteData() {
		return writeData;
	}

	public void setWriteData(BigInteger writeData) {
		this.writeData = writeData;
	}

	public BigInteger getTotalOps() {
		return totalOps;
	}

	public void setTotalOps(BigInteger totalOps) {
		this.totalOps = totalOps;
	}

	public BigInteger getReadOps() {
		return readOps;
	}

	public void setReadOps(BigInteger readOps) {
		this.readOps = readOps;
	}

	public BigInteger getWriteOps() {
		return writeOps;
	}

	public void setWriteOps(BigInteger writeOps) {
		this.writeOps = writeOps;
	}

	public BigInteger getOtherOps() {
		return otherOps;
	}

	public void setOtherOps(BigInteger otherOps) {
		this.otherOps = otherOps;
	}
}
