package com.netapp.oci.netapp.performance.networklif.interfaces.data;

import java.io.Serializable;

public class NetworkLifVserverMeasurements implements Serializable{
    private static final long serialVersionUID = 1L;

    /**
     * Number of bytes received per second
     */
    private float recvData;

    /**
     * Number of received Errors per second
     */
    private float recvErrors;

    /**
     * Number of packets received per second
     */
    private float recvPacket;

    /**
     * Number of bytes sent per second
     */
    private float sentData;

    /**
     * Number of sent errors per second
     */
    private float sentErrors;

    /**
     * Number of packets sent per second
     */
    private float sentPacket;

    /**
     * Sum of recvPackets and sendPackets
     */
    private float opmLifPackets;
    
    /**
     * Sum of recvData and sendData
     */
    private float opmLifThroughput;

    public NetworkLifVserverMeasurements() {
    }

    public NetworkLifVserverMeasurements(float recvData, float recvErrors, float recvPacket, float sentData, 
    		float sentErrors, float sentPacket, float opmLifPackets, float opmLifThroughput) {
        this.recvData = recvData;
        this.recvErrors = recvErrors;
        this.recvPacket = recvPacket;
        this.sentData = sentData;
        this.sentErrors = sentErrors;
        this.sentPacket = sentPacket;
        this.opmLifPackets = opmLifPackets;
        this.opmLifThroughput = opmLifThroughput;
    }

    public float getRecvData() {
        return recvData;
    }

    public void setRecvData(float recvData) {
        this.recvData = recvData;
    }

    public float getRecvErrors() {
        return recvErrors;
    }

    public void setRecvErrors(float recvErrors) {
        this.recvErrors = recvErrors;
    }

    public float getRecvPacket() {
        return recvPacket;
    }

    public void setRecvPacket(float recvPacket) {
        this.recvPacket = recvPacket;
    }

    public float getSentData() {
        return sentData;
    }

    public void setSentData(float sentData) {
        this.sentData = sentData;
    }

    public float getSentErrors() {
        return sentErrors;
    }

    public void setSentErrors(float sentErrors) {
        this.sentErrors = sentErrors;
    }

    public float getSentPacket() {
        return sentPacket;
    }

    public void setSentPacket(float sentPacket) {
        this.sentPacket = sentPacket;
    }
    
    public float getOpmLifPackets() {
		return opmLifPackets;
	}

	public void setOpmLifPackets(float opmLifPackets) {
		this.opmLifPackets = opmLifPackets;
	}

	public float getOpmLifThroughput() {
		return opmLifThroughput;
	}

	public void setOpmLifThroughput(float opmLifThroughput) {
		this.opmLifThroughput = opmLifThroughput;
	}

	@Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof NetworkLifVserverMeasurements)) return false;

        NetworkLifVserverMeasurements that = (NetworkLifVserverMeasurements) o;

        if (Float.compare(that.recvData, recvData) != 0) return false;
        if (Float.compare(that.recvErrors, recvErrors) != 0) return false;
        if (Float.compare(that.recvPacket, recvPacket) != 0) return false;
        if (Float.compare(that.sentData, sentData) != 0) return false;
        if (Float.compare(that.sentErrors, sentErrors) != 0) return false;
        if (Float.compare(that.sentPacket, sentPacket) != 0) return false;
        if (Float.compare(that.opmLifPackets, opmLifPackets) != 0) return false;
        if (Float.compare(that.opmLifThroughput, opmLifThroughput) != 0) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = (recvData != +0.0f ? Float.floatToIntBits(recvData) : 0);
        result = 31 * result + (recvErrors != +0.0f ? Float.floatToIntBits(recvErrors) : 0);
        result = 31 * result + (recvPacket != +0.0f ? Float.floatToIntBits(recvPacket) : 0);
        result = 31 * result + (sentData != +0.0f ? Float.floatToIntBits(sentData) : 0);
        result = 31 * result + (sentErrors != +0.0f ? Float.floatToIntBits(sentErrors) : 0);
        result = 31 * result + (sentPacket != +0.0f ? Float.floatToIntBits(sentPacket) : 0);
        result = 31 * result + (opmLifPackets != +0.0f ? Float.floatToIntBits(opmLifPackets) : 0);
        result = 31 * result + (opmLifThroughput != +0.0f ? Float.floatToIntBits(opmLifThroughput) : 0);        
        return result;
    }

    @Override
    public String toString() {
        return "NetworkLifVserverMeasurements{" +
                "recvData=" + recvData +
                ", recvErrors=" + recvErrors +
                ", recvPacket=" + recvPacket +
                ", sentData=" + sentData +
                ", sentErrors=" + sentErrors +
                ", sentPacket=" + sentPacket +
                ", opmLifPackets=" + opmLifPackets +
                ", opmLifThroughput=" + opmLifThroughput +                
                '}';
    }
}

