package com.netapp.oci.netapp.performance.networklif.interfaces.data;

import java.io.Serializable;
import java.math.BigInteger;

public class NetworkLifVserverRawMeasurements implements Serializable{
	private static final long serialVersionUID = 3963488167719549371L;

	/**
     * Number of bytes received per second
     */
    private BigInteger recvData;

    /**
     * Number of received Errors per second
     */
    private BigInteger recvErrors;

    /**
     * Number of packets received per second
     */
    private BigInteger recvPacket;

    /**
     * Number of bytes sent per second
     */
    private BigInteger sentData;

    /**
     * Number of sent errors per second
     */
    private BigInteger sentErrors;

    /**
     * Number of packets sent per second
     */
    private BigInteger sentPacket;


    public NetworkLifVserverRawMeasurements() {
    }

    public NetworkLifVserverRawMeasurements(BigInteger recvData, 
    		BigInteger recvErrors, 
    		BigInteger recvPacket, 
    		BigInteger sentData, 
    		BigInteger sentErrors, 
    		BigInteger sentPacket) {
        this.recvData = recvData;
        this.recvErrors = recvErrors;
        this.recvPacket = recvPacket;
        this.sentData = sentData;
        this.sentErrors = sentErrors;
        this.sentPacket = sentPacket;
    }
    
	public BigInteger getRecvData() {
		return recvData;
	}

	public void setRecvData(BigInteger recvData) {
		this.recvData = recvData;
	}

	public BigInteger getRecvErrors() {
		return recvErrors;
	}

	public void setRecvErrors(BigInteger recvErrors) {
		this.recvErrors = recvErrors;
	}

	public BigInteger getRecvPacket() {
		return recvPacket;
	}

	public void setRecvPacket(BigInteger recvPacket) {
		this.recvPacket = recvPacket;
	}

	public BigInteger getSentData() {
		return sentData;
	}

	public void setSentData(BigInteger sentData) {
		this.sentData = sentData;
	}

	public BigInteger getSentErrors() {
		return sentErrors;
	}

	public void setSentErrors(BigInteger sentErrors) {
		this.sentErrors = sentErrors;
	}

	public BigInteger getSentPacket() {
		return sentPacket;
	}

	public void setSentPacket(BigInteger sentPacket) {
		this.sentPacket = sentPacket;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

}
