/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.performance.networkport.interfaces.data;

import java.io.Serializable;

/**
 * @author Nancy Walia
 */

@SuppressWarnings("UnusedDeclaration")
public class NetworkPortMeasurements implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * Total bytes received per second
     */
    private float recvData;

    /**
     * Packets received per second
     */
    private float recvPackets;

    /**
     * Total bytes sent per second
     */
    private float sendData;

    /**
     * Packets sent per second
     */
    private float sendPackets;

    public NetworkPortMeasurements() {
    }

    public NetworkPortMeasurements(float recvData, float recvPackets, float sendData, float sendPackets) {
        this.recvData = recvData;
        this.recvPackets = recvPackets;
        this.sendData = sendData;
        this.sendPackets = sendPackets;
    }

    public float getRecvData() {
        return recvData;
    }

    public void setRecvData(float recvData) {
        this.recvData = recvData;
    }

    public float getRecvPackets() {
        return recvPackets;
    }

    public void setRecvPackets(float recvPackets) {
        this.recvPackets = recvPackets;
    }

    public float getSendData() {
        return sendData;
    }

    public void setSendData(float sendData) {
        this.sendData = sendData;
    }

    public float getSendPackets() {
        return sendPackets;
    }

    public void setSendPackets(float sendPackets) {
        this.sendPackets = sendPackets;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof NetworkPortMeasurements)) return false;

        NetworkPortMeasurements that = (NetworkPortMeasurements) o;

        return Float.compare(that.recvData, recvData) == 0
                && Float.compare(that.recvPackets, recvPackets) == 0
                && Float.compare(that.sendData, sendData) == 0
                && Float.compare(that.sendPackets, sendPackets) == 0;

    }

    @Override
    public int hashCode() {
        int result = (recvData != +0.0f ? Float.floatToIntBits(recvData) : 0);
        result = 31 * result + (recvPackets != +0.0f ? Float.floatToIntBits(recvPackets) : 0);
        result = 31 * result + (sendData != +0.0f ? Float.floatToIntBits(sendData) : 0);
        result = 31 * result + (sendPackets != +0.0f ? Float.floatToIntBits(sendPackets) : 0);
        return result;
    }

    @Override
    public String toString() {
        return "NetworkPortMeasurements{" +
                "recvData=" + recvData +
                ", recvPackets=" + recvPackets +
                ", sendData=" + sendData +
                ", sendPackets=" + sendPackets +
                '}';
    }
}


