package com.netapp.oci.netapp.performance.nfs.interfaces.data;

import java.io.Serializable;


public class NfsMeasurements implements Serializable {

    private static final long serialVersionUID = 1L;

    private float opmNfsOps;
    private float opmNfsReadOps;
    private float opmNfsWriteOps;
    private float opmNfsThroughput;
    private float opmNfsReadThroughput;
    private float opmNfsWriteThroughput;
    private float opmNfsLatency;
    private float opmNfsReadLatency;
    private float opmNfsWriteLatency;

    public NfsMeasurements() {
    }


    public float getOpmNfsOps() {
        return opmNfsOps;
    }

    public NfsMeasurements setOpmNfsOps(float opmNfsOps) {
        this.opmNfsOps = opmNfsOps;
        return this;
    }

    public float getOpmNfsReadOps() {
        return opmNfsReadOps;
    }

    public NfsMeasurements setOpmNfsReadOps(float opmNfsReadOps) {
        this.opmNfsReadOps = opmNfsReadOps;
        return this;
    }

    public float getOpmNfsWriteOps() {
        return opmNfsWriteOps;
    }

    public NfsMeasurements setOpmNfsWriteOps(float opmNfsWriteOps) {
        this.opmNfsWriteOps = opmNfsWriteOps;
        return this;
    }

    public float getOpmNfsThroughput() {
        return opmNfsThroughput;
    }

    public NfsMeasurements setOpmNfsThroughput(float opmNfsThroughput) {
        this.opmNfsThroughput = opmNfsThroughput;
        return this;
    }

    public float getOpmNfsReadThroughput() {
        return opmNfsReadThroughput;
    }

    public NfsMeasurements setOpmNfsReadThroughput(float opmNfsReadThroughput) {
        this.opmNfsReadThroughput = opmNfsReadThroughput;
        return this;
    }

    public float getOpmNfsWriteThroughput() {
        return opmNfsWriteThroughput;
    }

    public NfsMeasurements setOpmNfsWriteThroughput(float opmNfsWriteThroughput) {
        this.opmNfsWriteThroughput = opmNfsWriteThroughput;
        return this;
    }

    public float getOpmNfsLatency() {
        return opmNfsLatency;
    }

    public NfsMeasurements setOpmNfsLatency(float opmNfsLatency) {
        this.opmNfsLatency = opmNfsLatency;
        return this;
    }

    public float getOpmNfsReadLatency() {
        return opmNfsReadLatency;
    }

    public NfsMeasurements setOpmNfsReadLatency(float opmNfsReadLatency) {
        this.opmNfsReadLatency = opmNfsReadLatency;
        return this;
    }

    public float getOpmNfsWriteLatency() {
        return opmNfsWriteLatency;
    }

    public NfsMeasurements setOpmNfsWriteLatency(float opmNfsWriteLatency) {
        this.opmNfsWriteLatency = opmNfsWriteLatency;
        return this;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        NfsMeasurements that = (NfsMeasurements) o;

        if (opmNfsLatency != that.opmNfsLatency) return false;
        if (Float.compare(that.opmNfsOps, opmNfsOps) != 0) return false;
        if (Float.compare(that.opmNfsReadLatency, opmNfsReadLatency) != 0) return false;
        if (Float.compare(that.opmNfsReadOps, opmNfsReadOps) != 0) return false;
        if (Float.compare(that.opmNfsReadThroughput, opmNfsReadThroughput) != 0) return false;
        if (Float.compare(that.opmNfsThroughput, opmNfsThroughput) != 0) return false;
        if (Float.compare(that.opmNfsWriteLatency, opmNfsWriteLatency) != 0) return false;
        if (Float.compare(that.opmNfsWriteOps, opmNfsWriteOps) != 0) return false;
        if (Float.compare(that.opmNfsWriteThroughput, opmNfsWriteThroughput) != 0) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = (opmNfsOps != +0.0f ? Float.floatToIntBits(opmNfsOps) : 0);
        result = 31 * result + (opmNfsReadOps != +0.0f ? Float.floatToIntBits(opmNfsReadOps) : 0);
        result = 31 * result + (opmNfsWriteOps != +0.0f ? Float.floatToIntBits(opmNfsWriteOps) : 0);
        result = 31 * result + (opmNfsThroughput != +0.0f ? Float.floatToIntBits(opmNfsThroughput) : 0);
        result = 31 * result + (opmNfsReadThroughput != +0.0f ? Float.floatToIntBits(opmNfsReadThroughput) : 0);
        result = 31 * result + (opmNfsWriteThroughput != +0.0f ? Float.floatToIntBits(opmNfsWriteThroughput) : 0);
        result = 31 * result + (opmNfsLatency != +0.0f ? Float.floatToIntBits(opmNfsLatency) : 0);
        result = 31 * result + (opmNfsReadLatency != +0.0f ? Float.floatToIntBits(opmNfsReadLatency) : 0);
        result = 31 * result + (opmNfsWriteLatency != +0.0f ? Float.floatToIntBits(opmNfsWriteLatency) : 0);
        return result;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("NfsMeasurements{");
        sb.append("opmNfsOps=").append(opmNfsOps);
        sb.append(", opmNfsReadOps=").append(opmNfsReadOps);
        sb.append(", opmNfsWriteOps=").append(opmNfsWriteOps);
        sb.append(", opmNfsThroughput=").append(opmNfsThroughput);
        sb.append(", opmNfsReadThroughput=").append(opmNfsReadThroughput);
        sb.append(", opmNfsWriteThroughput=").append(opmNfsWriteThroughput);
        sb.append(", opmNfsLatency=").append(opmNfsLatency);
        sb.append(", opmNfsReadLatency=").append(opmNfsReadLatency);
        sb.append(", opmNfsWriteLatency=").append(opmNfsWriteLatency);
        sb.append('}');
        return sb.toString();
    }
}
