package com.netapp.oci.netapp.performance.nfs.interfaces.data;

import java.io.Serializable;

public class Nfsv3Measurements implements Serializable{
	
	private static final long serialVersionUID = -2908673625636959153L;
	
	private float nfsv3_ops;
	private float nfsv3_read_ops;
	private float nfsv3_read_throughput;
	private float nfsv3_throughput;
	private float nfsv3_write_ops;
	private float nfsv3_write_throughput;
	private float read_avg_latency;
	private float read_total;
	private float write_avg_latency;
	private float write_total;
    private float latency;
    private float total_ops;

	public Nfsv3Measurements() {
	}

	public Nfsv3Measurements(float nfsv3_ops, float nfsv3_read_ops, float nfsv3_write_ops, 
			float read_total, float nfsv3_read_throughput, float nfsv3_throughput, float write_total, 
			float nfsv3_write_throughput, float read_avg_latency, float write_avg_latency) 
	{
	    super();
	    this.nfsv3_ops = nfsv3_ops;
	    this.nfsv3_read_ops = nfsv3_read_ops;
	    this.nfsv3_read_throughput = nfsv3_read_throughput;
	    this.nfsv3_throughput = nfsv3_throughput;
	    this.nfsv3_write_ops = nfsv3_write_ops;
	    this.nfsv3_write_throughput = nfsv3_write_throughput;
	    this.read_avg_latency = read_avg_latency;
	    this.read_total = read_total;
	    this.write_avg_latency = write_avg_latency;
	    this.write_total = write_total;
	}

	public float getNfsv3Ops() {
		return nfsv3_ops;
	}
	
	public void setNfsv3Ops(float nfsv3_ops) {
		this.nfsv3_ops = nfsv3_ops;
	}

	public float getNfsv3ReadOps() {
		return nfsv3_read_ops;
	}

	public void setNfsv3ReadOps(float nfsv3_read_ops) {
		this.nfsv3_read_ops = nfsv3_read_ops;
	}

	public float getNfsv3ReadThroughput() {
		return nfsv3_read_throughput;
	}

	public void setNfsv3ReadThroughput(float nfsv3_read_throughput) {
		this.nfsv3_read_throughput = nfsv3_read_throughput;
	}

	public float getNfsv3Throughput() {
		return nfsv3_throughput;
	}

	public void setNfsv3Throughput(float nfsv3_throughput) {
		this.nfsv3_throughput = nfsv3_throughput;
	}

	public float getNfsv3WriteOps() {
		return nfsv3_write_ops;
	}

	public void setNfsv3WriteOps(float nfsv3_write_ops) {
		this.nfsv3_write_ops = nfsv3_write_ops;
	}

	public float getNfsv3WriteThroughput() {
		return nfsv3_write_throughput;
	}

	public void setNfsv3WriteThroughput(float nfsv3_write_throughput) {
		this.nfsv3_write_throughput = nfsv3_write_throughput;
	}
	
	public float getReadAvgLatency() {
		return read_avg_latency;
	}

	public void setReadAvgLatency(float read_avg_latency) {
		this.read_avg_latency = read_avg_latency;
	}
	
	public float getReadTotal() {
		return read_total;
	}

	public void setReadTotal(float read_total) {
		this.read_total = read_total;
	}

	public float getWriteAvgLatency() {
		return write_avg_latency;
	}

	public void setWriteAvgLatency(float write_avg_latency) {
		this.write_avg_latency = write_avg_latency;
	}
	
	public float getWriteTotal() {
		return write_total;
	}

	public void setWriteTotal(float write_total) {
		this.write_total = write_total;
	}

    public float getLatency() {
        return latency;
    }

    public void setLatency(float latency) {
        this.latency = latency;
    }

    public float getTotalOps() {
        return total_ops;
    }

    public void setTotalOps(float total_ops) {
        this.total_ops = total_ops;
    }


    @Override
	public String toString() {
		return "Nfsv3Measurements {nfsv3_ops=" + nfsv3_ops
				+ ", nfsv3_read_ops=" + nfsv3_read_ops 
				+ ", nfsv3_read_throughput=" + nfsv3_read_throughput
				+ ", nfsv3_throughput=" + nfsv3_throughput 
				+ ", nfsv3_write_ops=" + nfsv3_write_ops 
				+ ", nfsv3_write_throughput=" + nfsv3_write_throughput
				+ ", read_avg_latency=" + read_avg_latency 
				+ ", read_total=" + read_total
				+ ", write_avg_latency=" + write_avg_latency
				+ ", write_total=" + write_total
                + ", total_ops="  + total_ops
                + ", latency=" + latency + "}";
	}

	@Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + Float.floatToIntBits(nfsv3_ops);
        result = prime * result + Float.floatToIntBits(nfsv3_read_ops);
        result = prime * result + Float.floatToIntBits(nfsv3_read_throughput);
        result = prime * result + Float.floatToIntBits(nfsv3_throughput);
        result = prime * result + Float.floatToIntBits(nfsv3_write_ops);
        result = prime * result + Float.floatToIntBits(nfsv3_write_throughput);
        result = prime * result + Float.floatToIntBits(read_avg_latency);
        result = prime * result + Float.floatToIntBits(read_total);
        result = prime * result + Float.floatToIntBits(write_avg_latency);
        result = prime * result + Float.floatToIntBits(write_total);
        result = prime * result + Float.floatToIntBits(total_ops);
        result = prime * result + Float.floatToIntBits(latency);
        return result;
    }

	
	@Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        Nfsv3Measurements other = (Nfsv3Measurements) obj;
        if (Float.floatToIntBits(nfsv3_ops) != Float
                .floatToIntBits(other.nfsv3_ops))
            return false;
        if (Float.floatToIntBits(nfsv3_read_ops) != Float
                .floatToIntBits(other.nfsv3_read_ops))
            return false;
        if (Float.floatToIntBits(nfsv3_read_throughput) != Float
                .floatToIntBits(other.nfsv3_read_throughput))
            return false;
        if (Float.floatToIntBits(nfsv3_throughput) != Float
                .floatToIntBits(other.nfsv3_throughput))
            return false;
        if (Float.floatToIntBits(nfsv3_write_ops) != Float
                .floatToIntBits(other.nfsv3_write_ops))
            return false;
        if (Float.floatToIntBits(nfsv3_write_throughput) != Float
                .floatToIntBits(other.nfsv3_write_throughput))
            return false;
        if (Float.floatToIntBits(read_avg_latency) != Float
                .floatToIntBits(other.read_avg_latency))
            return false;
        if (Float.floatToIntBits(read_total) != Float.
        		floatToIntBits(other.read_total))
            return false;
        if (Float.floatToIntBits(write_avg_latency) != Float
                .floatToIntBits(other.write_avg_latency))
            return false;
        if (Float.floatToIntBits(write_total) != Float
        		.floatToIntBits(other.write_total))
            return false;
        if(Float.floatToIntBits(total_ops) != Float.floatToIntBits(other.total_ops))
            return false;
        if (Float.floatToIntBits(latency) != Float.floatToIntBits(other.latency))
            return false;

        return true;
    }
	
}
