package com.netapp.oci.netapp.performance.nfs.interfaces.data;


import java.io.Serializable;

public class Nfsv41Measurements implements Serializable{
	
	private static final long serialVersionUID = 3892515675346877070L;
	
	private float nfsv41_ops;
	private float nfsv41_read_throughput;
	private float nfsv41_throughput;
	private float nfsv41_write_throughput;
	private float read_avg_latency;
	private float read_total;
	private float write_avg_latency;
	private float write_total;
    private float latency;
    private float total_ops;

	public Nfsv41Measurements() {
	}

	public Nfsv41Measurements(float nfsv41_ops, float read_total, float nfsv41_read_throughput,
			float nfsv41_throughput, float write_total, float nfsv41_write_throughput,
			float read_avg_latency, float write_avg_latency) 
	{
		super();
		this.nfsv41_ops = nfsv41_ops;
		this.nfsv41_read_throughput = nfsv41_read_throughput;
		this.nfsv41_throughput = nfsv41_throughput;
		this.nfsv41_write_throughput = nfsv41_write_throughput;
		this.read_avg_latency = read_avg_latency;
		this.read_total = read_total;
		this.write_avg_latency = write_avg_latency;
		this.write_total = write_total;
	}

	public float getNfsv41Ops() {
		return nfsv41_ops;
	}

	public void setNfsv41Ops(float nfsv41_ops) {
		this.nfsv41_ops = nfsv41_ops;
	}

	public float getNfsv41ReadThroughput() {
		return nfsv41_read_throughput;
	}

	public void setNfsv41ReadThroughput(float nfsv41_read_throughput) {
		this.nfsv41_read_throughput = nfsv41_read_throughput;
	}

	public float getNfsv41Throughput() {
		return nfsv41_throughput;
	}

	public void setNfsv41Throughput(float nfsv41_throughput) {
		this.nfsv41_throughput = nfsv41_throughput;
	}

	public float getNfsv41WriteThroughput() {
		return nfsv41_write_throughput;
	}

	public void setNfsv41WriteThroughput(float nfsv41_write_throughput) {
		this.nfsv41_write_throughput = nfsv41_write_throughput;
	}
	
	public float getReadAvgLatency() {
		return read_avg_latency;
	}

	public void setReadAvgLatency(float read_avg_latency) {
		this.read_avg_latency = read_avg_latency;
	}
	
	public float getReadTotal() {
		return read_total;
	}

	public void setReadTotal(float read_total) {
		this.read_total = read_total;
	}

	public float getWriteAvgLatency() {
		return write_avg_latency;
	}

	public void setWriteAvgLatency(float write_avg_latency) {
		this.write_avg_latency = write_avg_latency;
	}
	
	public float getWriteTotal() {
		return write_total;
	}

	public void setWriteTotal(float write_total) {
		this.write_total = write_total;
	}

    public float getLatency() {
        return latency;
    }

    public void setLatency(float latency) {
        this.latency = latency;
    }

    public float getTotalOps() {
        return total_ops;
    }

    public void setTotalOps(float total_ops) {
        this.total_ops = total_ops;
    }

	@Override
	public String toString() {
		return "Nfsv41Measurements {nfsv41_ops=" + nfsv41_ops
				+ ", nfsv41_read_throughput=" + nfsv41_read_throughput
				+ ", nfsv41_throughput=" + nfsv41_throughput 
				+ ", nfsv41_write_throughput=" + nfsv41_write_throughput
				+ ", read_avg_latency=" + read_avg_latency 
				+ ", read_total=" + read_total
				+ ", write_avg_latency=" + write_avg_latency
				+ ", write_total=" + write_total
                + ", latency= " + latency
                + ", total_ops=" + total_ops + "}";
	}

	@Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + Float.floatToIntBits(nfsv41_ops);
        result = prime * result + Float.floatToIntBits(nfsv41_read_throughput);
        result = prime * result + Float.floatToIntBits(nfsv41_throughput);
        result = prime * result + Float.floatToIntBits(nfsv41_write_throughput);
        result = prime * result + Float.floatToIntBits(read_avg_latency);
        result = prime * result + Float.floatToIntBits(read_total);
        result = prime * result + Float.floatToIntBits(write_avg_latency);
        result = prime * result + Float.floatToIntBits(write_total);
        result = prime * result + Float.floatToIntBits(latency);
        result = prime * result + Float.floatToIntBits(total_ops);
        return result;
    }

	@Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        Nfsv41Measurements other = (Nfsv41Measurements) obj;
        if (Float.floatToIntBits(nfsv41_ops) != Float
                .floatToIntBits(other.nfsv41_ops))
            return false;
        if (Float.floatToIntBits(nfsv41_read_throughput) != Float
                .floatToIntBits(other.nfsv41_read_throughput))
            return false;
        if (Float.floatToIntBits(nfsv41_throughput) != Float
                .floatToIntBits(other.nfsv41_throughput))
            return false;
        if (Float.floatToIntBits(nfsv41_write_throughput) != Float
                .floatToIntBits(other.nfsv41_write_throughput))
            return false;
        if (Float.floatToIntBits(read_avg_latency) != Float
                .floatToIntBits(other.read_avg_latency))
            return false;
        if (Float.floatToIntBits(read_total) != Float
        		.floatToIntBits(other.read_total))
            return false;
        if (Float.floatToIntBits(write_avg_latency) != Float
                .floatToIntBits(other.write_avg_latency))
            return false;
        if (Float.floatToIntBits(write_total) != Float
        		.floatToIntBits(other.write_total))
            return false;
        if (Float.floatToIntBits(latency) != Float
                .floatToIntBits(other.latency))
            return false;
        if (Float.floatToIntBits(total_ops) != Float.floatToIntBits(other.total_ops))
            return false;
        return true;
    }
	
}
