package com.netapp.oci.netapp.performance.nfs.interfaces.data;

import java.io.Serializable;
import java.math.BigInteger;

public class Nfsv41RawMeasurements implements Serializable{
	private static final long serialVersionUID = 3381531470236894287L;
	
	private BigInteger readAvgLatency;
	private BigInteger readTotal;
	private BigInteger nfs41ReadThroughput;
	private BigInteger nfs41Throughput;
	private BigInteger writeAvgLatency;
	private BigInteger writeTotal;
	private BigInteger nfs41WriteThroughput;
	private BigInteger nfsv41Ops;
    private BigInteger latency;
    private BigInteger totalOps;
	
	public Nfsv41RawMeasurements() {
	}

	public Nfsv41RawMeasurements(String nfs41LatencyHist,
			BigInteger readAvgLatency, BigInteger readTotal,
			BigInteger nfs41ReadThroughput, BigInteger nfs41Throughput,
			BigInteger writeAvgLatency, BigInteger writeTotal,
			BigInteger nfs41WriteThroughput, BigInteger nfsv41Ops) {
		super();
		this.readAvgLatency = readAvgLatency;
		this.readTotal = readTotal;
		this.nfs41ReadThroughput = nfs41ReadThroughput;
		this.nfs41Throughput = nfs41Throughput;
		this.writeAvgLatency = writeAvgLatency;
		this.writeTotal = writeTotal;
		this.nfs41WriteThroughput = nfs41WriteThroughput;
		this.nfsv41Ops = nfsv41Ops;
	}

	public BigInteger getReadAvgLatency() {
		return readAvgLatency;
	}

	public void setReadAvgLatency(BigInteger readAvgLatency) {
		this.readAvgLatency = readAvgLatency;
	}

	public BigInteger getReadTotal() {
		return readTotal;
	}

	public void setReadTotal(BigInteger readTotal) {
		this.readTotal = readTotal;
	}

	public BigInteger getNfs41ReadThroughput() {
		return nfs41ReadThroughput;
	}

	public void setNfs41ReadThroughput(BigInteger nfs41ReadThroughput) {
		this.nfs41ReadThroughput = nfs41ReadThroughput;
	}

	public BigInteger getNfs41Throughput() {
		return nfs41Throughput;
	}

	public void setNfs41Throughput(BigInteger nfs41Throughput) {
		this.nfs41Throughput = nfs41Throughput;
	}

	public BigInteger getWriteAvgLatency() {
		return writeAvgLatency;
	}

	public void setWriteAvgLatency(BigInteger writeAvgLatency) {
		this.writeAvgLatency = writeAvgLatency;
	}

	public BigInteger getWriteTotal() {
		return writeTotal;
	}

	public void setWriteTotal(BigInteger writeTotal) {
		this.writeTotal = writeTotal;
	}

	public BigInteger getNfs41WriteThroughput() {
		return nfs41WriteThroughput;
	}

	public void setNfs41WriteThroughput(BigInteger nfs41WriteThroughput) {
		this.nfs41WriteThroughput = nfs41WriteThroughput;
	}

	public BigInteger getNfsv41Ops() {
		return nfsv41Ops;
	}

	public void setNfsv41Ops(BigInteger nfsv41Ops) {
		this.nfsv41Ops = nfsv41Ops;
	}


    public BigInteger getLatency() {
        return latency;
    }

    public void setLatency(BigInteger latency) {
        this.latency = latency;
    }

    public BigInteger getTotalOps() {
        return totalOps;
    }

    public void setTotalOps(BigInteger totalOps) {
        this.totalOps = totalOps;
    }

}
