package com.netapp.oci.netapp.performance.nfs.interfaces.remote;

import com.netapp.oci.netapp.interfaces.data.NetappInterfaceException;
import com.netapp.oci.netapp.performance.nfs.interfaces.data.NfsMeasurements;
import com.netapp.oci.platform.common.interfaces.data.performance.RawSample;
import com.netapp.oci.platform.common.interfaces.data.performance.RawSample;

import javax.ejb.Remote;
import java.util.Collection;

@Remote
public interface NfsPerformanceRemote {
    String JNDI_NAME = "ejb:mega-app/server-core//NfsPerformanceBean!com.netapp.oci.netapp.performance.nfs.interfaces.remote.NfsPerformanceRemote";

    /**
     * To report summary samples for nfs performance
     *
     * @param dataSourceId - id of the data source reporting performance data
     * @param clusterKey   - the cluster Key Identifier
     * @param time         - the report time, it is the data source responsibility to make sure that the earlier sample and the
     *                     latest sample time difference is less then X minute (1 by default),
     * @param rawSamples   - raw aggregate samples
     * @param leaseTime    - the time for data source to be registered in the in the registry (in milliseconds)
     * @param isHistorical - flag showing that the samples are for historical poll or for regular poll
     * @throws com.netapp.oci.netapp.interfaces.data.NetappInterfaceException
     *          if failed to report
     */
    void reportNfsData(Long dataSourceId, String clusterKey, long time,
                       Collection<RawSample<NfsMeasurements>> rawSamples, long leaseTime, boolean isHistorical) throws NetappInterfaceException;
}
