package com.netapp.oci.netapp.performance.nic.interfaces.data;

import java.io.Serializable;

public class NicMeasurements implements Serializable {
  
    private static final long serialVersionUID = 1L;
    
    float rxBytes;
    float rxErrors;
    float txBytes;
    float txErrors;
    float opmNicTotalBytePersec;
    float opmNicUtilization;
    float opmNicTotalErrorRate;

    public NicMeasurements() {
    }

    public NicMeasurements(float rxBytesRate, float rxErrorsRate, float txBytesRate, float txErrorsRate)
    {
        this.rxBytes = rxBytesRate;
        this.rxErrors = rxErrorsRate;
        this.txBytes = txBytesRate;
        this.txErrors = txErrorsRate;
    }


    public NicMeasurements(float rxBytesRate, float rxErrorsRate,
			float txBytesRate, float txErrorsRate,
			float opmNicTotalBytePersec, float opmNicUtilization,
			float opmNicTotalErrorRate) {
		this.rxBytes = rxBytesRate;
		this.rxErrors = rxErrorsRate;
		this.txBytes = txBytesRate;
		this.txErrors = txErrorsRate;
		this.opmNicTotalBytePersec = opmNicTotalBytePersec;
		this.opmNicUtilization = opmNicUtilization;
		this.opmNicTotalErrorRate = opmNicTotalErrorRate;
	}

	public float getRxBytes() {
        return rxBytes;
    }

    public NicMeasurements setRxBytes(float rxBytes) {
        this.rxBytes = rxBytes;
        return this;
    }

    public float getRxErrors() {
        return rxErrors;
    }

    public NicMeasurements setRxErrors(float rxErrorsRate) {
        this.rxErrors = rxErrorsRate;
        return this;
    }

    public float getTxBytes() {
        return txBytes;
    }

    public NicMeasurements setTxBytes(float txBytesRate) {
        this.txBytes = txBytesRate;
        return this;
    }

    public float getTxErrors() {
        return txErrors;
    }

    public NicMeasurements setTxErrors(float txErrorsRate) {
        this.txErrors = txErrorsRate;
        return this;
    }

    public float getOpmNicTotalBytePerSec() {
		return opmNicTotalBytePersec;
	}

	public NicMeasurements setOpmNicTotalBytePerSec(float opmNicTotalBytePersec) {
		this.opmNicTotalBytePersec = opmNicTotalBytePersec;
		return this;
	}

	public float getOpmNicUtilization() {
		return opmNicUtilization;
	}

	public NicMeasurements setOpmNicUtilization(float opmNicUtilization) {
		this.opmNicUtilization = opmNicUtilization;
		return this;
	}

	public float getOpmNicTotalErrorRate() {
		return opmNicTotalErrorRate;
	}

	public NicMeasurements setOpmNicTotalErrorRate(float opmNicTotalErrorRate) {
		this.opmNicTotalErrorRate = opmNicTotalErrorRate;
		return this;
	}

	@Override
	public String toString() {
		return "NicMeasurements [rxBytesRate=" + rxBytes
				+ ", rxErrorsRate=" + rxErrors + ", txBytesRate="
				+ txBytes + ", txErrorsRate=" + txErrors
				+ ", opmNicTotalBytePersec=" + opmNicTotalBytePersec
				+ ", opmNicUtilization=" + opmNicUtilization
				+ ", opmNicTotalErrorRate=" + opmNicTotalErrorRate
				+ "]";
	}

    @Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + Float.floatToIntBits(rxBytes);
		result = prime * result + Float.floatToIntBits(rxErrors);
		result = prime * result + Float.floatToIntBits(txBytes);
		result = prime * result + Float.floatToIntBits(txErrors);
		result = prime * result + Float.floatToIntBits(opmNicTotalBytePersec);
		result = prime * result	+ Float.floatToIntBits(opmNicTotalErrorRate);
		result = prime * result + Float.floatToIntBits(opmNicUtilization);
		return result;
	}

    @Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		NicMeasurements other = (NicMeasurements) obj;
		if (Float.floatToIntBits(rxBytes) != Float
				.floatToIntBits(other.rxBytes))
			return false;
		if (Float.floatToIntBits(rxErrors) != Float
				.floatToIntBits(other.rxErrors))
			return false;
		if (Float.floatToIntBits(txBytes) != Float
				.floatToIntBits(other.txBytes))
			return false;
		if (Float.floatToIntBits(txErrors) != Float
				.floatToIntBits(other.txErrors))
			return false;
		if (Float.floatToIntBits(opmNicTotalBytePersec) != Float
				.floatToIntBits(other.opmNicTotalBytePersec))
			return false;
		if (Float.floatToIntBits(opmNicTotalErrorRate) != Float
				.floatToIntBits(other.opmNicTotalErrorRate))
			return false;
		if (Float.floatToIntBits(opmNicUtilization) != Float
				.floatToIntBits(other.opmNicUtilization))
			return false;
		return true;
	}
}
