package com.netapp.oci.netapp.performance.nic.interfaces.data;

import java.io.Serializable;
import java.math.BigInteger;

public class NicRawMeasurements implements Serializable {
    private static final long serialVersionUID = 1L;
    
    BigInteger rxBytes;
    BigInteger rxErrors;
    BigInteger txBytes;
    BigInteger txErrors;

    public BigInteger getRxBytes() {
        return rxBytes;
    }
    
    public NicRawMeasurements setRxBytes(BigInteger rxBytesRate) {
        this.rxBytes = rxBytesRate;
        return this;
    }
    
    public BigInteger getRxErrors() {
        return rxErrors;
    }
    
    public NicRawMeasurements setRxErrors(BigInteger rxErrorsRate) {
        this.rxErrors = rxErrorsRate;
        return this;
    }
    
    public BigInteger getTxBytes() {
        return txBytes;
    }
    
    public NicRawMeasurements setTxBytes(BigInteger txBytesRate) {
        this.txBytes = txBytesRate;
        return this;
    }
    
    public BigInteger getTxErrors() {
        return txErrors;
    }
    
    public NicRawMeasurements setTxErrors(BigInteger txErrorsRate) {
        this.txErrors = txErrorsRate;
        return this;
    }

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((rxBytes == null) ? 0 : rxBytes.hashCode());
		result = prime * result
				+ ((rxErrors == null) ? 0 : rxErrors.hashCode());
		result = prime * result
				+ ((txBytes == null) ? 0 : txBytes.hashCode());
		result = prime * result
				+ ((txErrors == null) ? 0 : txErrors.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		NicRawMeasurements other = (NicRawMeasurements) obj;
		if (rxBytes == null) {
			if (other.rxBytes != null)
				return false;
		} else if (!rxBytes.equals(other.rxBytes))
			return false;
		if (rxErrors == null) {
			if (other.rxErrors != null)
				return false;
		} else if (!rxErrors.equals(other.rxErrors))
			return false;
		if (txBytes == null) {
			if (other.txBytes != null)
				return false;
		} else if (!txBytes.equals(other.txBytes))
			return false;
		if (txErrors == null) {
			if (other.txErrors != null)
				return false;
		} else if (!txErrors.equals(other.txErrors))
			return false;
		return true;
	}
    
	
    
}
