/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.performance.node.interfaces.data;

import java.io.Serializable;


/**
 * Container for one row of column values for cifs:node counters
 */
public class CIFSNodeMeasurements implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * Average latency for CIFS operations
     */
    private float cifs_latency;

    /**
     * Average latency for CIFS read operations
     */
    private float cifs_read_latency;

    /**
     * Average latency for CIFS write operations
     */
    private float cifs_write_latency;

    /**
     * Total number of CIFS operations
     */
    private float cifs_ops;

    /**
     * Total number of CIFS read operations
     */
    private float cifs_read_ops;

    /**
     * Total number of CIFS write operations
     */
    private float cifs_write_ops;

    public float getCifsLatency() {
        return cifs_latency;
    }

    public void setCifsLatency(final float cifs_latency) {
        this.cifs_latency = cifs_latency;
    }

    public float getCifsReadLatency() {
        return cifs_read_latency;
    }

    public void setCifsReadLatency(final float cifs_read_latency) {
        this.cifs_read_latency = cifs_read_latency;
    }

    public float getCifsWriteLatency() {
        return cifs_write_latency;
    }

    public void setCifsWriteLatency(final float cifs_write_latency) {
        this.cifs_write_latency = cifs_write_latency;
    }

    public float getCifsOps() {
        return cifs_ops;
    }

    public void setCifsOps(final float cifs_ops) {
        this.cifs_ops = cifs_ops;
    }

    public float getCifsReadOps() {
        return cifs_read_ops;
    }

    public void setCifsReadOps(final float cifs_read_ops) {
        this.cifs_read_ops = cifs_read_ops;
    }

    public float getCifsWriteOps() {
        return cifs_write_ops;
    }

    public void setCifsWriteOps(final float cifs_write_ops) {
        this.cifs_write_ops = cifs_write_ops;
    }
}
