/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.performance.node.interfaces.data;

import java.io.Serializable;

/**
 * Container for one row of column values for nfsv3:node counters
 */
public class NFSv3NodeMeasurements implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *  Average latency of Read procedure requests.
     */
    private float read_avg_latency;

    /**
     * Average latency of Write procedure requests.
     */
    private float write_avg_latency;

    /**
     * Total number of NFSv3 procedure requests per second.
     */
    private float nfsv3_ops;

    /**
     * Total observed NFSv3 read operations per second.
     */
    private float nfsv3_read_ops;

    /**
     * Total observed NFSv3 write operations per second.
     */
    private float nfsv3_write_ops;

    /**
     * OCIE derived aggregation of other latencies, not directly reported by ZAPI;
     */
    private float other_latency;




    public float getReadAvgLatency() {
        return read_avg_latency;
    }

    public void setReadAvgLatency(final float read_avg_latency) {
        this.read_avg_latency = read_avg_latency;
    }

    public float getWriteAvgLatency() {
        return write_avg_latency;
    }

    public void setWriteAvgLatency(final float write_avg_latency) {
        this.write_avg_latency = write_avg_latency;
    }

    public float getNFSv3Ops() {
        return nfsv3_ops;
    }

    public void setNFSv3Ops(final float nfsv3_ops) {
        this.nfsv3_ops = nfsv3_ops;
    }

    public float getNFSv3ReadOps() {
        return nfsv3_read_ops;
    }

    public void setNFSv3ReadOps(final float nfsv3_read_ops) {
        this.nfsv3_read_ops = nfsv3_read_ops;
    }

    public float getNFSv3WriteOps() {
        return nfsv3_write_ops;
    }

    public void setNFSv3WriteOps(final float nfsv3_write_ops) {
        this.nfsv3_write_ops = nfsv3_write_ops;
    }

    public float getOtherLatency() {
        return other_latency;
    }

    public void setOtherLatency(float other_latency) {
        this.other_latency = other_latency;
    }
}
