/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.performance.node.interfaces.data;

import java.io.Serializable;

/**
 * Container for one row of column values for nfsv4_1:node counters
 */
public class NFSv41NodeMeasurements implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * Average latency of NFSv4.1 READ operations.
     */
    private float read_avg_latency;

    /**
     * Average latency of NFSv4.1 WRITE operations.
     */
    private float write_avg_latency;

    /**
     * Total number of NFSv4.1 operations per second.
     */
    private float nfsv4_1_ops;

    /**
     * Total number of NFSv4.1 READ operations.
     */
    private float read_total;

    /**
     * Total number of NFSv4.1 WRITE operations.
     */
    private float write_total;

    /**
     * OCIE derived aggregation of other latencies, not directly reported by ZAPI;
     */
    private float other_latency;



    public float getReadAvgLatency() {
        return read_avg_latency;
    }

    public void setReadAvgLatency(final float read_avg_latency) {
        this.read_avg_latency = read_avg_latency;
    }

    public float getWriteAvgLatency() {
        return write_avg_latency;
    }

    public void setWriteAvgLatency(final float write_avg_latency) {
        this.write_avg_latency = write_avg_latency;
    }

    public float getNFSv41Ops() {
        return nfsv4_1_ops;
    }

    public void setNFSv41Ops(final float nfsv4_1_ops) {
        this.nfsv4_1_ops = nfsv4_1_ops;
    }

    public float getReadTotal() {
        return read_total;
    }

    public void setReadTotal(final float read_total) {
        this.read_total = read_total;
    }

    public float getWriteTotal() {
        return write_total;
    }

    public void setWriteTotal(final float write_total) {
        this.write_total = write_total;
    }

    public float getOtherLatency() {
        return other_latency;
    }

    public void setOtherLatency(float other_latency) {
        this.other_latency = other_latency;
    }
}
