/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.performance.node.interfaces.data;

import java.io.Serializable;

/**
 * Container for one row of column values for nfsv4:node counters
 */
public class NFSv4NodeMeasurements implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * Average latency of READ procedures
     */
    private float read_avg_latency;

    /**
     * Average Latency of WRITE procedures
     */
    private float write_avg_latency;

    /**
     * Total number of NFSv4 procedures per second.
     */
    private float nfsv4_ops;

    /**
     * Total number of READ procedures
     */
    private float read_total;

    /**
     * Total number of WRITE procedures
     */
    private float write_total;

    /**
     * OCIE derived aggregation of other latencies, not directly reported by ZAPI;
     */
    private float other_latency;



    public float getReadAvgLatency() {
        return read_avg_latency;
    }

    public void setReadAvgLatency(final float read_avg_latency) {
        this.read_avg_latency = read_avg_latency;
    }

    public float getWriteAvgLatency() {
        return write_avg_latency;
    }

    public void setWriteAvgLatency(final float write_avg_latency) {
        this.write_avg_latency = write_avg_latency;
    }

    public float getNFSv4Ops() {
        return nfsv4_ops;
    }

    public void setNFSv4Ops(final float nfsv4_ops) {
        this.nfsv4_ops = nfsv4_ops;
    }

    public float getReadTotal() {
        return read_total;
    }

    public void setReadTotal(final float read_total) {
        this.read_total = read_total;
    }

    public float getWriteTotal() {
        return write_total;
    }

    public void setWriteTotal(final float write_total) {
        this.write_total = write_total;
    }

    public float getOtherLatency() {
        return other_latency;
    }

    public void setOtherLatency(float other_latency) {
        this.other_latency = other_latency;
    }
}
