package com.netapp.oci.netapp.performance.node.interfaces.data;

import java.io.Serializable;
import java.math.BigInteger;

/**
 * Container for Node(System) raw counter values
 *
 */
public class NodeRawMeasurements implements Serializable {

    private static final long serialVersionUID = 1L;

    private BigInteger avgProcessorBusy;
    private BigInteger cpuBusy;
    private BigInteger cpuElapsedTime;
    private BigInteger netDataRecv;
    private BigInteger netDataSent;
    private BigInteger cifsOps;
    private BigInteger fcpOps;
    private BigInteger iscsiOps;
    private BigInteger nfsOps;
    private BigInteger otherOps;
    private BigInteger readOps;
    private BigInteger sysAvgLatency;
    private BigInteger sysReadLatency;
    private BigInteger sysWriteLatency;
    private BigInteger totalOps;
    private BigInteger writeOps;
    private BigInteger fcpDataRecv;
    private BigInteger fcpDataSent;
    private BigInteger nvmfOps;
    private BigInteger nvmfDataRecv;
    private BigInteger nvmfDataSent;

    public NodeRawMeasurements(){};

    public BigInteger getAvgProcessorBusy() {
        return avgProcessorBusy;
    }

    public NodeRawMeasurements setAvgProcessorBusy(BigInteger avgProcessorBus) {
        this.avgProcessorBusy = avgProcessorBus;
        return this;
    }

    public BigInteger getCpuBusy() {
        return cpuBusy;
    }

    public NodeRawMeasurements setCpuBusy(BigInteger cpuBusy) {
        this.cpuBusy = cpuBusy;
        return this;
    }

    public BigInteger getCpuElapsedTime() {
        return cpuElapsedTime;
    }

    public NodeRawMeasurements setCpuElapsedTime(BigInteger cpuElapsedTime) {
        this.cpuElapsedTime = cpuElapsedTime;
        return this;
    }

    public BigInteger getNetDataRecv() {
        return netDataRecv;
    }

    public NodeRawMeasurements setNetDataRecv(BigInteger netDataRecv) {
        this.netDataRecv = netDataRecv;
        return this;
    }

    public BigInteger getNetDataSent() {
        return netDataSent;
    }

    public NodeRawMeasurements setNetDataSent(BigInteger netDataSent) {
        this.netDataSent = netDataSent;
        return this;
    }

    public BigInteger getCifsOps() {
        return cifsOps;
    }

    public NodeRawMeasurements setCifsOps(BigInteger cifsOps) {
        this.cifsOps = cifsOps;
        return this;
    }

    public BigInteger getFcpOps() {
        return fcpOps;
    }

    public NodeRawMeasurements setFcpOps(BigInteger fcpOps) {
        this.fcpOps = fcpOps;
        return this;
    }

    public BigInteger getIscsiOps() {
        return iscsiOps;
    }

    public NodeRawMeasurements setIscsiOps(BigInteger iscsiOps) {
        this.iscsiOps = iscsiOps;
        return this;
    }

    public BigInteger getNfsOps() {
        return nfsOps;
    }

    public NodeRawMeasurements setNfsOps(BigInteger nfsOps) {
        this.nfsOps = nfsOps;
        return this;
    }

    public BigInteger getOtherOps() {
        return otherOps;
    }

    public NodeRawMeasurements setOtherOps(BigInteger otherOps) {
        this.otherOps = otherOps;
        return this;
    }

    public BigInteger getReadOps() {
        return readOps;
    }

    public NodeRawMeasurements setReadOps(BigInteger readOps) {
        this.readOps = readOps;
        return this;
    }

    public BigInteger getSysAvgLatency() {
        return sysAvgLatency;
    }

    public NodeRawMeasurements setSysAvgLatency(BigInteger sysAvgLatency) {
        this.sysAvgLatency = sysAvgLatency;
        return this;
    }

    public BigInteger getSysReadLatency() {
        return sysReadLatency;
    }

    public NodeRawMeasurements setSysReadLatency(BigInteger sysReadLatency) {
        this.sysReadLatency = sysReadLatency;
        return this;
    }

    public BigInteger getSysWriteLatency() {
        return sysWriteLatency;
    }

    public NodeRawMeasurements setSysWriteLatency(BigInteger sysWriteLatency) {
        this.sysWriteLatency = sysWriteLatency;
        return this;
    }

    public BigInteger getTotalOps() {
        return totalOps;
    }

    public NodeRawMeasurements setTotalOps(BigInteger totalOps) {
        this.totalOps = totalOps;
        return this;
    }
    
    public BigInteger getWriteOps() {
        return writeOps;
    }

	public NodeRawMeasurements setWriteOps(BigInteger writeOps) {
        this.writeOps = writeOps;
        return this;
    }

    public BigInteger getFcpDataRecv() {
		return fcpDataRecv;
	}

	public NodeRawMeasurements setFcpDataRecv(BigInteger fcpDataRecv) {
		this.fcpDataRecv = fcpDataRecv;
		return this;
	}

	public BigInteger getFcpDataSent() {
		return fcpDataSent;
	}

	public NodeRawMeasurements setFcpDataSent(BigInteger fcpDataSent) {
		this.fcpDataSent = fcpDataSent;
		return this;
	}

    public BigInteger getNvmfOps() {
        return nvmfOps;
    }

    public NodeRawMeasurements setNvmfOps(BigInteger nvmfOps) {
        this.nvmfOps = nvmfOps;
        return this;
    }

    public BigInteger getNvmfDataRecv() {
		return nvmfDataRecv;
	}

	public NodeRawMeasurements setNvmfDataRecv(BigInteger nvmfDataRecv) {
		this.nvmfDataRecv = nvmfDataRecv;
		return this;
	}

	public BigInteger getNvmfDataSent() {
		return nvmfDataSent;
	}

	public NodeRawMeasurements setNvmfDataSent(BigInteger nvmfDataSent) {
		this.nvmfDataSent = nvmfDataSent;
		return this;
	}

}
