/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.performance.node.interfaces.data;

import java.io.Serializable;

/**
 * Container for one row of column values for smb1:node counters
 */
public class SMB1NodeMeasurements implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * Average latency for SMB operations
     */
    private float latency;

    /**
     * Average latency for SMB_COM_READ operations
     */
    private float read_latency;

    /**
     * Average latency for SMB_COM_WRITE operations
     */
    private float write_latency;

    /**
     * Number of SMB operations
     */
    private float ops;

    /**
     *  Number of SMB_COM_READ operations
     */
    private float read_ops;

    /**
     * Number of SMB_COM_WRITE operations
     */
    private float write_ops;



    public float getLatency() {
        return latency;
    }

    public void setLatency(final float latency) {
        this.latency = latency;
    }

    public float getReadLatency() {
        return read_latency;
    }

    public void setReadLatency(final float read_latency) {
        this.read_latency = read_latency;
    }

    public float getWriteLatency() {
        return write_latency;
    }

    public void setWriteLatency(float write_latency) {
        this.write_latency = write_latency;
    }

    public float getOps() {
        return ops;
    }

    public void setOps(float ops) {
        this.ops = ops;
    }

    public float getReadOps() {
        return read_ops;
    }

    public void setReadOps(float read_ops) {
        this.read_ops = read_ops;
    }

    public float getWriteOps() {
        return write_ops;
    }

    public void setWriteOps(float write_ops) {
        this.write_ops = write_ops;
    }
}
