package com.netapp.oci.netapp.performance.nvmffclif.interfaces.data;

import java.io.Serializable;
import java.math.BigInteger;

public class NvmfFcLifRawMeasurements implements Serializable {
    private static final long serialVersionUID = 1L;

    private BigInteger avgLatency;
    private BigInteger totalOps;
    private BigInteger avgOtherLatency;
    private BigInteger otherOps;
    private BigInteger avgReadLatency;
    private BigInteger readData;
    private BigInteger readOps;
    private BigInteger avgWriteLatency;
    private BigInteger writeData;
    private BigInteger writeOps;

    public NvmfFcLifRawMeasurements() {
    }

    public NvmfFcLifRawMeasurements(BigInteger avgLatency, 
                                 BigInteger totalOps,
                                 BigInteger avgOtherLatency,
                                 BigInteger otherOps, 
                                 BigInteger readData, 
                                 BigInteger avgReadLatency,
                                 BigInteger readOps, 
                                 BigInteger writeData, 
                                 BigInteger avgWriteLatency,
                                 BigInteger writeOps)
    {
        this.avgLatency = avgLatency;
        this.totalOps = totalOps;
        this.avgOtherLatency = avgOtherLatency;
        this.otherOps = otherOps;
        this.avgReadLatency = avgReadLatency;
        this.readData = readData;
        this.readOps = readOps;
        this.avgWriteLatency = avgWriteLatency;
        this.writeData = writeData;
        this.writeOps = writeOps;
    }

    public BigInteger getOtherOps() { return otherOps; }

    public void setOtherOps(BigInteger otherOps) { this.otherOps = otherOps; }

    public BigInteger getReadData() { return readData; }

    public void setReadData(BigInteger readData) { this.readData = readData; }

    public BigInteger getReadOps() { return readOps; }

    public void setReadOps(BigInteger readOps) { this.readOps = readOps; }

    public BigInteger getWriteData() { return writeData; }

    public void setWriteData(BigInteger writeData) { this.writeData = writeData; }

    public BigInteger getWriteOps() { return writeOps; }

    public void setWriteOps(BigInteger writeOps) { this.writeOps = writeOps; }

    @Override
    public String toString() {
        return "NvmfFcLifRawMeasurements{" +
                " avgLatency=" + avgLatency +
                ", totalOps=" + totalOps +
                ", avgOtherLatency=" + avgOtherLatency +
                ", otherOps=" + otherOps +
                ", avgReadLatency=" + avgReadLatency +
                ", readData=" + readData +
                ", readOps=" + readOps +
                ", avgWriteLatency=" + avgWriteLatency +
                ", writeData=" + writeData +
                ", writeOps=" + writeOps +
                "}";
    }
    
    /**
     * Get avgLatency.
     *
     * @return avgLatency as BigInteger.
     */
    public BigInteger getAvgLatency() {
        return avgLatency;
    }
    
    /**
     * Set avgLatency.
     *
     * @param avgLatency the value to set.
     */
    public void setAvgLatency(BigInteger avgLatency) {
        this.avgLatency = avgLatency;
    }
    
    /**
     * Get totalOps.
     *
     * @return totalOps as BigInteger.
     */
    public BigInteger getTotalOps() {
        return totalOps;
    }
    
    /**
     * Set totalOps.
     *
     * @param totalOps the value to set.
     */
    public void setTotalOps(BigInteger totalOps) {
        this.totalOps = totalOps;
    }
    
    /**
     * Get avgOtherLatency.
     *
     * @return avgOtherLatency as BigInteger.
     */
    public BigInteger getAvgOtherLatency() {
        return avgOtherLatency;
    }
    
    /**
     * Set avgOtherLatency.
     *
     * @param avgOtherLatency the value to set.
     */
    public void setAvgOtherLatency(BigInteger avgOtherLatency) {
        this.avgOtherLatency = avgOtherLatency;
    }
    
    /**
     * Get avgReadLatency.
     *
     * @return avgReadLatency as BigInteger.
     */
    public BigInteger getAvgReadLatency() {
        return avgReadLatency;
    }
    
    /**
     * Set avgReadLatency.
     *
     * @param avgReadLatency the value to set.
     */
    public void setAvgReadLatency(BigInteger avgReadLatency) {
        this.avgReadLatency = avgReadLatency;
    }
    
    /**
     * Get avgWriteLatency.
     *
     * @return avgWriteLatency as BigInteger.
     */
    public BigInteger getAvgWriteLatency() {
        return avgWriteLatency;
    }
    
    /**
     * Set avgWriteLatency.
     *
     * @param avgWriteLatency the value to set.
     */
    public void setAvgWriteLatency(BigInteger avgWriteLatency) {
        this.avgWriteLatency = avgWriteLatency;
    }
}
