/*
 * Copyright (c) 2014 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.performance.opmheadroom.interfaces.remote;

import com.netapp.oci.netapp.interfaces.data.NetappInterfaceException;
import com.netapp.oci.netapp.performance.opmheadroom.interfaces.data.OpmHeadRoomAggrMeasurements;
import com.netapp.oci.platform.common.interfaces.data.performance.RawSample;

import javax.ejb.Remote;
import java.util.Collection;

/**
 * Interface for reporting resource headroom aggr performance counters.
 */
@Remote
public interface OpmHeadRoomAggrPerformanceRemote {
    String JNDI_NAME = "ejb:mega-app/server-core//OpmHeadRoomAggrPerformanceBean!com.netapp.oci.netapp.performance.opmheadroom.interfaces.remote.OpmHeadRoomAggrPerformanceRemote";

    /**
     * The Acq use this method to report on resource headroom aggr performance counters
     *
     * @param datasourceId               - id of the data source reporting performance data
     * @param clusterKey                 - the Cluster Key Identifier
     * @param time                       - the report time
     * @param leaseTime                  the time for datasource to be registered in the in the registry (in milliseconds)
     * @param isHistorical - flag showing that the samples are for historical poll or for regular poll
     * @throws com.netapp.oci.netapp.interfaces.data.NetappInterfaceException
     *          if failed to report
     */
    public void reportOpmHeadRoomAggrSamples(Long datasourceId, String clusterKey, long time, long leaseTime, boolean isHistorical) throws NetappInterfaceException;
}
