package com.netapp.oci.netapp.performance.opmheadroom.interfaces.remote;
/*
 * Copyright (c) 2014 NetApp
 * All rights reserved
 */

import com.netapp.oci.netapp.interfaces.data.NetappInterfaceException;
import com.netapp.oci.netapp.performance.opmheadroom.interfaces.data.OpmHeadRoomCPUMeasurements;
import com.netapp.oci.platform.common.interfaces.data.performance.RawSample;

import javax.ejb.Remote;
import java.util.Collection;

/**
 * Interface for reporting opm headroom CPU performance counters.
 */
@Remote
public interface OpmHeadRoomCPUPerformanceRemote {
    String JNDI_NAME = "ejb:mega-app/server-core//OpmHeadRoomCPUPerformanceBean!com.netapp.oci.netapp.performance.opmheadroom.interfaces.remote.OpmHeadRoomCPUPerformanceRemote";

    /**
     * The Acq use this method to report on Resource HeadRoom CPU performance counters
     *
     * @param datasourceId               - id of the data source reporting performance data
     * @param clusterKey                 - the Cluster Key Identifier
     * @param time                       - the report time
     * @param leaseTime                  the time for datasource to be registered in the in the registry (in milliseconds)
     * @param isHistorical - flag showing that the samples are for historical poll or for regular poll
     * @throws com.netapp.oci.netapp.interfaces.data.NetappInterfaceException
     *          if failed to report
     */
    public void reportOpmHeadRoomCPUSamples(Long datasourceId, String clusterKey, long time, long leaseTime, boolean isHistorical) throws NetappInterfaceException;
}
