package com.netapp.oci.netapp.performance.processor.interfaces.remote;

import com.netapp.oci.netapp.interfaces.data.NetappInterfaceException;
import com.netapp.oci.netapp.performance.processor.interfaces.data.ProcessorMeasurements;
import com.netapp.oci.platform.common.interfaces.data.performance.RawSample;

import javax.ejb.Remote;
import java.util.Collection;

/**
 * @author Nancy Walia
 */

@Remote
public interface ProcessorPerformanceRemote {
    String JNDI_NAME = "ejb:mega-app/server-core//ProcessorPerformanceBean!com.netapp.oci.netapp.performance.processor.interfaces.remote.ProcessorPerformanceRemote";

    /**
     * The Acq use this method to report on processor performance
     *
     * @param datasourceId - id of the datasource reporting performance data
     * @param clusterKey - the cluster Key Identifier
     * @param time - the report time, it is the datasource responsibility to make sure that the earlier sample and the
     *               latest sample time difference is less then X minute (1 by default),
     * @param rawSamples - raw processor samples
     * @param leaseTime    the time for datasource to be register in the in the registry (in milliseconds)
     * @param isHistorical - flag showing that the samples are for historical poll or for regular poll
     * @throws com.netapp.oci.netapp.interfaces.data.NetappInterfaceException if failed to report
     */
    void reportProcessorSamples(Long datasourceId, String clusterKey, long time, Collection<RawSample<ProcessorMeasurements>> rawSamples, long leaseTime, boolean isHistorical) throws NetappInterfaceException;
}

