/*
 * $Id$
 *
 * Copyright (c) 2015 NetApp, Inc.
 * All rights reserved.
 */

package com.netapp.oci.netapp.performance.qosworkload.interfaces.data;

/**
 * This class is used for qos lun workload
 */
public class QosLunWorkloadMeasurements extends QosLunFileWorkloadMeasurements {

    public QosLunWorkloadMeasurements() {
        super();
    }

    public float getLatency() {
        return latency;
    }

    public QosLunWorkloadMeasurements setLatency(float latency) {
        this.latency = latency;
        return this;
    }

    public float getOps() {
        return ops;
    }

    public QosLunWorkloadMeasurements setOps(float ops) {
        this.ops = ops;
        return this;
    }

    public float getTotalData() {
        return totalData;
    }

    public QosLunWorkloadMeasurements setTotalData(float totalData) {
        this.totalData = totalData;
        return this;
    }

    public float getReadData() {
        return readData;
    }

    public QosLunWorkloadMeasurements setReadData(float readData) {
        this.readData = readData;
        return this;
    }

    public float getReadLatency() {
        return readLatency;
    }

    public QosLunWorkloadMeasurements setReadLatency(float readLatency) {
        this.readLatency = readLatency;
        return this;
    }

    public float getReadOps() {
        return readOps;
    }

    public QosLunWorkloadMeasurements setReadOps(float readOps) {
        this.readOps = readOps;
        return this;
    }

    public float getWriteData() {
        return writeData;
    }

    public QosLunWorkloadMeasurements setWriteData(float writeData) {
        this.writeData = writeData;
        return this;
    }

    public float getWriteLatency() {
        return writeLatency;
    }

    public QosLunWorkloadMeasurements setWriteLatency(float writeLatency) {
        this.writeLatency = writeLatency;
        return this;
    }

    public float getWriteOps() {
        return writeOps;
    }

    public QosLunWorkloadMeasurements setWriteOps(float writeOps) {
        this.writeOps = writeOps;
        return this;
    }

    public long getLogicalSize() {
        return logicalSize;
    }

    public QosLunWorkloadMeasurements setLogicalSize(long logicalSize) {
        this.logicalSize = logicalSize;
        return this;
    }

    public long getLogicalBlockCpCount() {
        return logicalBlockCpCount;
    }

    public QosLunWorkloadMeasurements setLogicalBlockCpCount(long logicalBlockCpCount) {
        this.logicalBlockCpCount = logicalBlockCpCount;
        return this;
    }

    public float getOpsPerTB() {
        return opsPerTB;

    }

    public QosLunWorkloadMeasurements setOpsPerTB(float opsPerTB) {
        this.opsPerTB = opsPerTB;
        return this;
    }

    public float getMaxIOPS() {
        return maxIOPS;
    }

    public QosLunWorkloadMeasurements setMaxIOPS(float maxIOPS) {
        this.maxIOPS = maxIOPS;
        return this;
    }

    public float getMinIOPS() {
        return minIOPS;
    }

    public QosLunWorkloadMeasurements setMinIOPS(float minIOPS) {
        this.minIOPS = minIOPS;
        return this;
    }

    public float getMaxMBPS() {
        return maxMBPS;
    }

    public QosLunWorkloadMeasurements setMaxMBPS(float maxMBPS) {
        this.maxMBPS = maxMBPS;
        return this;
    }

    public float getMaxIOPSPerTB() {
        return maxIOPSPerTB;
    }

    public QosLunWorkloadMeasurements setMaxIOPSPerTB(float maxIOPSPerTB) {
        this.maxIOPSPerTB = maxIOPSPerTB;
        return this;
    }

    public float getMinIOPSPerTB() {
        return minIOPSPerTB;
    }

    public QosLunWorkloadMeasurements setMinIOPSPerTB(float minIOPSPerTB) {
        this.minIOPSPerTB = minIOPSPerTB;
        return this;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        QosLunWorkloadMeasurements that = (QosLunWorkloadMeasurements) o;

        if (Float.compare(that.latency, latency) != 0) return false;
        if (Float.compare(that.ops, ops) != 0) return false;
        if (Float.compare(that.readData, readData) != 0) return false;
        if (Float.compare(that.readLatency, readLatency) != 0) return false;
        if (Float.compare(that.readOps, readOps) != 0) return false;
        if (Float.compare(that.totalData, totalData) != 0) return false;
        if (Float.compare(that.writeData, writeData) != 0) return false;
        if (Float.compare(that.writeLatency, writeLatency) != 0) return false;
        if (Float.compare(that.writeOps, writeOps) != 0) return false;
        if (Float.compare(that.opsPerTB, opsPerTB) !=0) return false;
        if (logicalSize != that.logicalSize) return false;
        if (Float.compare(that.maxIOPS, maxIOPS) !=0) return false;
        if (Float.compare(that.maxMBPS, maxMBPS) !=0) return false;
        if (Float.compare(that.minIOPS, minIOPS) !=0) return false;
        if (Float.compare(that.maxIOPSPerTB, maxIOPSPerTB) !=0) return false;
        if (Float.compare(that.minIOPSPerTB, minIOPSPerTB) !=0) return false;
        return true;
    }

    @Override
    public int hashCode() {
        int result = (latency != +0.0f ? Float.floatToIntBits(latency) : 0);
        result = 31 * result + (ops != +0.0f ? Float.floatToIntBits(ops) : 0);
        result = 31 * result + (totalData != +0.0f ? Float.floatToIntBits(totalData) : 0);
        result = 31 * result + (readData != +0.0f ? Float.floatToIntBits(readData) : 0);
        result = 31 * result + (readLatency != +0.0f ? Float.floatToIntBits(readLatency) : 0);
        result = 31 * result + (readOps != +0.0f ? Float.floatToIntBits(readOps) : 0);
        result = 31 * result + (writeData != +0.0f ? Float.floatToIntBits(writeData) : 0);
        result = 31 * result + (writeLatency != +0.0f ? Float.floatToIntBits(writeLatency) : 0);
        result = 31 * result + (writeOps != +0.0f ? Float.floatToIntBits(writeOps) : 0);
        result = 31 * result + (opsPerTB != +0.0f ? Float.floatToIntBits(opsPerTB) : 0);
        result = 31 * result + (int) (logicalSize ^ (logicalSize>>> 32));
        result = 31 * result + (maxIOPS != +0.0f ? Float.floatToIntBits(maxIOPS) : 0);
        result = 31 * result + (maxMBPS != +0.0f ? Float.floatToIntBits(maxMBPS) : 0);
        result = 31 * result + (minIOPS != +0.0f ? Float.floatToIntBits(minIOPS) : 0);
        result = 31 * result + (maxIOPSPerTB != +0.0f ? Float.floatToIntBits(maxIOPSPerTB) : 0);
        result = 31 * result + (minIOPSPerTB != +0.0f ? Float.floatToIntBits(minIOPSPerTB) : 0);
        return result;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("QosLunWorkloadMeasurements{");
        sb.append("latency=").append(getLatency());
        sb.append(", ops=").append(getOps());
        sb.append(", totalData=").append(getTotalData());
        sb.append(", readData=").append(getReadData());
        sb.append(", readLatency=").append(getReadLatency());
        sb.append(", readOps=").append(getReadOps());
        sb.append(", writeData=").append(getWriteData());
        sb.append(", writeLatency=").append(getWriteLatency());
        sb.append(", writeOps=").append(getWriteOps());
        sb.append(", logicalSize=").append(getLogicalSize());
        sb.append(", opsPerTB=").append(getOpsPerTB());
        sb.append(", maxIOPS=").append(getMaxIOPS());
        sb.append(", maxMBPS=").append(getMaxMBPS());
        sb.append(", minIOPS=").append(getMinIOPS());
        sb.append(", maxIOPSPerTB=").append(getMaxIOPSPerTB());
        sb.append(", minIOPSPerTB=").append(getMinIOPSPerTB());
        sb.append('}');
        return sb.toString();
    }
}
