/*
 * $Id$
 *
 * Copyright (c) 2015 NetApp, Inc.
 * All rights reserved.
 */

package com.netapp.oci.netapp.performance.qosworkload.interfaces.data;

import java.io.Serializable;

/**
 *  This class to hold counters(logical_used_afs, logical_used and logical_available) from Volume object in ccma file.
 *  The logical_used will be used in IOPS/TB, maxIOPS/TB, minIOPS/TB calculation.
 */

public class VolumeMeasurements implements Serializable {

    private long logicalSizeAFS;
    private long logicalSize;
    private long logicalSizeAvailable;

    public long getLogicalSize() {
        return logicalSize;
    }

    public void setLogicalSize(long logicalSize) {
        this.logicalSize = logicalSize;
    }

    public long getLogicalSizeAvailable() {
        return logicalSizeAvailable;
    }

    public void setLogicalSizeAvailable(long logicalSizeAvailable) {
        this.logicalSizeAvailable = logicalSizeAvailable;
    }

    public long getLogicalSizeAFS() {
        return logicalSizeAFS;
    }

    public void setLogicalSizeAFS(long logicalSizeAFS) {
        this.logicalSizeAFS = logicalSizeAFS;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        VolumeMeasurements that = (VolumeMeasurements) o;

        if (logicalSize != that.logicalSize) return false;
        if (logicalSizeAFS != that.logicalSizeAFS) return false;
        if (logicalSizeAvailable != that.logicalSizeAvailable) return false;
        return true;
    }

    @Override
    public int hashCode() {
        int result = (int) (logicalSize ^ (logicalSize>>> 32));
        result = 31 * result + (int) (logicalSizeAFS ^ (logicalSizeAFS>>> 32));
        result = 31 * result + (int) (logicalSizeAvailable ^ (logicalSizeAvailable>>> 32));
        return result;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("VolumeMeasurements{");
        sb.append("logicalSize=").append(logicalSize);
        sb.append(", logicalSizeAvailable=").append(logicalSizeAvailable);
        sb.append(", logicalSizeAFS=").append(logicalSizeAFS);
        sb.append('}');
        return sb.toString();
    }


}
