/*
 * $Id$
 *
 * Copyright (c) 2015 NetApp, Inc.
 * All rights reserved.
 */

package com.netapp.oci.netapp.performance.qosworkload.interfaces.remote;

import java.util.Collection;

import javax.ejb.Remote;

import com.netapp.oci.netapp.interfaces.data.NetappInterfaceException;
import com.netapp.oci.netapp.performance.qosworkload.interfaces.data.QosLunWorkloadMeasurements;
import com.netapp.oci.platform.common.interfaces.data.performance.RawSample;

@Remote
public interface QosLunWorkloadPerformanceRemote {
    String JNDI_NAME = "ejb:mega-app/server-core//QosLunWorkloadPerformanceBean!com.netapp.oci.netapp.performance.qosworkload.interfaces.remote.QosLunWorkloadPerformanceRemote";

    /**
     * The Acq use this method to report on Workload performance
     *
     * @param datasourceId - id of the datasource reporting performance data
     * @param clusterKey - the Cluster Key Identifier
     * @param time - the report time, it is the datasource responsibility to make sure that the earlier sample and the
     *               latest sample time difference is less then X minute (1 by default),
     * @param rawSamples - raw volume samples
     * @param leaseTime    the time for datasource to be registered in the in the registry (in milliseconds)
     * @param isHistorical - flag showing that the samples are for historical poll or for regular poll
     * @throws NetappInterfaceException if failed to report
     */
    void reportQosLunWorkloadRemoteSamples(Long datasourceId, String clusterKey, long time, Collection<RawSample<QosLunWorkloadMeasurements>> rawSamples, long leaseTime, boolean isHistorical) throws NetappInterfaceException;
}
