/*
 * Copyright (c) 2014 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.performance.qosworkloaddblade.interfaces.remote;

import com.netapp.oci.netapp.interfaces.data.NetappInterfaceException;
import com.netapp.oci.netapp.performance.qosworkloaddblade.interfaces.data.QosWorkloadQueueDBladeMeasurements;
import com.netapp.oci.platform.common.interfaces.data.performance.RawSample;

import javax.ejb.Remote;
import java.util.Collection;

/**
 * Remote interface fro reporting Workload Queue DBlade performance counters
 */
@Remote
public interface QosWorkloadQueueDBladePerformanceRemote {
    String JNDI_NAME = "ejb:mega-app/server-core//QosWorkloadQueueDBladePerformanceBean!com.netapp.oci.netapp.performance.qosworkloaddblade.interfaces.remote.QosWorkloadQueueDBladePerformanceRemote";

    /**
     * The Acq use this method to report on Workload Queue DBlade performance counters
     *
     * @param datasourceId               - id of the data source reporting performance data
     * @param clusterKey                 - the Cluster Key Identifier
     * @param time                       - the report time
     * @param workloadQueueDBladeSamples - Workload Queue DBlade samples
     * @param leaseTime                  the time for datasource to be registered in the in the registry (in milliseconds)
     * @param isHistorical - flag showing that the samples are for historical poll or for regular poll
     * @throws com.netapp.oci.netapp.interfaces.data.NetappInterfaceException
     *          if failed to report
     */
    public void reportQosWorkloadQueueDBladeRemoteSamples(Long datasourceId, String clusterKey, long time, Collection<RawSample<QosWorkloadQueueDBladeMeasurements>> workloadQueueDBladeSamples, long leaseTime, boolean isHistorical) throws NetappInterfaceException;
}
