package com.netapp.oci.netapp.performance.qosworkloaddetail;

import java.sql.ResultSet;
import java.sql.SQLException;

import com.netapp.oci.netapp.performance.qosworkloaddetail.interfaces.data.QosWorkloadDetailMeasurements;
import com.netapp.oci.netapp.performance.shared.PerformanceTableUtils;
import com.netapp.oci.platform.common.table.ObjectParser;
import com.netapp.oci.platform.common.table.PreparedStatementWrapper;
import com.netapp.oci.platform.common.table.TableException;
import com.netapp.oci.platform.framework.performance.tables.Column;
import com.netapp.oci.platform.framework.performance.tables.SqlMethod;

public class QosWorkloadDetailMetaData {

    public static final Column[] SAMPLE_COLUMNS = new Column[] { 
        new Column("serviceTime", "bigint(20)"),
        new Column("waitTime", "bigint(20)"),
        new Column("collectionPeriod", "bigint(20)")};

    public static final Column[] SUMMARY_COLUMNS = new Column[] { 
        new Column("serviceTime", "bigint(20)"),
        new Column("waitTime", "bigint(20)"),
        new Column("collectionPeriod", "bigint(20)")
};

    public static final SqlMethod[][] SAMPLE_TO_SUMMARY_METHODS = new SqlMethod[][] { 
        {SqlMethod.SUM}, // serviceTime
        {SqlMethod.SUM}, //waitTime
        {SqlMethod.SUM} //collectionPeriod
       };

    public static final SqlMethod[] SUMMARY_COMMON_METHODS = new SqlMethod[] { 
        SqlMethod.SUM, // serviceTime
        SqlMethod.SUM, //waitTime
        SqlMethod.SUM, //collectionPeriod

    };

    private static ObjectParser<QosWorkloadDetailMeasurements> sampleParser;

    static {
    	sampleParser = new ObjectParser<QosWorkloadDetailMeasurements>() {
    		public void prepareObjectDataForInsert(PreparedStatementWrapper preparedStatement,
    				QosWorkloadDetailMeasurements objectData) throws TableException {
    			PerformanceTableUtils.setNextNullable(preparedStatement, objectData.getServiceTime());
    			PerformanceTableUtils.setNextNullable(preparedStatement, objectData.getWaitTime());
    			PerformanceTableUtils.setNextNullable(preparedStatement, objectData.getCollectionPeriod());
    		}

    		public QosWorkloadDetailMeasurements parseObjectData(ResultSet resultSet, int startIndex) throws SQLException {
    			int i = startIndex - 1;
    			return new QosWorkloadDetailMeasurements(
    					PerformanceTableUtils.getLongNullable(resultSet, ++i),
    					PerformanceTableUtils.getLongNullable(resultSet, ++i),
    					PerformanceTableUtils.getLongNullable(resultSet, ++i));
    		}
    	};
    }

    public static ObjectParser<QosWorkloadDetailMeasurements> getSummaryParser() {
        return sampleParser;
    }

    public static ObjectParser<QosWorkloadDetailMeasurements> getSampleParser() {
        return sampleParser;
    }
    
}

