package com.netapp.oci.netapp.performance.qosworkloaddetail.interfaces.data;

import java.io.Serializable;

public class QosWorkloadDetailMeasurements implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * The workload's average service time per visit to the service center. 
     */
    private long serviceTime;
    
    /**
     * The workload's average wait time per visit to the service center.
     */
    private long waitTime;
    
    /**
     * The time elapsed between the previous and current pool's workload detail zapi calls. 
     * This will vary between collections.
     */
    private long collectionPeriod;

    public QosWorkloadDetailMeasurements() {
    }

    public QosWorkloadDetailMeasurements(long serviceTime, long waitTime, long collectionPeriod) {
        this.serviceTime = serviceTime;
        this.waitTime = waitTime;
        this.collectionPeriod = collectionPeriod;
    }

    public long getServiceTime() {
        return serviceTime;
    }

    public void setServiceTime(long serviceTime) {
        this.serviceTime = serviceTime;
    }

    public long getWaitTime() {
        return waitTime;
    }

    public void setWaitTime(long waitTime) {
        this.waitTime = waitTime;
    }
    
    public long getCollectionPeriod() {
        return collectionPeriod;
    }

    public void setCollectionPeriod(long collectionPeriod) {
        this.collectionPeriod = collectionPeriod;
    }

    @Override
    public int hashCode() {
        int result = (int) (serviceTime ^ (serviceTime >>> 32));
        result = 31 * result + (int) (waitTime ^ (waitTime >>> 32));
        result = 31 * result + (int) (collectionPeriod ^ (collectionPeriod >>> 32));
        return result;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof QosWorkloadDetailMeasurements)) return false;
        QosWorkloadDetailMeasurements that = (QosWorkloadDetailMeasurements) o;
        if (that.serviceTime != serviceTime) return false;
        if (that.waitTime != waitTime) return false;
        if (that.collectionPeriod != collectionPeriod) return false;

        return true;
    }

    @Override
    
    public String toString() {
        return new StringBuilder("QosWorkloadDetailMeasurements{")
                .append("serviceTime=").append(serviceTime)
                .append(", waitTime=").append(waitTime)
                .append(", collectionPeriod=").append(collectionPeriod)
                .append('}').toString();
    }
}
