/*
 * Copyright (c) 2012 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.performance.qosworkloaddetail.interfaces.remote;

import com.netapp.oci.netapp.interfaces.data.NetappInterfaceException;
import com.netapp.oci.netapp.performance.qosworkloaddetail.interfaces.data.QosWorkloadDetailMeasurements;
import com.netapp.oci.platform.common.interfaces.data.performance.RawSample;

import javax.ejb.Remote;
import java.util.Collection;

@Remote
public interface QosWorkloadDetailPerformanceRemote {
    String JNDI_NAME = "ejb:mega-app/server-core//QosWorkloadDetailPerformanceBean!com.netapp.oci.netapp.performance.qosworkloaddetail.interfaces.remote.QosWorkloadDetailPerformanceRemote";

    /**
     * The Acq use this method to report on Workload Detail performance
     *
     * @param datasourceId - id of the datasource reporting performance data
     * @param clusterKey - the Cluster Key Identifier
     * @param time - the report time, it is the datasource responsibility to make sure that the earlier sample and the
     *               latest sample time difference is less then X minute (1 by default),
     * @param rawSamples - raw volume samples
     * @param leaseTime    the time for datasource to be registered in the in the registry (in milliseconds)
     * @param isHistorical - flag showing that the samples are for historical poll or for regular poll
     * @throws NetappInterfaceException if failed to report
     */
    void reportQosWorkloadDetailSamples(Long datasourceId, String clusterKey, long time, Collection<RawSample<QosWorkloadDetailMeasurements>> rawSamples, long leaseTime, boolean isHistorical) throws NetappInterfaceException;
}

