/*
 * Copyright (c) 2014 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.performance.qosworkloadnblade.interfaces.remote;

import com.netapp.oci.netapp.interfaces.data.NetappInterfaceException;
import com.netapp.oci.netapp.performance.qosworkloadnblade.interfaces.data.QosWorkloadQueueNBladeMeasurements;
import com.netapp.oci.platform.common.interfaces.data.performance.RawSample;

import javax.ejb.Remote;
import java.util.Collection;

/**
 * Interface for reporting workload queue nblade performance counters.
 */
@Remote
public interface QosWorkloadQueueNBladePerformanceRemote {
    String JNDI_NAME = "ejb:mega-app/server-core//QosWorkloadQueueNBladePerformanceBean!com.netapp.oci.netapp.performance.qosworkloadnblade.interfaces.remote.QosWorkloadQueueNBladePerformanceRemote";

    /**
     * The Acq use this method to report on Workload Queue DBlade performance counters
     *
     * @param datasourceId               - id of the data source reporting performance data
     * @param clusterKey                 - the Cluster Key Identifier
     * @param time                       - the report time
     * @param workloadQueueNBladeSamples - Workload Queue NBlade samples
     * @param leaseTime                  the time for datasource to be registered in the in the registry (in milliseconds)
     * @param isHistorical - flag showing that the samples are for historical poll or for regular poll
     * @throws com.netapp.oci.netapp.interfaces.data.NetappInterfaceException
     *          if failed to report
     */
    public void reportQosWorkloadQueueNBladeRemoteSamples(Long datasourceId, String clusterKey, long time, Collection<RawSample<QosWorkloadQueueNBladeMeasurements>> workloadQueueNBladeSamples, long leaseTime, boolean isHistorical) throws NetappInterfaceException;
}
