package com.netapp.oci.netapp.performance.resourceheadroom.interfaces.data;

import java.io.Serializable;

public class ResourceHeadRoomAggrMeasurements implements Serializable {
	private static final long serialVersionUID = 1L;

	private float currentUtil;
	private long currentUtilTotal;
	private float currentLatency;
	private float currentOps;
	private float serviceTimeSumOfSquares;
	private float serviceTimeSum;
	private long serviceTimeCount;
	private float interarrivalTimeSumOfSquares;
	private float interarrivalTimeSum;
	private long interarrivalTimeCount;
	private long waitTime;
	private float internalWorkloadUtilization;

	public ResourceHeadRoomAggrMeasurements() {
		super();
	}

	public float getCurrentUtil() {
		return currentUtil;
	}

	public ResourceHeadRoomAggrMeasurements setCurrentUtil(float currentUtil) {
		this.currentUtil = currentUtil;
		return this;
	}

	public long getCurrentUtilTotal() {
		return currentUtilTotal;
	}

	public ResourceHeadRoomAggrMeasurements setCurrentUtilTotal(long currentUtilTotal) {
		this.currentUtilTotal = currentUtilTotal;
		return this;
	}

	public float getCurrentLatency() {
		return currentLatency;
	}

	public ResourceHeadRoomAggrMeasurements setCurrentLatency(float currentLatency) {
		this.currentLatency = currentLatency;
		return this;
	}

	public float getCurrentOps() {
		return currentOps;
	}

	public ResourceHeadRoomAggrMeasurements setCurrentOps(float currentOps) {
		this.currentOps = currentOps;
		return this;
	}

	public float getServiceTimeSumOfSquares() {
		return serviceTimeSumOfSquares;
	}

	public ResourceHeadRoomAggrMeasurements setServiceTimeSumOfSquares(float serviceTimeSumOfSquares) {
		this.serviceTimeSumOfSquares = serviceTimeSumOfSquares;
		return this;
	}

	public float getServiceTimeSum() {
		return serviceTimeSum;
	}

	public ResourceHeadRoomAggrMeasurements setServiceTimeSum(float serviceTimeSum) {
		this.serviceTimeSum = serviceTimeSum;
		return this;
	}

	public long getServiceTimeCount() {
		return serviceTimeCount;
	}

	public ResourceHeadRoomAggrMeasurements setServiceTimeCount(long count) {
		this.serviceTimeCount = count;
		return this;
	}

	public float getInterarrivalTimeSumOfSquares() {
		return interarrivalTimeSumOfSquares;
	}

	public ResourceHeadRoomAggrMeasurements setInterarrivalTimeSumOfSquares(float interarrivalTimeSumOfSquares) {
		this.interarrivalTimeSumOfSquares = interarrivalTimeSumOfSquares;
		return this;
	}

	public float getInterarrivalTimeSum() {
		return interarrivalTimeSum;
	}

	public float getInternalWorkloadUtilization() {
		return internalWorkloadUtilization;
	}

	public ResourceHeadRoomAggrMeasurements setInternalWorkloadUtilization(float inWorkloadUtilization) {
		this.internalWorkloadUtilization = inWorkloadUtilization;
		return this;
	}

	public ResourceHeadRoomAggrMeasurements setInterarrivalTimeSum(float interarrivalTimeSum) {
		this.interarrivalTimeSum = interarrivalTimeSum;
		return this;
	}

	public long getInterarrivalTimeCount() {
		return interarrivalTimeCount;
	}

	public ResourceHeadRoomAggrMeasurements setInterarrivalTimeCount(long interarrivalCount) {
		this.interarrivalTimeCount = interarrivalCount;
		return this;
	}

	public long getWaitTime() {
		return waitTime;
	}

	public ResourceHeadRoomAggrMeasurements setWaitTime(long waitTime) {
		this.waitTime = waitTime;
		return this;
	}

	@Override
	public String toString(){
		final StringBuilder sb = new StringBuilder("ResourceHeadRoomAggrMeasurements {");
		sb.append("currentUtil=").append(currentUtil);
		sb.append(", currentUtilTotal=").append(currentUtilTotal);
		sb.append(", currentLatency=").append(currentLatency);
		sb.append(", currentOps=").append(currentOps);
		sb.append(", serviceTimeSumOfSquares=").append(serviceTimeSumOfSquares);
		sb.append(", serviceTimeSum=").append(serviceTimeSum);
		sb.append(", serviceTimeCount=").append(serviceTimeCount);
		sb.append(", interarrivalTimeSumOfSquares=").append(interarrivalTimeSumOfSquares);
		sb.append(", interarrivalTimeSum=").append(interarrivalTimeSum);
		sb.append(", interarrivalTimeCount=").append(interarrivalTimeCount);
		sb.append(", waitTime=").append(waitTime);
		sb.append(", inHDDWorkloadUtilization").append(internalWorkloadUtilization);
		sb.append('}');
		return sb.toString();
	}

	@Override
	public int hashCode(){
		int result = Float.floatToIntBits(currentUtil);
		result = 31 * result + (int)(currentUtilTotal ^ (currentUtilTotal >>> 32));
		result = 31 * result + Float.floatToIntBits(currentLatency);
		result = 31 * result + Float.floatToIntBits(currentOps);
		result = 31 * result + Float.floatToIntBits(serviceTimeSumOfSquares);
		result = 31 * result + Float.floatToIntBits(serviceTimeSum);
		result = 31 * result + (int)(serviceTimeCount ^ (serviceTimeCount >>> 32));
		result = 31 * result + Float.floatToIntBits(interarrivalTimeSumOfSquares);
		result = 31 * result + Float.floatToIntBits(interarrivalTimeSum);
		result = 31 * result + (int)(interarrivalTimeCount ^ (interarrivalTimeCount >>> 32));
		result = 31 * result + Float.floatToIntBits(waitTime);
		result = 31 * result + Float.floatToIntBits(internalWorkloadUtilization);
		return result;
	}

	@Override
	public boolean equals(Object o){
		 if (this == o) return true;
	     if (o == null || getClass() != o.getClass()) return false;

	     ResourceHeadRoomAggrMeasurements that = (ResourceHeadRoomAggrMeasurements) o ;
	     if(currentUtil != that.currentUtil) return false;
	     if(currentUtilTotal != that. currentUtilTotal) return false;
	     if(currentLatency != that.currentLatency) return false;
	     if(currentOps != that.currentOps) return false;
	     if(serviceTimeSumOfSquares != that.serviceTimeSumOfSquares) return false;
	     if(serviceTimeSum != that.serviceTimeSum) return false;
	     if(serviceTimeCount != that.serviceTimeSum) return false;
	     if(interarrivalTimeSumOfSquares != that.interarrivalTimeSumOfSquares) return false;
	     if(interarrivalTimeSum != that.interarrivalTimeSum) return false;
	     if(interarrivalTimeCount != that.interarrivalTimeCount) return false;
	     if(waitTime != that.waitTime) return false;
	     if(internalWorkloadUtilization != that.internalWorkloadUtilization) return false;
	     return true;
	}

}