/*
 * Copyright (c) 2015 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.performance.resourceheadroom.interfaces.remote;

import com.netapp.oci.netapp.interfaces.data.NetappInterfaceException;
import com.netapp.oci.netapp.performance.resourceheadroom.interfaces.data.ResourceHeadRoomCPUMeasurements;
import com.netapp.oci.platform.common.interfaces.data.performance.RawSample;

import javax.ejb.Remote;
import java.util.Collection;

/**
 * Interface for reporting resource headroom CPU performance counters.
 */
@Remote
public interface ResourceHeadRoomCPURemote { 
    String JNDI_NAME = "ejb:mega-app/server-core//ResourceHeadRoomCPUBean!com.netapp.oci.netapp.performance.resourceheadroom.interfaces.remote.ResourceHeadRoomCPURemote";

    /**
     * The Acq use this method to report on Resource HeadRoom CPU performance counters
     *
     * @param datasourceId               - id of the data source reporting performance data
     * @param clusterKey                 - the Cluster Key Identifier
     * @param time                       - the report time
     * @param resourceHeadRoomCPUSamples - Resource HeadRoom CPU samples
     * @param leaseTime                  the time for datasource to be registered in the in the registry (in milliseconds)
     * @param isHistorical - flag showing that the samples are for historical poll or for regular poll
     * @throws com.netapp.oci.netapp.interfaces.data.NetappInterfaceException
     *          if failed to report
     */
    public void reportResourceHeadRoomCPUSamples(Long datasourceId, String clusterKey, long time, Collection<RawSample<ResourceHeadRoomCPUMeasurements>> resourceHeadRoomCPUSamples, long leaseTime, boolean isHistorical) throws NetappInterfaceException;
}
