/*
 * Copyright (c) 2012 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.performance.shared;

import com.netapp.oci.platform.common.interfaces.data.performance.PerformanceException;
import com.netapp.oci.platform.framework.performance.util.AbstractRawSampleConverter;
import com.netapp.oci.platform.originator.key.KeyCache;

/**
 * @author Anton Sergeev
 */
public class SimpleRawSampleConverter<T> extends AbstractRawSampleConverter<T> {

    private Long containerId;
    private KeyCache keyCache;
    private String tag;
    private Long originId;

    public SimpleRawSampleConverter(Long containerId, KeyCache keyCache, String tag, Long originId) {
        this.containerId = containerId;
        this.keyCache = keyCache;
        this.tag = tag;
        this.originId = originId;
    }

    @Override
    protected Long getIdFromKey(String key) throws PerformanceException {
        Long objId = keyCache.findId(originId, tag, key);
        if (objId == null) {
            getLogger().info("Failed to find objId from key= " + key + " for OriginId= " + originId + " and containerId= " + containerId);
        }
        return objId;
    }
}
