package com.netapp.oci.netapp.performance.shared.interfaces.impl;

import com.netapp.oci.netapp.performance.shared.interfaces.local.NetappPerformanceDatasourceRegistry;
import com.netapp.oci.platform.framework.performance.util.DatasourceRegistry;

import javax.ejb.Stateless;

/**
 * @author Anton Sergeev
 */
@Stateless

public class NetappPerformanceDatasourceRegistryBean implements NetappPerformanceDatasourceRegistry {
    private final static DatasourceRegistry datasourceRegistry = new DatasourceRegistry();

    public boolean isRegistered(String pckg, String key, Long datasourceId, long leaseTime) {
        return datasourceRegistry.isRegistered(pckg, key, datasourceId, leaseTime);
    }

    public boolean register(String pckg, String key, Long datasourceId, long leaseTime) {
        return datasourceRegistry.register(pckg, key, datasourceId, leaseTime);
    }

    public Long getRegisterDatasourceId(String pckg, String key, long leaseTime) {
        return datasourceRegistry.getRegisterDatasourceId(pckg, key, leaseTime);
    }

    public long getFirstReportTime(String pckg, String key, Long datasourceId) {
        return datasourceRegistry.getFirstReportTime(pckg, key, datasourceId);
    }

    public void clearRegistery() {
        datasourceRegistry.clearRegistery();
    }

    public void unregisterPackage(String pckg) {
        datasourceRegistry.unregisterPackage(pckg);
    }
}
