package com.netapp.oci.netapp.performance.shared.interfaces.impl;

import com.netapp.oci.platform.common.table.ConnectionHelper;
import org.jboss.ejb3.annotation.ResourceAdapter;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.quartz.StatefulJob;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.annotation.Resource;
import javax.annotation.security.RunAs;
import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.sql.DataSource;
import java.sql.*;

@RunAs("admin")
public class NetappPerformanceSummaryPurgeJob implements StatefulJob {

    public static final String CRON_TRIGGER = "0 30 3 * * ?";
    public static final String JOB_NAME = "NetappPerformanceSummaryPurgeJob";

    private static final Logger logger = LoggerFactory.getLogger(NetappPerformanceSummaryPurgeJob.class);

    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        Connection connection = null;
        CallableStatement callableStatement = null;

        try {
            final long startTime = System.currentTimeMillis();

            DataSource dataSource = (DataSource) jobExecutionContext.getJobDetail().getJobDataMap().get("dataSourceOnaroPool");
	    connection = ConnectionHelper.newConnection(dataSource);

            logger.debug("Started Purge  Summary");
            callableStatement = connection.prepareCall("{call netapp_performance.purge_summary()}");
            callableStatement.execute();
            logger.info("Completed Purge  Summary in " + (System.currentTimeMillis() - startTime) + " msec.");
        } catch (SQLException e) {
            throw new JobExecutionException(e);
        } finally {
            ConnectionHelper.close(callableStatement);
            ConnectionHelper.close(connection);
        }
    }

}

