package com.netapp.oci.netapp.performance.vserver.interfaces.data;

import java.io.Serializable;


public class VserverMeasurements implements Serializable {

    private static final long serialVersionUID = 1L;

    private float opmOps;
    private float opmReadOps;
    private float opmWriteOps;
    private float opmThroughput;
    private float opmReadThroughput;
    private float opmWriteThroughput;
    private float opmLatency;
    private float opmReadLatency;
    private float opmWriteLatency;

    public VserverMeasurements() {
    }


    public float getOpmOps() {
        return opmOps;
    }

    public VserverMeasurements setOpmOps(float opmOps) {
        this.opmOps = opmOps;
        return this;
    }

    public float getOpmReadOps() {
        return opmReadOps;
    }

    public VserverMeasurements setOpmReadOps(float opmReadOps) {
        this.opmReadOps = opmReadOps;
        return this;
    }

    public float getOpmWriteOps() {
        return opmWriteOps;
    }

    public VserverMeasurements setOpmWriteOps(float opmWriteOps) {
        this.opmWriteOps = opmWriteOps;
        return this;
    }

    public float getOpmThroughput() {
        return opmThroughput;
    }

    public VserverMeasurements setOpmThroughput(float opmThroughput) {
        this.opmThroughput = opmThroughput;
        return this;
    }

    public float getOpmReadThroughput() {
        return opmReadThroughput;
    }

    public VserverMeasurements setOpmReadThroughput(float opmReadThroughput) {
        this.opmReadThroughput = opmReadThroughput;
        return this;
    }

    public float getOpmWriteThroughput() {
        return opmWriteThroughput;
    }

    public VserverMeasurements setOpmWriteThroughput(float opmWriteThroughput) {
        this.opmWriteThroughput = opmWriteThroughput;
        return this;
    }

    public float getOpmLatency() {
        return opmLatency;
    }

    public VserverMeasurements setOpmLatency(float opmLatency) {
        this.opmLatency = opmLatency;
        return this;
    }

    public float getOpmReadLatency() {
        return opmReadLatency;
    }

    public VserverMeasurements setOpmReadLatency(float opmReadLatency) {
        this.opmReadLatency = opmReadLatency;
        return this;
    }

    public float getOpmWriteLatency() {
        return opmWriteLatency;
    }

    public VserverMeasurements setOpmWriteLatency(float opmWriteLatency) {
        this.opmWriteLatency = opmWriteLatency;
        return this;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        VserverMeasurements that = (VserverMeasurements) o;

        if (opmLatency != that.opmLatency) return false;
        if (Float.compare(that.opmOps, opmOps) != 0) return false;
        if (Float.compare(that.opmReadLatency, opmReadLatency) != 0) return false;
        if (Float.compare(that.opmReadOps, opmReadOps) != 0) return false;
        if (Float.compare(that.opmReadThroughput, opmReadThroughput) != 0) return false;
        if (Float.compare(that.opmThroughput, opmThroughput) != 0) return false;
        if (Float.compare(that.opmWriteLatency, opmWriteLatency) != 0) return false;
        if (Float.compare(that.opmWriteOps, opmWriteOps) != 0) return false;
        if (Float.compare(that.opmWriteThroughput, opmWriteThroughput) != 0) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = (opmOps != +0.0f ? Float.floatToIntBits(opmOps) : 0);
        result = 31 * result + (opmReadOps != +0.0f ? Float.floatToIntBits(opmReadOps) : 0);
        result = 31 * result + (opmWriteOps != +0.0f ? Float.floatToIntBits(opmWriteOps) : 0);
        result = 31 * result + (opmThroughput != +0.0f ? Float.floatToIntBits(opmThroughput) : 0);
        result = 31 * result + (opmReadThroughput != +0.0f ? Float.floatToIntBits(opmReadThroughput) : 0);
        result = 31 * result + (opmWriteThroughput != +0.0f ? Float.floatToIntBits(opmWriteThroughput) : 0);
        result = 31 * result + (opmLatency != +0.0f ? Float.floatToIntBits(opmLatency) : 0);
        result = 31 * result + (opmReadLatency != +0.0f ? Float.floatToIntBits(opmReadLatency) : 0);
        result = 31 * result + (opmWriteLatency != +0.0f ? Float.floatToIntBits(opmWriteLatency) : 0);
        return result;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("Measurements{");
        sb.append("opmOps=").append(opmOps);
        sb.append(", opmReadOps=").append(opmReadOps);
        sb.append(", opmWriteOps=").append(opmWriteOps);
        sb.append(", opmThroughput=").append(opmThroughput);
        sb.append(", opmReadThroughput=").append(opmReadThroughput);
        sb.append(", opmWriteThroughput=").append(opmWriteThroughput);
        sb.append(", opmLatency=").append(opmLatency);
        sb.append(", opmReadLatency=").append(opmReadLatency);
        sb.append(", opmWriteLatency=").append(opmWriteLatency);
        sb.append('}');
        return sb.toString();
    }
}
