package com.netapp.oci.netapp.performance.vserver.interfaces.remote;

import com.netapp.oci.netapp.interfaces.data.NetappInterfaceException;
import com.netapp.oci.netapp.performance.vserver.interfaces.data.VserverMeasurements;
import com.netapp.oci.platform.common.interfaces.data.performance.RawSample;

import javax.ejb.Remote;
import java.util.Collection;

@Remote
public interface VserverPerformanceRemote {
    String JNDI_NAME = "ejb:mega-app/server-core//VserverPerformanceBean!com.netapp.oci.netapp.performance.vserver.interfaces.remote.VserverPerformanceRemote";

    /**
     * To report summary samples for vserver performance
     *
     * @param dataSourceId - id of the data source reporting performance data
     * @param clusterKey   - the cluster Key Identifier
     * @param time         - the report time, it is the data source responsibility to make sure that the earlier sample and the
     *                     latest sample time difference is less then X minute (1 by default),
     * @param rawSamples   - raw aggregate samples
     * @param leaseTime    - the time for data source to be registered in the in the registry (in milliseconds)
     * @param isHistorical - flag showing that the samples are for historical poll or for regular poll
     * @throws com.netapp.oci.netapp.interfaces.data.NetappInterfaceException
     *          if failed to report
     */
    void reportVserverData(Long dataSourceId, String clusterKey, long time,
                       Collection<RawSample<VserverMeasurements>> rawSamples, long leaseTime, boolean isHistorical) throws NetappInterfaceException;
}
