/*
 * Copyright (c) 2011 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.upgrade;

import com.netapp.oci.netapp.startup.NetAppPlugin;
import com.netapp.oci.netapp.upgrade.version_1.Upgrade_1_0_0_103;
import com.netapp.oci.netapp.upgrade.version_1.Upgrade_1_0_0_69;
import com.netapp.oci.netapp.upgrade.version_1.Upgrade_1_0_0_95;
import com.netapp.oci.netapp.upgrade.version_1.Upgrade_1_0_0_96;
import com.netapp.oci.netapp.upgrade.version_1_1.Upgrade_1_1_0_10;
import com.netapp.oci.netapp.upgrade.version_1_1.Upgrade_1_1_0_31;
import com.netapp.oci.netapp.upgrade.version_1_1.Upgrade_1_1_0_6;
import com.netapp.oci.netapp.upgrade.version_1_2.Upgrade_1_2_0_0;
import com.netapp.oci.netapp.upgrade.version_1_2.Upgrade_1_2_0_1;
import com.netapp.oci.netapp.upgrade.version_1_2.Upgrade_1_2_0_2;
import com.netapp.oci.netapp.upgrade.version_1_2.Upgrade_1_2_0_20;
import com.netapp.oci.netapp.upgrade.version_1_2.Upgrade_1_2_0_21;
import com.netapp.oci.netapp.upgrade.version_1_2.Upgrade_1_2_0_22;
import com.netapp.oci.netapp.upgrade.version_1_2.Upgrade_1_2_0_25;
import com.netapp.oci.netapp.upgrade.version_1_2.Upgrade_1_2_0_31;
import com.netapp.oci.netapp.upgrade.version_1_2.Upgrade_1_2_0_34;
import com.netapp.oci.netapp.upgrade.version_1_2.Upgrade_1_2_0_38;
import com.netapp.oci.netapp.upgrade.version_1_2.Upgrade_1_2_0_40;
import com.netapp.oci.netapp.upgrade.version_1_2.Upgrade_1_2_0_48;
import com.netapp.oci.netapp.upgrade.version_1_2.Upgrade_1_2_0_49;
import com.netapp.oci.netapp.upgrade.version_1_2.Upgrade_1_2_0_51;
import com.netapp.oci.netapp.upgrade.version_1_3.Upgrade_1_3_0_13;
import com.netapp.oci.netapp.upgrade.version_1_3.Upgrade_1_3_0_63;
import com.netapp.oci.netapp.upgrade.version_1_3.Upgrade_1_3_0_76;
import com.netapp.oci.netapp.upgrade.version_1_4.Upgrade_1_4_0_20;
import com.netapp.oci.platform.upgrade.UpgradeRegistry;

public class NetAppUpgradeRegistry extends UpgradeRegistry {
    public static final UpgradeRegistry INSTANCE = new NetAppUpgradeRegistry();

    private NetAppUpgradeRegistry() {
        super(NetAppPlugin.CONFIG_DB, NetAppPlugin.PERFORMANCE_DB);

        createDB("com/netapp/oci/netapp/upgrade/create_db_netapp_model.sql");
        createDB("com/netapp/oci/netapp/upgrade/create_db_netapp_performance.sql");

        //All the older upgraders(version 0-21) have been merged to upgrader 21.
        //The starting version in the database will be 21.
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_21.sql", "Initial database schema");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_22.sql", "Add columns to vserver and node");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_23.sql", "Convert to case-insensitive strings");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_24.sql", "Updating attribute list for Cluster, Aggregate, Node, Vserver, Volume");
        //25 reserved for QoS work should it be delivered.
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_25.sql", "Add QoS configuration tables");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_26.sql", "Adding raw value columns for Enums on Cluster, Aggregate, Node, Vserver, Volume");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_27.sql", "Change table");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_28.sql", "iSCSI LIF performance");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_29.sql", "Snapshot table and Volume.oldestSnapshotTimestamp");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_30.sql", "Volume Move Info table");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_31.sql", "Param table");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_32.sql", "Adding raw value for Aggregate raidType");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_33.sql", "Update network LIF attributes");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_34.sql", "Converting TIMESTAMP columns");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_35.sql", "Network port relationship");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_36.sql", "Removing obsolete aggregate columns");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_37.sql", "Adding 'ObjectType' column to 'changes' table primary key");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_38.sql", "Improved SnapMirror support");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_39.sql", "Adding 'changed_attribute' table");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_40.sql", "More 'Disk' attributes");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_41.sql", "More SnapMirror attributes");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_42.sql", "Job_Schedule, snapshot_policy and sis_policy tables");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_43.sql", "Fix Vserver state enum");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_44.sql", "'change' table primary key and index changes");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_45.sql", "'vserver_to_aggregate' table");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_46.sql", "'snapshot_policy_vserver_relationship' table");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_48.sql", "Moved 'ownerNodeId' into 'disk' table");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_49.sql", "Increase summary data to 30 days");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_50.sql", "QoS support");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_51.sql", "Support for keeping history");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_52.sql", "Add QoS relationship");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_53.sql", "Infinivol and constituent volumes support");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_54.sql", "Resize resource key to 1024");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_55.sql", "Convert snap_mirror attributes");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_56.sql", "snap_mirror_policy and snap_mirror_policy_rule");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_57.sql", "Added new attributes to Node, Disk and SnapMirror");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_58.sql", "Adding 'ResourceKey' and raw value string columns to FCPLif and FCPPort");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_59.sql", "Increased disk's capacitySectors, rightSizeSectors column's size to BIGINT");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_60.sql", "Adding 'InterconnectType' attribute to Node; adding 'IsInFDR' and 'FailedReason' attributes to Disk");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_61.sql", "Adding derived volume style");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_62.sql", "Support volume workloads with no vserver or volume association");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_63.sql", "Adding 'ldapClientEnabled' to VServer and 'fcPortName' to StorageAdapter");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_64.sql", "updating Node nvRAMBatteryStatus enums");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_65.sql", "Add resource key and raw enum values to disk_path");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_66.sql", "Add policy foreign key to snap mirror");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_68.sql", "Updating Qtree and making resource keys 512 length");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_69.sql", new Upgrade_1_0_0_69(), "Migrate QoS data to new performance container");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_70.sql", "Add ServiceProcessor table, add attrs to VServer and Aggregate views.  Rename Change table");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_71.sql", "Add storage service support");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_72.sql", "Add datasourceId and lastupdatetime to cluster view");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_73.sql", "Add resourceKey to snap mirror policy rule");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_74.sql", "Add qos policy group support");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_75.sql", "Add routing group and route information of LIFs");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_76.sql", "Add Volume Junction parent relationship, add jobSchedule info to Snapmirror");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_77.sql", "Add remaining resource keys for acquisition objects");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_78.sql", "snap-mirror attributes for protection workflows, initiator group attributes");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_79.sql", "Change column type of snap_mirror.progressLastUpdated from VARCHAR to TIMESTAMP");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_80.sql", "Add flash_device entity, add attributes to lun and snapshotpolicyschedule entities");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_81.sql", "Resource key fixes");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_83.sql", "Add quota-type index to quota table");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_84.sql", "Add more performance statistics to update_history");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_85.sql", "Add read-only, read-write access attr to exportRule, add raw values to Lun and Portset enum attributes");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_86.sql", "Add delete_detail");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_87.sql", "Add cloneParentId to VolumeSelfRelationship, diagnosisStatus to Cluster");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_88.sql", "Add storage shelf");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_89.sql", "Add param to control recording cluster adds/deletes changes");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_90.sql", "Add routing_group_destination table to allow for multiple destinations");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_91.sql", "Add UNKNOWN as a valid ownerType for license");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_92.sql", "Node SFO attributes");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_93.sql", "Add access related attributes to volume");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_94.sql", "Add raid group isReconstructing, adjust volume security styles");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_95.sql", new Upgrade_1_0_0_95(), "Add new performance counters to qos-volume-workload");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_96.sql", new Upgrade_1_0_0_96(), "Remove unused performance counters");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_97.sql", "Don't update current sample tables");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_98.sql", "Preserve offline objects");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_99.sql", "Add timezone information to cluster");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_100.sql", "Treat Vserver NIS domains as separate objects");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_101.sql", "Revert vserver NIS columns; refer to as 'active'");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_102.sql", "New attributes on CIFS share and export policy");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_103.sql", new Upgrade_1_0_0_103(), "Remove unused performance counters again");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_104.sql", "Add FK constraint to rootVolumeId of vserver table");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_105.sql", "Correct update_history key");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_106.sql", "Correct Volume workload UUID key");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_107.sql", "Enforce unique UUIDs in key-cache");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_108.sql", "Set partnerNodeId to null if node is removed");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_109.sql", "Correct SnapshotPolicy UUID key");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_110.sql", "Correct SnapshotPolicySchedule UUID key, reset netappfoundation ds password");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_111.sql", "Remove duplicate qos workload detail");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_112.sql", "Update snaphotpolicyvserver relationship UUID");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_113.sql", "Add more processor performance counters");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_114.sql", "Add destination volume derived style to snap_mirror");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_115.sql", "Remove source location from snap mirror UUID and ResourceKey");
        register("com/netapp/oci/netapp/upgrade/version_1_0/upgrade_1_0_0_116.sql", "Increase length of snap mirror error fields");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_0.sql", "Add VServer name mapping");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_1.sql", "Add CIFS Share ACL");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_3.sql", "Add Service Center metrics");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_4.sql", "Restore user quotas");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_5.sql", "Remove source_location from snap_mirror resourceKey and uuid");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_6.sql", new Upgrade_1_1_0_6(), "Upgrade old processor tables");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_7.sql",  "Track objState for all objects");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_8.sql",  "Update performance table lifespan default");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_9.sql",  "Add volume blocks footprint");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_10.sql", new Upgrade_1_1_0_10(), "Upgrade User Quota UUIDs");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_11.sql",  "Make qtree_quota and user_quota tables case sensitive");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_12.sql",  "collect meta-data about which applications are monitoring the cluster");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_13.sql",  "Add CIFS options for CIFS share");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_14.sql",  "Add quota status to volume");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_15.sql",  "New objState index");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_16.sql",  "Add StorageShelfCable and new attributes for StorageAdapter");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_17.sql",  "To fix duplicate records with same UUID but different objStates");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_18.sql",  "Add user summary to user_quota schema, add additional attributes to Cluster and Node schema");

        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_20.sql",  "Add export policy ID to qtree");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_21.sql",  "Add createtime");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_22.sql",  "Adjust modeling of LIFs to optimize UM/OCF reconciliation queries");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_23.sql",  "Add createtime to LIF");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_24.sql",  "Add attachedSerialNumber column to storage_adapter and storage_shelf_cable");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_25.sql",  "Add partnerNode column to storage_shelf");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_26.sql",  "Make QOS Workload Detail primary keys be globally unique");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_27.sql",  "Make QOS Resource primary keys be globally unique");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_28.sql",  "Add fabricEstablished, firmwareRev & infoName columns to fcp_port");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_29.sql",  "Make QOS Workload Details and Resource primary keys large enough to be globally unique");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_30.sql",  "Change ENUM value in aggregate.raidType from MIXED to MIXED_RAID_TYPE");
        register("com/netapp/oci/netapp/upgrade/version_1_1/upgrade_1_1_0_31.sql",  new Upgrade_1_1_0_31(), "Re-attributing Deferred Workloads");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_0.sql",  new Upgrade_1_2_0_0(), "Fix for upgrade_1_1_0_25.sql");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_1.sql",  new Upgrade_1_2_0_1(), "Entry Efficiency Upgrade");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_2.sql", new Upgrade_1_2_0_2(), "Clean old databases");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_3.sql", "Storage switch");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_4.sql", "Add 2 columns(fcpLifId, iSCSIPortalGroupId) to portset_port");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_5.sql", "Update comments of uuid in 3 tables:storage_shelf_cable, network_lif and fcp_lif");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_6.sql", "Support for entry efficiency fields (i.e., usableDataSize, usableRootSize).");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_7.sql", "Support for System health alert. creating new table.");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_8.sql", "Support for vServer Snap Mirror and new Snap Mirror attributes.");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_9.sql", "Support for Metrocluster attributes.");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_10.sql", "Add alertingResourcename into system_health_alert table. ");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_11.sql", "Add RAID4 and RAID0 into raidType enum. ");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_12.sql", "Increase the size of the UUID column in job_schedule table to 512.");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_13.sql", "Add VMDISK into interfaceType and effectiveInterfaceType in disk table, add comments for ha_pair table.");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_14.sql", "Added isHealthy in storage_pool and raidType, raidTypeRaw in raid_group");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_15.sql", "Added homeNodeName, ownerNodeName and activeNodeName in disk ");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_16.sql",  "Add a column stackId to storage_shelf table");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_17.sql", "Support for IP Spaces, Broadcast Domains and Failover Groups.");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_18.sql", "Added subtype column to vserver table.");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_19.sql", "Added operationalState column to vserver table.");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_20.sql", new Upgrade_1_2_0_20(), "Created sample, current & summary tables for qos_workload_queue_dblade,qos_workload_queue_nblade, " +
                "qos_workload_detail, qos_service_center, qos_volume_workload along with qos_workload_node_relationship config table with config data population based on cluster version, " +
                "qos_workload_detail with  old sample & specific config tables backed up");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_21.sql", new Upgrade_1_2_0_21(), "Add column delayNvlogTransferWaitTime to all qos_workload_queue_dblade acquisition tables");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_22.sql", new Upgrade_1_2_0_22(), "Add cacheMissRate to qos_volume_workload and qos_workload_queue_dblade samples");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_23.sql", "Added isLocallyAttachedShelf column to storge_shelf table.");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_24.sql", "Added isLocalAttach column to disk table.");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_25.sql", new Upgrade_1_2_0_25(), "Add new columns to include _WAFL_CP, _BACKGROUND_DELETE and _RA_STRIPE_X contributions for cpuDBladeBackgroundServiceTime, diskHDDBackgroundServiceTime & diskSSDBackgroundServiceTime");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_26.sql", "Added owningNodeId column to lun_map table, and create lun_map_reporting_node table.");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_27.sql", "Rename isLocallyAttachedShelf column to isLocalAttach in storage shelf table.");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_30.sql", "Rename enum values in mtMode column--partially_switchover to partial_switchover, partially_switchback to partial_switchback");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_31.sql", new Upgrade_1_2_0_31(), "Added in new Data Source attributes to indicate whether or not to store raw and cooked statistics.");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_32.sql", "Added is-config-locked-for-changes column to the vserver table");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_33.sql", "Change table name storage_pool_spare to storage_pool_available and column spare_size to available_size");

        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_34.sql", new Upgrade_1_2_0_34(), "Added read_partial_blocks and write_partial_blocks columns to sample_lun_raw_xxx tables.");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_35.sql", "Upgrade script for adding the ip space uuid to the broadcast domain uuid.");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_36.sql", "Adding Autovolume and Undefined enums for qos_volume_workload table, workloadclass column");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_37.sql", "Deleting qos workloads from root volumes");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_38.sql", new Upgrade_1_2_0_38(), "Added a doatsource attribute to indicate if need run dyanmic UUID conversion during a poll.");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_39.sql", "Graphite counter additions, updates to sample* tables.");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_40.sql", new Upgrade_1_2_0_40(), "Add missing counters for Graphite, updates to sample* tables.");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_41.sql", "Added percentSparesConsumed, partitioningType, partitioningTypeRaw columns to disk table; Added aggregateType column to aggregate table.");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_42.sql", "Added isCache column to disk_aggregate_relationship table.");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_43.sql", "Added enum value 'NOT_MAPPED' to 'storageType' column types of 'storage_pool' and 'storage_pool_available' tables.");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_44.sql", "Modify column type of dataInBlocks/dataOutBlocks/cmdTransfered to be bigint.");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_45.sql", "drop performance tables for nfsv4, nfsv41 and cifsvserver objects so that they are dynamically recreated with updated table attributes");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_46.sql", "added rootVolumeName for vserver");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_47.sql", "drop performance tables for nfsv3, nfsv4 and nfsv41 objects so that they are dynamically recreated with updated table attributes");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_48.sql", new Upgrade_1_2_0_48(), "Add base counters required to summarize data");
	    register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_49.sql", new Upgrade_1_2_0_49(), "added sysemOps to node");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_50.sql", "Add AFF related attributes in the disk and node tables");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_51.sql", new Upgrade_1_2_0_51(), "Add baseForDiskBusy column to netapp_performance.summary_disk tables");
        register("com/netapp/oci/netapp/upgrade/version_1_2/upgrade_1_2_0_52.sql", "Turn on netappstorageperformance.rawpersistence");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_1.sql", "created 'lun_import' table for supporting WFA foreign lun import");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_2.sql", "upgrade failover groups and add the failover group relationship table");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_3.sql", "upgrade license table");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_4.sql", "upgrade plex table with resync percentage column");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_5.sql", "added isExportPolicyInherited for qtree table");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_6.sql", "created two new performance data retention parameters");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_7.sql", "upgrade volume table with cachingPolicy and cachingPolicyRaw column");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_8.sql", "added mtRemoteConfigurationState, mtRemoteConfigurationStateRaw, mtRemoteMode, mtRemoteModeRaw,mtConfigurationType for cluster table.");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_9.sql", "upgrade disk and vserver table with percentRatedLifeUsed and isSmbEncryptionRequired columns");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_10.sql", "Flag whether automatic switchover has been enabled or disabled for the cluster");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_11.sql", "run the procedures for performance data migration");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_12.sql", "reset SUMMARY_TABLES_LIFESPAN_DAYS param to 390");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_13.sql", new Upgrade_1_3_0_13(), "Add column processorElapsedTime to all processor performance tables");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_14.sql", "Remove QtreeUUID foreign key constraint from netapp_model.lun table");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_15.sql", "Stored procedure for adding new columns for newly added counters in OPM 2.0 ");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_16.sql", "Add columns for newly added counters in OPM 2.0 for Aggregate from netapp_performance.sample_aggregate_%, netapp_performance.sample_aggregate_raw_% and netapp_performance.summary_aggregate_% tables");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_17.sql", "Add AFF related attributes in the disk and node tables");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_18.sql", "Add columns for newly added counters in OPM 2.0 for LUN");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_19.sql", "Add new columns for synthetic counters for fcp_Lif, iscsi_lif and fcp_port which are not dependant on other objects");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_20.sql", "Add new columns for synthetic counters for volume");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_21.sql", "Create metrocluster_operation table");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_22.sql", "Add targetWWNN column to disk_path table");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_23.sql", "Original Stored procedure for dropping existing columns. Merged to upgrade_1_3_0_15.");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_24.sql", "Add sslFipsEnabled column to cluster table");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_25.sql", "Adding support for cluster peer");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_26.sql", "Original Stored procedure for changing existing column names. Merged to upgrade_1_3_0_15");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_27.sql", "Renaming sample_nic and summary_nic columns to cammelCase & Add columns for newly added counters in OPM 2.0 for NIC Common from netapp_performance.sample_nic$, netapp_performance.sample_nic_raw$ and netapp_performance.summary_nic$ tables");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_28.sql", "Add columns for iscslifVserver");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_29.sql", "Adding, Removing and renaming new columns for synthetic counters for lif and node");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_30.sql", "Adding synthetic counters for lifVserver");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_31.sql", "nfsv3, nfsv4 and nfsv41");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_32.sql", "Adding new columns for synthetic counters for disk");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_33.sql", "Removing synthetic utilization counters for nic common raw table.");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_34.sql", "Make nodeID column in metrocluster_operation table nullable");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_35.sql", "added fcpLifServer and cifsVserver counters");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_36.sql", "fcpPort Derived counters.  Merged with upgrade_1_3_0_19.sql");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_37.sql", "Stored procedure to calculate node Utilization in the summary table");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_38.sql", "Adding new columns for synthetic counters for node. Merged with upgrade_1_3_0_29.sql");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_39.sql", "Adding new columns to network_lif and vserver tables");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_40.sql", "Stored Procedure to rename table");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_41.sql", "renaming (sample/summary)_vserver table to (sample/summary)_volumeVserver");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_42.sql", "Adding new columns for synthetic counters for aggregate.Merged with upgrade_1_3_0_16.sql. ");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_43.sql", "Adding stored procedure for summary of Node table");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_44.sql", "Adding new TCI columns for synthetic counters for node");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_45.sql", "Create vserver_peer table");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_46.sql", "fcp port derived counters added to summary_fcpport. Merged with upgrade_1_3_0_19.sql");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_47.sql", "Create network_subnet table.");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_48.sql", "Fixed a misspelled enum peerState value in vserver_peer table");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_49.sql", "Changed the type of vserver#activeNisServers column to TEXT");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_50.sql", "Changed stored procedure call, correcting the parens to compute node utlilization");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_51.sql", "Create snap_mirror_history table");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_52.sql", "Modify failoverPolicy column in network_lif table");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_53.sql", "Remove synthetic raw counters.");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_54.sql", "Modify additionalInfo, correctiveActions and probableCauseDescription to text.");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_55.sql", "Reset SAMPLE_RAW_TABLES_LIFESPAN_DAYS parameter, and add UPDATE_HISTORY_LIFESPAN_DAYS parameter.");

        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_56.sql", "Create a stored procedure to drop the associated performance tables for a given originator id.");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_57.sql", "Added fcLinkRate to storage_adapter table");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_58.sql", "Drop sample hostadapter tables which is not needed");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_59.sql", "Create license v2 entitlement risk table.");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_60.sql", "purge summary");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_61.sql", "Modify column names for sameple_nic, summary_nic and sample_raw_nic since Nic Common counter name changes. ");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_62.sql", "Update table to turn off netappstorageperformance.rawpersistence.enabled");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_63.sql", new Upgrade_1_3_0_63(), "Update sample and summary Node table to convert latencies from micro to milli seconds for SN and FS.0");
	    register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_64.sql", "Added columns for isCftPreCommit for both Volume and Aggregate tables");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_65.sql", "data migration for sample_lun table after partition changes from vsrever to cluster. ");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_66.sql", "Added columns for snapLockType for both Volume and Aggregate tables");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_67.sql", "Add cacheRetentionPriority to Volume table");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_68.sql", "Add SnapLock Table");
	    register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_69.sql", "Add daily summary tables for qos volume workload & lun.");
	    register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_70.sql", "Update the summary purge job to include the daily summary tables.");
	    register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_71.sql", "Add isInlineDedupeEnabled for volume table and encrypt for cluster_peer table.");
	    register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_72.sql", "Add cifsWorkgroup for vserver table and healthStatus, ignoreHealthStatus, healthDegradedReasons for network_port table.");
	    register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_73.sql", "Add inactive to snap_mirror_history.");
	    register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_74.sql", "Purge raw tables if raw persistence is not enabled");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_75.sql", "Allow igroupId be null in lun_map table");
	    register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_76.sql", new Upgrade_1_3_0_76(), "Update sample and summary Node table to convert latencies from milli to micro seconds for SN and FS.0");
	    register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_77.sql", "Purge dead objects after 30 days");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_78.sql", "Add capacity entitlement license types for sDOT and Cloud Ontap");
        register("com/netapp/oci/netapp/upgrade/version_1_3/upgrade_1_3_0_79.sql", "Add Unique Key to netapp_model.cluster table uuid column");




        register("com/netapp/oci/netapp/upgrade/version_1_4/upgrade_1_4_0_1.sql", "Add cacheRetentionPriority to Volume table");
        register("com/netapp/oci/netapp/upgrade/version_1_4/upgrade_1_4_0_2.sql", "Utilization for internal workload");
        register("com/netapp/oci/netapp/upgrade/version_1_4/upgrade_1_4_0_3.sql", "Aggregate Utilization contributed by internal workloads");
        register("com/netapp/oci/netapp/upgrade/version_1_4/upgrade_1_4_0_4.sql", "this is added after I merged the coal work here. Modify column names for sameple_nic, summary_nic and sample_raw_nic since Nic Common counter name changes.");
        register("com/netapp/oci/netapp/upgrade/version_1_4/upgrade_1_4_0_5.sql", "Update column types in resource_headroom performance tables");
        register("com/netapp/oci/netapp/upgrade/version_1_4/upgrade_1_4_0_6.sql", "Add headroom projection counters for node HA and remove unused operational point counters in opm_headroom performance tables");
        register("com/netapp/oci/netapp/upgrade/version_1_4/upgrade_1_4_0_7.sql", "Purge Summary SP");
        register("com/netapp/oci/netapp/upgrade/version_1_4/upgrade_1_4_0_8.sql", "Add column readIOBlocks to raw ext_Cache_obj performance table");
        register("com/netapp/oci/netapp/upgrade/version_1_4/upgrade_1_4_0_9.sql", "Update the summary purge job to include the daily summary tables.");
        register("com/netapp/oci/netapp/upgrade/version_1_4/upgrade_1_4_0_10.sql", "Create resource_aggregate table.");
        register("com/netapp/oci/netapp/upgrade/version_1_4/upgrade_1_4_0_11.sql", "Update columns in sample_resource_headroom_aggr_* table");
        register("com/netapp/oci/netapp/upgrade/version_1_4/upgrade_1_4_0_12.sql", "Add DEGRADED to the netapp_model.flash_device status enum");
        register("com/netapp/oci/netapp/upgrade/version_1_4/upgrade_1_4_0_13.sql", "Add availableOps column in opm_headroom performance tables");
        register("com/netapp/oci/netapp/upgrade/version_1_4/upgrade_1_4_0_14.sql", "Add capacity entitlement license types for sDOT and Cloud Ontap");
        register("com/netapp/oci/netapp/upgrade/version_1_4/upgrade_1_4_0_16.sql", "Drop sample_current tables");
        register("com/netapp/oci/netapp/upgrade/version_1_4/upgrade_1_4_0_17.sql", "Update availableCount, usedCount and totalCount in network_subnet table to be bigint");
        register("com/netapp/oci/netapp/upgrade/version_1_4/upgrade_1_4_0_18.sql", "Create table network-route for zapi net-vs-routes.");
        register("com/netapp/oci/netapp/upgrade/version_1_4/upgrade_1_4_0_19.sql", "Purge dead objects after 30 days");
        register("com/netapp/oci/netapp/upgrade/version_1_4/upgrade_1_4_0_20.sql", new Upgrade_1_4_0_20(), "Add Unique Key to netapp_model.cluster table uuid column");
        register("com/netapp/oci/netapp/upgrade/version_1_4/upgrade_1_4_0_21.sql", "Add isAdministrativeUp column to netapp_model.network_port table");
        register("com/netapp/oci/netapp/upgrade/version_1_4/upgrade_1_4_0_22.sql", "Add more enum values to flash_device table status column");
        register("com/netapp/oci/netapp/upgrade/version_1_4/upgrade_1_4_0_23.sql", "Update application_record table recordValue column to VARCHAR(512)");
        register("com/netapp/oci/netapp/upgrade/version_1_4/upgrade_1_4_0_24.sql", "Create table netapp_model.network_route_lif.");

        register("com/netapp/oci/netapp/upgrade/version_7_1/upgrade_7_1_0_1.sql", "Add flexgroup support to netapp_model.volume, create volume_flexgroup_constituent_relationship table");
        register("com/netapp/oci/netapp/upgrade/version_7_1/upgrade_7_1_0_2.sql", "Add flexgroup support to netapp_model.snap_mirror");
        register("com/netapp/oci/netapp/upgrade/version_7_1/upgrade_7_1_0_3.sql", "Add isFlexgroup for volume, (memeber, root, none) for constituentRole enum");

        register("com/netapp/oci/netapp/upgrade/version_7_2/upgrade_7_2_0_1.sql", "Add minThroughput to netapp_model.qos_group_policy");
        register("com/netapp/oci/netapp/upgrade/version_7_2/upgrade_7_2_0_2.sql", "Add sizeUsed, opsPerTB, maxIOPS, maxMBPS and minIOPS to netapp_performance.sample_qos_volume_workload and summary_qos_volume_workload tables");
        register("com/netapp/oci/netapp/upgrade/version_7_2/upgrade_7_2_0_3.sql", "Add Tiering policy and tiering policy raw for volume table.");
        register("com/netapp/oci/netapp/upgrade/version_7_2/upgrade_7_2_0_4.sql", "Add topspin read counters to resource_headroom_cpu performance tables");
        register("com/netapp/oci/netapp/upgrade/version_7_2/upgrade_7_2_0_5.sql", "Added column for composite aggregate for the Aggregate tables");
        register("com/netapp/oci/netapp/upgrade/version_7_2/upgrade_7_2_0_6.sql", "Created table netapp_model.aggregate_object_store for storing data related to composite aggregates");
        register("com/netapp/oci/netapp/upgrade/version_7_2/upgrade_7_2_0_7.sql", "Create table netapp_model.aggregate_objectstore_mapping for composite aggregate");
        register("com/netapp/oci/netapp/upgrade/version_7_2/upgrade_7_2_0_8.sql", "Add isRootAggregate column to table netapp_model.aggregate");
        register("com/netapp/oci/netapp/upgrade/version_7_2/upgrade_7_2_0_9.sql", "Remove wafl_mpio_read* counters from resource_headroom_cpu performance tables");
        register("com/netapp/oci/netapp/upgrade/version_7_2/upgrade_7_2_0_10.sql", "Add delayCloudIOWaitTime to the sample/summary_qos_workload_queue_dblade tables");
        register("com/netapp/oci/netapp/upgrade/version_7_2/upgrade_7_2_0_11.sql", "Created table netapp_model.capacity_tier_space_detail for storing capacity tier details");
        register("com/netapp/oci/netapp/upgrade/version_7_2/upgrade_7_2_0_12.sql", "Add nodeStorageConfiguration column to netapp_model.node table");
        register("com/netapp/oci/netapp/upgrade/version_7_2/upgrade_7_2_0_13.sql", "Refactoring objectstore related tables and columns.");
        register("com/netapp/oci/netapp/upgrade/version_7_2/upgrade_7_2_0_14.sql", "Add deduplicationSpaceShared column to netapp_model.volume table");
        register("com/netapp/oci/netapp/upgrade/version_7_2/upgrade_7_2_0_15.sql", "Remove totime column from all netapp_performance.summary tables");
        register("com/netapp/oci/netapp/upgrade/version_7_2/upgrade_7_2_0_16.sql", "Since previous upgrade_7_2_0_16 is backed out, this is an empty one");
        register("com/netapp/oci/netapp/upgrade/version_7_2/upgrade_7_2_0_17.sql", "Add aggregateDerivedType column to netapp_model.aggregate table");

        register("com/netapp/oci/netapp/upgrade/version_7_3/upgrade_7_3_0_1.sql", "Create table netapp_model.ems_config to store EMS event rules");
        register("com/netapp/oci/netapp/upgrade/version_7_3/upgrade_7_3_0_2.sql", "Add columns to QosPolicyGroup in order to support adaptive QOS policies");
        register("com/netapp/oci/netapp/upgrade/version_7_3/upgrade_7_3_0_3.sql", "Add isAdaptive column to QosVolumeWorkload");
        register("com/netapp/oci/netapp/upgrade/version_7_3/upgrade_7_3_0_4.sql", "Create table netapp_model.ems_event and netapp_model.ems_event_parameter to persist EMS events");
        register("com/netapp/oci/netapp/upgrade/version_7_3/upgrade_7_3_0_5.sql", "Alter netapp_model.ems_event_parameter.parameterValue to be TEXT and correct objectAccessTag values");
        register("com/netapp/oci/netapp/upgrade/version_7_3/upgrade_7_3_0_6.sql", "Create netapp_performance.purge_ems_event procedure to purge ems events periodically");
        register("com/netapp/oci/netapp/upgrade/version_7_3/upgrade_7_3_0_7.sql", "Drop netapp_performance.sample_volume_* and summary_volume_* tables");
        register("com/netapp/oci/netapp/upgrade/version_7_3/upgrade_7_3_0_8.sql", "Add maxIOPSPerTB and minIOPSPerTB in sample/summary_qos_volume_workload tables");
        register("com/netapp/oci/netapp/upgrade/version_7_3/upgrade_7_3_0_9.sql", "Added totalStorageEfficiencyRatio of an Aggregate");
        register("com/netapp/oci/netapp/upgrade/version_7_3/upgrade_7_3_0_10.sql", "Renamed qos_volume_workload -> qos_workload, volumeId -> holderId,  added holderType");
        register("com/netapp/oci/netapp/upgrade/version_7_3/upgrade_7_3_0_11.sql", "Add new param KEY_APIS_COLLECTION_FLAG to netapp_model.param table");
        register("com/netapp/oci/netapp/upgrade/version_7_3/upgrade_7_3_0_12.sql", "API-S TSystem changes");
        register("com/netapp/oci/netapp/upgrade/version_7_3/upgrade_7_3_0_13.sql", "Add workloadSumDbladeUtil counter to resource_headroom_cpu performance tables");
        register("com/netapp/oci/netapp/upgrade/version_7_3/upgrade_7_3_0_14.sql", "synced up definition of storage-configuration-state-enum");
        register("com/netapp/oci/netapp/upgrade/version_7_3/upgrade_7_3_0_15.sql", "Add userWorkloadSumDbladeUtil counter to resource_headroom_cpu performance tables");
        register("com/netapp/oci/netapp/upgrade/version_7_3/upgrade_7_3_0_16.sql", "Modify mtDrOperationStateRaw in node table from varchar(45) to varchar(255)");

        register("com/netapp/oci/netapp/upgrade/version_7_4/upgrade_7_4_0_1.sql", "Alter netapp_model.ems_config table by adding more columns");
        register("com/netapp/oci/netapp/upgrade/version_7_4/upgrade_7_4_0_2.sql", "Create table netapp_model.namespace to store NVMe Namespace objects");
        register("com/netapp/oci/netapp/upgrade/version_7_4/upgrade_7_4_0_3.sql", "Add ems support for namespace");
        register("com/netapp/oci/netapp/upgrade/version_7_4/upgrade_7_4_0_4.sql", "Modify comment for netapp_model.lif.dataProtocols to add fc_nvme, add NVMe enabled flag to vserver table");
        register("com/netapp/oci/netapp/upgrade/version_7_4/upgrade_7_4_0_5.sql", "Add columns for Logical Space for the Volume table");
        register("com/netapp/oci/netapp/upgrade/version_7_4/upgrade_7_4_0_6.sql", "Create table netapp_model.fc_nvme_lif to store NVMe over FC LIF objects");
        register("com/netapp/oci/netapp/upgrade/version_7_4/upgrade_7_4_0_7.sql", "Add column for Logical Space Reporting for the Volume table");
        register("com/netapp/oci/netapp/upgrade/version_7_4/upgrade_7_4_0_8.sql", "Add administrative status for FCP port");
        register("com/netapp/oci/netapp/upgrade/version_7_4/upgrade_7_4_0_9.sql", "Change lifType enum FC_NVME_LIF to NVMF_FC_LIF");
        register("com/netapp/oci/netapp/upgrade/version_7_4/upgrade_7_4_0_10.sql", "Rename table netapp_model.fc_nvme_lif to nvmf_fc_lif to conform to ONTAP CM object naming scheme");
        register("com/netapp/oci/netapp/upgrade/version_7_4/upgrade_7_4_0_11.sql", "Updated the Object Store provider types and added Azure");
        register("com/netapp/oci/netapp/upgrade/version_7_4/upgrade_7_4_0_12.sql", "EMS support for flexgroup space event and flexgroup inodes event");
        register("com/netapp/oci/netapp/upgrade/version_7_4/upgrade_7_4_0_13.sql", "Show allocation as that returned from zapi call, allocated_space/used_space");
        register("com/netapp/oci/netapp/upgrade/version_7_4/upgrade_7_4_0_14.sql", "Add column for NVMf ops to the sample/summary_node tables");
        register("com/netapp/oci/netapp/upgrade/version_7_4/upgrade_7_4_0_15.sql", "Depricate some EMS events and add some new EMS events");
        register("com/netapp/oci/netapp/upgrade/version_7_4/upgrade_7_4_0_16.sql", "Rename summary_nvmffclifvserver.opmNvmfFcThroughput column to opmNvmfFcLifThroughput");
        register("com/netapp/oci/netapp/upgrade/version_7_4/upgrade_7_4_0_17.sql", "add FILE  to holderType enum in Qosworkload");
        register("com/netapp/oci/netapp/upgrade/version_7_4/upgrade_7_4_0_18.sql", "create File  table in netapp_model");
        register("com/netapp/oci/netapp/upgrade/version_7_4/upgrade_7_4_0_19.sql", "Add columns for NVMf data recv and sent to the sample/summary_node tables");

        //Here the product version is changed from 7.4 to 9.4. As the below changes belong to 9.5 we will name the files accordingly.
        register("com/netapp/oci/netapp/upgrade/version_9_5/upgrade_9_5_0_1.sql", "Add column for Logical Space Enforcement for the Volume table");
        register("com/netapp/oci/netapp/upgrade/version_9_5/upgrade_9_5_0_2.sql", "Add three new columns 'PolicyTypeRaw', 'PolicyType' and 'DerivedRelationshipType' for sync-snap-mirror");
        register("com/netapp/oci/netapp/upgrade/version_9_5/upgrade_9_5_0_3.sql", "Add columns for QosPolicyGruop with blockSize and minAllocation");
        register("com/netapp/oci/netapp/upgrade/version_9_5/upgrade_9_5_0_4.sql", "New EMS Logical Space fullness events");
        register("com/netapp/oci/netapp/upgrade/version_9_5/upgrade_9_5_0_5.sql", "Added a new column to aggregate for the reporting of inactive data");
        register("com/netapp/oci/netapp/upgrade/version_9_5/upgrade_9_5_0_6.sql", "Allow maximum of 512 characters for system health alert acknowledger and suppressor");
        register("com/netapp/oci/netapp/upgrade/version_9_5/upgrade_9_5_0_7.sql", "support unicode qtree name, volume junctionPath, cifs_share name and path");
        register("com/netapp/oci/netapp/upgrade/version_9_5/upgrade_9_5_0_8.sql", "Added a new columns to volume to report the inactive data for the volume");
        register("com/netapp/oci/netapp/upgrade/version_9_5/upgrade_9_5_0_9.sql", "New enums corresponding to new policy-types for sync-snap-mirror are added and pomoting policy-type columns to view");
        register("com/netapp/oci/netapp/upgrade/version_9_5/upgrade_9_5_0_10.sql", "EMS support for Sync SnapMirror");
        register("com/netapp/oci/netapp/upgrade/version_9_5/upgrade_9_5_0_11.sql", "Support unicode change_attributes and change_delete_detail table");
        register("com/netapp/oci/netapp/upgrade/version_9_5/upgrade_9_5_0_12.sql", "Added in new FabricPool object store provider types.");
        register("com/netapp/oci/netapp/upgrade/version_9_5/upgrade_9_5_0_13.sql", "Remove support for EMS 'sms.frequent.out.of.sync' for sync snapmirror");
        register("com/netapp/oci/netapp/upgrade/version_9_5/upgrade_9_5_0_14.sql", "Add EMS events for DB release");
        register("com/netapp/oci/netapp/upgrade/version_9_5/upgrade_9_5_0_15.sql", "Add missing netappstorageperformance.clock.polling.* ds attributes");
        register("com/netapp/oci/netapp/upgrade/version_9_5/upgrade_9_5_0_16.sql", "Accommodate new operation type 'automatic_resync' for snapmirror-history-get-iter");
        register("com/netapp/oci/netapp/upgrade/version_9_5/upgrade_9_5_0_17.sql", "Added EXTENDED_DATA_PROTECTION enum value in relationshipType column of snap_mirror");
        register("com/netapp/oci/netapp/upgrade/version_9_5/upgrade_9_5_0_18.sql", "Add Sync Snapmirror and Flexcache delay wait time counters");
        register("com/netapp/oci/netapp/upgrade/version_9_5/upgrade_9_5_0_19.sql", "Change filter rule to be more specific for wafl.vol.autoSize EMS event");
        register("com/netapp/oci/netapp/upgrade/version_9_5/upgrade_9_5_0_20.sql", "Add BoardType to node");
        register("com/netapp/oci/netapp/upgrade/version_9_5/upgrade_9_5_0_21.sql", "Change columns phase and state in netapp_model.volume_move_job table to be null by default");
        register("com/netapp/oci/netapp/upgrade/version_9_5/upgrade_9_5_0_22.sql", "Add nvmf.graceperiod.* EMS events for consumption");
        register("com/netapp/oci/netapp/upgrade/version_9_5/upgrade_9_5_0_23.sql", "Add azure account and auth type to the object store config");
        register("com/netapp/oci/netapp/upgrade/version_9_5/upgrade_9_5_0_24.sql", "Add 40g,25g and 100g speed for network_port");
        register("com/netapp/oci/netapp/upgrade/version_9_5/upgrade_9_5_0_25.sql", "Modifying SnapMirror Policy type enums");

        register("com/netapp/oci/netapp/upgrade/version_9_6/upgrade_9_6_0_1.sql", "Added the performance and capacity tier foot prints to volume");
        register("com/netapp/oci/netapp/upgrade/version_9_6/upgrade_9_6_0_2.sql", "support unicode for resourceKey columns in volume and lun tables; Add 'ALL' type for the Tiering Policy");
        register("com/netapp/oci/netapp/upgrade/version_9_6/upgrade_9_6_0_3.sql", "Add localOps, localReadOps and localWriteOps to netapp_performance.sample_node and summary_node tables; Add opsPerTB, maxIOPSPerTB and minIOPSPerTB in sample/summary_daily_qos_volume_workload tables");
        register("com/netapp/oci/netapp/upgrade/version_9_6/upgrade_9_6_0_4.sql", "Add index for lun & volume resourceKey");
        register("com/netapp/oci/netapp/upgrade/version_9_6/upgrade_9_6_0_5.sql", "Add wafl.quota.qtree.exceeded and wafl.readdir.expired EMS events for consumption");
        register("com/netapp/oci/netapp/upgrade/version_9_6/upgrade_9_6_0_6.sql", "Add in the tiering fullness threshold to the object store mapping");
        register("com/netapp/oci/netapp/upgrade/version_9_6/upgrade_9_6_0_7.sql", "Add unicode support for qtree uuid");
        register("com/netapp/oci/netapp/upgrade/version_9_6/upgrade_9_6_0_8.sql", "Add unicode support for qtree_quota uuid");
    }

    @Override
    public Entry getDropViewsUpgrader() {
        return new Entry("com/netapp/oci/netapp/upgrade/drop_views.sql", null, "Drop OCI Essentials views");
    }

    @Override
    public Entry getCreateViewsUpgrader() {
        return new Entry("com/netapp/oci/netapp/upgrade/create_views.sql", null, "Create OCI Essentials views");
    }

    @Override
    public String getSqlDirBase() {
        return "com/netapp/oci/netapp/upgrade/";
    }
}
