/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.upgrade.version_1;

import com.netapp.oci.platform.common.table.TableException;
import com.netapp.oci.platform.common.table.TableResultParserDefault;
import com.netapp.oci.platform.upgrade.UpgradeRunner;
import com.netapp.oci.platform.upgrade.Upgrader;

import java.util.HashSet;
import java.util.Set;

/**
 * @author Al Velella
 *         Date: 2/27/13
 *         Time: 3:47 PM
 */
public class Upgrade_1_0_0_95 implements Upgrader {
    @Override
    public void run(UpgradeRunner upgradeRunner) throws TableException {
        String performanceDb = upgradeRunner.getPerformanceDb();
        Set<String> tables = new HashSet<String>(upgradeRunner.sqlQuery(
                " SELECT" +
                        "   TABLE_NAME" +
                        " FROM" +
                        "   information_schema.TABLES" +
                        " WHERE" +
                        "   table_schema='" + performanceDb + "'" +
                        " AND" +
                        "   (table_name LIKE 'sample_qos_volume_workload_%'" +
                        "   OR" +
                        "   table_name LIKE 'summary_qos_volume_workload_%'" +
                        "   OR" +
                        "   table_name LIKE 'sample_current_qos_volume_workload')", TableResultParserDefault.STRING).executeQueryEx());
        for (String table : tables) {
            upgradeRunner.sqlUpdate("ALTER TABLE " + performanceDb + "." + table + " ADD COLUMN readIOPercentCache FLOAT COMMENT 'Percentage of read IO time served from cache' AFTER writeOps").executeUpdateEx();
            upgradeRunner.sqlUpdate("ALTER TABLE " + performanceDb + "." + table + " ADD COLUMN readIOPercentExtCache FLOAT COMMENT 'Percentage of read IO time served from external cache' AFTER readIOPercentCache").executeUpdateEx();
            upgradeRunner.sqlUpdate("ALTER TABLE " + performanceDb + "." + table + " ADD COLUMN readIOPercentDisk FLOAT COMMENT 'Percentage of read IO time served from external disk' AFTER readIOPercentExtCache").executeUpdateEx();
            upgradeRunner.sqlUpdate("ALTER TABLE " + performanceDb + "." + table + " ADD COLUMN readIOPercentBambooSsd FLOAT COMMENT 'Percentage of read IO time served by ssd disks' AFTER readIOPercentDisk").executeUpdateEx();
            upgradeRunner.sqlUpdate("ALTER TABLE " + performanceDb + "." + table + " ADD COLUMN readIOPercentHyaHdd FLOAT COMMENT 'Percentage of read IO time served by hd disks' AFTER readIOPercentBambooSsd").executeUpdateEx();
            upgradeRunner.sqlUpdate("ALTER TABLE " + performanceDb + "." + table + " ADD COLUMN readIOPercentHyaCache FLOAT COMMENT 'Percentage of read IO time served by cache' AFTER readIOPercentHyaHdd").executeUpdateEx();
            upgradeRunner.sqlUpdate("ALTER TABLE " + performanceDb + "." + table + " ADD COLUMN readIOPercentHyaNonCache FLOAT COMMENT 'Percentage of read IO time served by hya_non_cache' AFTER readIOPercentHyaCache").executeUpdateEx();
        }
    }
}
