/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.upgrade.version_1_1;

import com.netapp.oci.platform.common.table.TableException;
import com.netapp.oci.platform.common.table.TableResultParserDefault;
import com.netapp.oci.platform.upgrade.UpgradeRunner;
import com.netapp.oci.platform.upgrade.Upgrader;

import java.util.HashSet;
import java.util.Set;

public class Upgrade_1_1_0_31 implements Upgrader {
    @Override
    public void run(UpgradeRunner upgradeRunner) throws TableException {
        upgradeQosWorkloadDetail(upgradeRunner);
    }

    private void upgradeQosWorkloadDetail(UpgradeRunner upgradeRunner) throws TableException {
        String performanceDb = upgradeRunner.getPerformanceDb();
        Set<String> tables = new HashSet<String>(upgradeRunner.sqlQuery(
                " SELECT" +
                        "   TABLE_NAME" +
                        " FROM" +
                        "   information_schema.TABLES" +
                        " WHERE" +
                        "   table_schema='" + performanceDb + "'" +
                        " AND" +
                        "   (table_name LIKE 'sample_qos_workload_detail_%'" +
                        "   OR" +
                        "   table_name LIKE 'summary_qos_workload_detail_%'" +
                        "   OR" +
                        "   table_name LIKE 'sample_current_qos_workload_detail')", TableResultParserDefault.STRING).executeQueryEx());
        for (String table : tables) {
            upgradeRunner.sqlUpdate("ALTER TABLE " + performanceDb + "." + table + " ADD COLUMN visitsRaw FLOAT COMMENT 'The number of visits that the workload made to the service center; measured in visits per second. This is the raw visits (converted to rate) that was returned by OnTap.' AFTER visits").executeUpdateEx();
        }
    }
}
