/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.upgrade.version_1_2;

import com.netapp.oci.platform.common.table.TableException;
import com.netapp.oci.platform.upgrade.UpgradeRunner;
import com.netapp.oci.platform.upgrade.Upgrader;

/**
 * @author Al Velella
 *         Date: 10/17/13
 *         Time: 3:31 PM
 */
public class Upgrade_1_2_0_2 implements Upgrader {

    @Override
    public void run(UpgradeRunner upgradeRunner) throws TableException {
        // move tables to management schema
        long count = upgradeRunner.sqlFunctionQuery(
                "SELECT" +
                        "   COUNT(*)" +
                        " FROM" +
                        "   information_schema.TABLES" +
                        " WHERE" +
                        "   TABLE_SCHEMA='sanscreen' and TABLE_NAME='id'");
        if (count == 1) {
            upgradeRunner.sqlUpdate("DROP TABLE IF EXISTS management.id").executeUpdateEx();
            upgradeRunner.sqlUpdate(
                    " CREATE TABLE management.id (" +
                    "   id int(11) PRIMARY KEY," +
                    "   value bigint(20)" +
                    "   ) ENGINE=InnoDB" +
                    " SELECT * FROM sanscreen.id").executeUpdateEx();
            upgradeRunner.sqlUpdate("DROP TABLE sanscreen.id").executeUpdateEx();
        }

        count = upgradeRunner.sqlFunctionQuery(
                "SELECT" +
                        "   COUNT(*)" +
                        " FROM" +
                        "   information_schema.TABLES" +
                        " WHERE" +
                        "   TABLE_SCHEMA='sanscreen' and TABLE_NAME='info'");
        if (count == 1) {
            upgradeRunner.sqlUpdate("DROP TABLE IF EXISTS management.info").executeUpdateEx();
            upgradeRunner.sqlUpdate(
                    " CREATE TABLE management.info (" +
                    "   info VARCHAR(255) DEFAULT NULL," +
                    "   value TEXT," +
                    "   PRIMARY KEY(info)" +
                    "   ) ENGINE=InnoDB" +
                    " SELECT * FROM sanscreen.info").executeUpdateEx();
            upgradeRunner.sqlUpdate("DROP TABLE sanscreen.info").executeUpdateEx();
        }
    }
}
