/*
 * Copyright (c) 2014 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.upgrade.version_1_2;

import java.util.HashSet;
import java.util.Set;

import com.netapp.oci.platform.common.table.TableException;
import com.netapp.oci.platform.common.table.TableResultParserDefault;
import com.netapp.oci.platform.upgrade.UpgradeRunner;
import com.netapp.oci.platform.upgrade.Upgrader;

/**
 * @author Abhishek Hiregoudar
 *         Date: 04/30/14
 *         Time: 12:07 PM
 */
public class Upgrade_1_2_0_21 implements Upgrader {

    @Override
    public void run(UpgradeRunner upgradeRunner) throws TableException {
        upgradeQosWorkloadQueueDblade(upgradeRunner);
    }

    private void upgradeQosWorkloadQueueDblade(UpgradeRunner upgradeRunner) throws TableException {
        String performanceDb = upgradeRunner.getPerformanceDb();
        Set<String> tables = new HashSet<String>(upgradeRunner.sqlQuery(
                " SELECT" +
                        "   TABLE_NAME" +
                        " FROM" +
                        "   information_schema.TABLES" +
                        " WHERE" +
                        "   table_schema='" + performanceDb + "'" +
                        " AND" +
                        "   (table_name LIKE 'sample_qos_workload_queue_dblade_%'" +
                        "   OR" +
                        "   table_name LIKE 'summary_qos_workload_queue_dblade_%')", TableResultParserDefault.STRING).executeQueryEx());
        for (String table : tables) {
            upgradeRunner.sqlUpdate("ALTER TABLE " + performanceDb + "." + table + " ADD COLUMN delayNvlogTransferWaitTime bigint(20) DEFAULT NULL COMMENT 'NVLog transfer wait time in microseconds' AFTER delayDiskIOWaitTime").executeUpdateEx();
        }
    }
}
