package com.netapp.oci.netapp.upgrade.version_1_2;

import java.util.List;
import com.netapp.oci.platform.common.table.TableException;
import com.netapp.oci.platform.common.table.TableResultParserDefault;
import com.netapp.oci.platform.upgrade.UpgradeRunner;
import com.netapp.oci.platform.upgrade.Upgrader;


public class Upgrade_1_2_0_38 implements Upgrader {
    @Override
    public void run(UpgradeRunner upgradeRunner) throws TableException {
        StringBuilder sb = new StringBuilder();
        sb.append("SELECT DISTINCT o.ds_id FROM netapp_model.qos_volume_workload qvw INNER JOIN acquisition.originator o ON qvw.originid = o.id ")
          .append("    INNER JOIN netapp_model.cluster c ON qvw.clusterId = c.objid ")
          .append("WHERE qvw.uuid LIKE '%.\\_%' AND workloadClass != 'USER_DEFINED' AND c.versionGeneration = 8 AND c. versionMajor = 3 ");
        
        List<Long> dsIdList = upgradeRunner.sqlQuery(sb.toString(), TableResultParserDefault.LONG).executeQueryEx();
        
        if (dsIdList != null && !dsIdList.isEmpty()) {
            for (Long dsId : dsIdList) {
                String stmt = "INSERT INTO acquisition.ds_attrs (ds_id, name, value, version) VALUES (" +   
                        dsId + ", 'netappfoundation.upgrader.1_2_0_0', 'true', 0 )";   
                upgradeRunner.sqlUpdate(stmt).executeUpdateEx();
            }
        }
    }
}
