package com.netapp.oci.netapp.upgrade.version_1_2;

import java.util.List;

import com.netapp.oci.platform.common.table.TableException;
import com.netapp.oci.platform.common.table.TableResultParserDefault;
import com.netapp.oci.platform.upgrade.UpgradeRunner;
import com.netapp.oci.platform.upgrade.Upgrader;

public class Upgrade_1_2_0_40 implements Upgrader{

	@Override
	public void run(UpgradeRunner upgradeRunner) throws TableException {
        // This upgrade, we need to drop sample_disk_x and summary_disk_x tables if existing
		final List<String> diskSampleTables = upgradeRunner.sqlQuery(
                "SELECT CONCAT(table_schema, '.', table_name) FROM information_schema.tables WHERE table_name like 'sample_disk_%'", 
                TableResultParserDefault.STRING).executeQueryEx();

		final List<String> diskSummaryTables = upgradeRunner.sqlQuery(
                "SELECT CONCAT(table_schema, '.', table_name) FROM information_schema.tables WHERE table_name like 'summary_disk_%'", 
                TableResultParserDefault.STRING).executeQueryEx();
		
		String dropIfExist = "DROP TABLE IF EXISTS %s";	
		
		if (diskSampleTables != null && !diskSampleTables.isEmpty()) {
			for (String tableName : diskSampleTables) {
				upgradeRunner.sqlUpdate(String.format(dropIfExist, tableName)).executeUpdateEx();
			}		
		}
		
		if (diskSummaryTables != null && !diskSummaryTables.isEmpty()) {
			for (String tableName : diskSampleTables) {
				upgradeRunner.sqlUpdate(String.format(dropIfExist, tableName)).executeUpdateEx();
			}		
		}
	}

}
