package com.netapp.oci.netapp.upgrade.version_1_2;

import java.util.List;

import com.netapp.oci.platform.common.table.TableException;
import com.netapp.oci.platform.common.table.TableResultParserDefault;
import com.netapp.oci.platform.upgrade.UpgradeRunner;
import com.netapp.oci.platform.upgrade.Upgrader;

public class Upgrade_1_2_0_49 implements Upgrader{

	@Override
	public void run(UpgradeRunner upgradeRunner) throws TableException {
        // This upgrade, we need to alter sample_node/sample_node_raw/sample_current_node/summary_node
		final String schemaName = "netapp_performance";
		
		final List<String> smplTables = upgradeRunner.sqlQuery(
                "SELECT CONCAT(table_schema, '.', table_name) FROM information_schema.tables WHERE table_schema = '" + 
                		schemaName + "' AND table_name like 'sample_node'", TableResultParserDefault.STRING).executeQueryEx();

		final List<String> smplRawTables = upgradeRunner.sqlQuery(
                "SELECT CONCAT(table_schema, '.', table_name) FROM information_schema.tables WHERE table_schema = '" + 
                		schemaName + "' AND table_name like 'sample_node_raw'", TableResultParserDefault.STRING).executeQueryEx();

		final List<String> smplCurrTables = upgradeRunner.sqlQuery(
                "SELECT CONCAT(table_schema, '.', table_name) FROM information_schema.tables WHERE table_schema = '" + 
                		schemaName + "' AND table_name like 'sample_current_node'", TableResultParserDefault.STRING).executeQueryEx();

		final List<String> summTables = upgradeRunner.sqlQuery(
                "SELECT CONCAT(table_schema, '.', table_name) FROM information_schema.tables WHERE table_schema = '" + 
                		schemaName + "' AND table_name like 'summary_node'", TableResultParserDefault.STRING).executeQueryEx();
		
		String alterSql = "ALTER TABLE %s ADD COLUMN %s DEFAULT NULL " +   
				  "COMMENT 'Number of system operations initiated each second for storing data or metadata associated with the node' " +
				  "AFTER %s"; 
		
		if (smplTables != null && smplTables.size() == 1) {
				upgradeRunner.sqlUpdate(String.format(alterSql, smplTables.get(0), "systemOps float", "writeOps")).executeUpdateEx();
		}

		if (smplCurrTables != null && smplCurrTables.size() == 1) {
			upgradeRunner.sqlUpdate(String.format(alterSql, smplCurrTables.get(0), "systemOps float", "writeOps")).executeUpdateEx();
		}

		if (summTables != null && summTables.size() == 1) {
			upgradeRunner.sqlUpdate(String.format(alterSql, summTables.get(0), "systemOps float", "writeOps")).executeUpdateEx();
		}

		if (smplRawTables != null && smplRawTables.size() == 1) {
			upgradeRunner.sqlUpdate(String.format(alterSql, smplRawTables.get(0), "system_ops bigint(20) unsigned", "write_ops")).executeUpdateEx();
		}
	}

}
