package com.netapp.oci.netapp.upgrade.version_1_2;


import com.netapp.oci.platform.upgrade.UpgradeRunner;
import com.netapp.oci.platform.upgrade.Upgrader;
import com.netapp.oci.platform.common.table.TableException;
import com.netapp.oci.platform.common.table.TableResultParserDefault;

import java.util.List;

public class Upgrade_1_2_0_51 implements Upgrader {

    @Override
    public void run(UpgradeRunner upgradeRunner) throws TableException {
        // This upgrade, we add the baseForDiskBusy column to the disk_summary tables.

        final List<String> diskSummaryTables = upgradeRunner.sqlQuery(
                "SELECT CONCAT(table_schema, '.', table_name) FROM information_schema.tables t WHERE table_name like 'summary_disk_%' AND NOT EXISTS (SELECT 1 FROM information_schema.columns c WHERE c.table_name = t.table_name and column_name = 'baseForDiskBusy')",
                TableResultParserDefault.STRING).executeQueryEx();


        String addColumn = "ALTER TABLE %s ADD COLUMN baseForDiskBusy BIGINT(20) UNSIGNED DEFAULT NULL AFTER diskBusy";

        if (diskSummaryTables != null && !diskSummaryTables.isEmpty()) {
            for (String tableName : diskSummaryTables) {

                upgradeRunner.sqlUpdate(String.format(addColumn, tableName)).executeUpdateEx();
            }
        }
    }
}
