package com.netapp.oci.netapp.upgrade.version_1_3;


import com.netapp.oci.platform.common.table.TableException;
import com.netapp.oci.platform.common.table.TableResultParserDefault;
import com.netapp.oci.platform.upgrade.UpgradeRunner;
import com.netapp.oci.platform.upgrade.Upgrader;

import java.util.HashSet;
import java.util.Set;

public class Upgrade_1_3_0_13 implements Upgrader {

    @Override
    public void run(UpgradeRunner upgradeRunner) throws TableException {
        upgradeQosWorkloadQueueDblade(upgradeRunner);
    }

    private void upgradeQosWorkloadQueueDblade(UpgradeRunner upgradeRunner) throws TableException {
        String performanceDb = upgradeRunner.getPerformanceDb();
        
        StringBuilder sb = new StringBuilder();
        sb.append("SELECT TABLE_NAME FROM information_schema.TABLES ");
        sb.append("WHERE table_schema = '").append(performanceDb).append("' ");
        sb.append("  AND (table_name = 'sample_processor' ");
        sb.append("       OR table_name = 'summary_processor' "); 
        sb.append("       OR table_name = 'sample_current_processor' ");
        sb.append("       OR table_name = 'sample_nfsv3' ");
        sb.append("       OR table_name = 'summary_nfsv3' ");
        sb.append("       OR table_name = 'sample_nfsv4' ");
        sb.append("       OR table_name = 'summary_nfsv4' ");
        sb.append("       OR table_name = 'sample_nfsv41' ");
        sb.append("       OR table_name = 'summary_nfsv41') ");
        

        Set<String> tables = new HashSet<>(upgradeRunner.sqlQuery(
                sb.toString(), TableResultParserDefault.STRING).executeQueryEx());
        
        for (String table : tables) {
            if (table.contains("_processor")) {
                upgradeRunner.sqlUpdate("ALTER TABLE " + performanceDb + "." + table +
                        " ADD COLUMN processorElapsedTime bigint(20) DEFAULT NULL " +
                        " AFTER processorBusy"
                ).executeUpdateEx();
            } else if (table.contains("_nfsv")) {
                upgradeRunner.sqlUpdate("ALTER TABLE " + performanceDb + "." + table +
                        " MODIFY COLUMN read_total BIGINT(20) "
                ).executeUpdateEx();
                
                upgradeRunner.sqlUpdate("ALTER TABLE " + performanceDb + "." + table +
                        " MODIFY COLUMN write_total BIGINT(20) "
                ).executeUpdateEx();
            }
        }
    }
}

