package com.netapp.oci.netapp.upgrade.version_1_4;

import java.util.HashSet;
import java.util.Set;

import com.netapp.oci.platform.common.table.TableException;
import com.netapp.oci.platform.common.table.TableResultParserDefault;
import com.netapp.oci.platform.upgrade.UpgradeRunner;
import com.netapp.oci.platform.upgrade.Upgrader;

public class Upgrade_1_4_0_20 implements Upgrader {

    @Override
    public void run(UpgradeRunner upgradeRunner) throws TableException {
        checkAndUpdateUniqueKey(upgradeRunner);
    }

    private void checkAndUpdateUniqueKey(UpgradeRunner upgradeRunner) throws TableException {
        StringBuilder sb = new StringBuilder();
        sb.append("SELECT count(*)");
        sb.append(" FROM INFORMATION_SCHEMA.TABLE_CONSTRAINTS");
        sb.append(" WHERE CONSTRAINT_NAME = 'UK_uuid'");
        sb.append(" AND CONSTRAINT_SCHEMA='netapp_model'");
        sb.append(" AND TABLE_SCHEMA='netapp_model'");
        sb.append(" AND TABLE_NAME='cluster'");
        sb.append(" AND CONSTRAINT_TYPE='UNIQUE';");

        Set<Long> count = new HashSet<>(upgradeRunner.sqlQuery(
                sb.toString(), TableResultParserDefault.LONG).executeQueryEx());

        if ((Long)count.toArray()[0] == 0) {
            String createUniqueKeyStatement = "ALTER TABLE netapp_model.cluster ADD CONSTRAINT UK_uuid UNIQUE (uuid)";
            upgradeRunner.sqlQuery(createUniqueKeyStatement, TableResultParserDefault.STRING).executeQueryEx();
        }
    }
}
