/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.netapp.oci.platform.acq.interfaces.data;

import java.io.Serializable;

/**
 * @author Al Velella
 *         Date: 1/18/13
 *         Time: 2:27 PM
 */
public abstract class PackagePollStatus implements Serializable {
    private static final long serialVersionUID = 1L;

    public static final String NETAPP_FOUNDATION = "netappfoundation";
    public static final String NETAPP_STORAGEPERFORMANCE = "netappstorageperformance";

    private final String datasourceName;
    private final Long datasourceId;
    private final String packageName;
    private final long pollStartTime;
    private final long sampleTime;
    private boolean isHistorical=false;
    private final int pollInterval;


    PackagePollStatus(String datasourceName, Long datasourceId, String packageName, long pollStartTime, long sampleTime) {
        this.datasourceName = datasourceName;
        this.datasourceId = datasourceId;
        this.packageName = packageName;
        this.pollStartTime = pollStartTime;
        this.sampleTime = sampleTime;
        this.pollInterval = -1;
    }

    PackagePollStatus(String datasourceName, Long datasourceId, String packageName, long pollStartTime, long sampleTime, int pollInterval) {
        this.datasourceName = datasourceName;
        this.datasourceId = datasourceId;
        this.packageName = packageName;
        this.pollStartTime = pollStartTime;
        this.sampleTime = sampleTime;
        this.pollInterval = pollInterval;
    }

    public String getDatasourceName() {
        return datasourceName;
    }

    public Long getDatasourceId() {
        return datasourceId;
    }

    public String getPackageName() {
        return packageName;
    }

    public long getPollStartTime() {
        return pollStartTime;
    }

    public long getSampleTime() { return sampleTime; }

    public boolean getIsHistorical() {
        return isHistorical;
    }

    public void setIsHistorical(boolean isHistorical1) {
        this.isHistorical = isHistorical1;
    }

    public int getPollInterval() {
        return pollInterval;
    }
}
