/*
 * Copyright (c) 2012 NetApp
 * All rights reserved
 */

package com.netapp.oci.platform.acq.interfaces.remote;

import com.netapp.oci.platform.acq.interfaces.data.PackagePollCompleteStatus;
import com.netapp.oci.platform.acq.interfaces.data.PackagePollSkippedStatus;
import com.netapp.oci.platform.acq.interfaces.data.PackagePollStartStatus;
import com.onaro.sanscreen.server.interfaces.data.ServerInterfaceException;
import com.onaro.sanscreen.util.Schema;

import javax.ejb.Remote;

/**
 * @author Al Velella
 *         Date: 12/7/12
 *         Time: 4:54 PM
 */
@Remote
public interface AcquisitionStatusRemote {
    public String JNDI_NAME = "ejb:mega-app/server-core//AcquisitionStatusBean!com.netapp.oci.platform.acq.interfaces.remote.AcquisitionStatusRemote";

    /**
     * Acq uses this method to it is finished with its poll
     *
     * @param schema            - the plugin to operate on the notification
     * @param packagePollCompleteStatus - poll status object
     *
     * @throws ServerInterfaceException if failed to update
     */
    void packageCompleted(Schema schema, PackagePollCompleteStatus packagePollCompleteStatus) throws ServerInterfaceException;

    /**
     * Acq uses this method when it starts a poll.
     *
     * @param schema            - the plugin to operate on the notification
     * @param packagePollStartStatus - poll status object
     *
     * @throws ServerInterfaceException if failed to update
     */
    void packageStarted(Schema schema, PackagePollStartStatus packagePollStartStatus) throws ServerInterfaceException;

    /**
     * Acq uses this method when it skips a poll.
     *
     * @param schema            - the plugin to operate on the notification
     * @param packagePollSkippedStatus - poll status object
     *
     * @throws ServerInterfaceException if failed to update
     */
    void packageSkipped(Schema schema, PackagePollSkippedStatus packagePollSkippedStatus) throws ServerInterfaceException;

}
