package com.netapp.oci.platform.common;

/**
 * Creates object using reflection based on the assumption that it has default constructor
 *
 * @author Anton Sergeev
 */
public class ReflectionBasedObjectFactory<T> implements ObjectFactory<T> {
    private Class<T> objectClass;

    public ReflectionBasedObjectFactory(Class<T> objectClass) {
        this.objectClass = objectClass;
    }

    public T createObject() {
        try {
            return objectClass.getConstructor().newInstance();
        } catch (Exception ex) {
            throw new IllegalStateException("Failed to construct object for class " + objectClass);
        }
    }
}
