package com.netapp.oci.platform.common.table;

import com.netapp.oci.platform.common.table.TableException;
import com.netapp.oci.platform.common.table.Table;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.List;

public class SimpleTypeQuery<T> extends Table<T> {

    public SimpleTypeQuery(Connection connection) {
        super(connection, null, null);
    }

    public T parseObject(ResultSet resultSet) throws SQLException {
        return (T) resultSet.getObject(1);
    }

    public List<T> findAll(String sql) throws TableException {
        return getPrepareStatementEx(sql).executeQueryEx();
    }

    public T find(String sql) throws TableException {
        List<T> list = getPrepareStatementEx(sql).executeQueryEx();
        if (list.size() == 0)
            return null;

        return list.get(0);
    }

    public T get(String sql) throws TableException {
        T t = find(sql);
        if (t == null)
            throw new TableException("Empty result for sql: " + sql);
        return t;
    }
}
