package com.netapp.oci.platform.framework.performance;

import com.netapp.oci.platform.common.interfaces.data.performance.PerformanceException;

import java.sql.Connection;

/**
 * Table management interface
 *
 * @author Anton Sergeev
 */
public interface TableManagement {
    /**
     * Create all the tables if they don't already exist.
     *
     * @param connection - database connection
     *
     * @throws com.netapp.oci.platform.common.interfaces.data.performance.PerformanceException if failed to create any of the tables
     */
    void createTables(Connection connection) throws PerformanceException;

    /**
     * Drops all performance tables
     *
     * @param connection - database connection
     *
     * @throws com.netapp.oci.platform.common.interfaces.data.performance.PerformanceException if failed to drop them all
     */
    void dropTables(Connection connection) throws PerformanceException;
}
