/*
 * Copyright (c) 2009 NetApp
 * All rights reserved
 */

package com.netapp.oci.platform.framework.performance.data;

/**
 * Record in the current sample status table.
 *
 * @author Anton Sergeev
 */
public class CurrentSampleStatus {
    /**
     * Performance package id
     */
    private String performancePackageId;

    /**
     * Sample container key
     */
    private String sampleContainerKey;

    /**
     * Sample container id
     */
    private Long sampleContainerId;

    /**
     * Last sample time
     */
    private long lastSampleTime;

    public CurrentSampleStatus(String performancePackageId, String sampleContainerKey, Long sampleContainerId, long lastSampleTime) {
        this.performancePackageId = performancePackageId;
        this.sampleContainerKey = sampleContainerKey;
        this.sampleContainerId = sampleContainerId;
        this.lastSampleTime = lastSampleTime;
    }

    public String getPerformancePackageId() {
        return performancePackageId;
    }

    public String getSampleContainerKey() {
        return sampleContainerKey;
    }

    public Long getSampleContainerId() {
        return sampleContainerId;
    }

    public long getLastSampleTime() {
        return lastSampleTime;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof CurrentSampleStatus)) return false;

        CurrentSampleStatus that = (CurrentSampleStatus) o;

        if (lastSampleTime != that.lastSampleTime) return false;
        if (performancePackageId != null ? !performancePackageId.equals(that.performancePackageId) : that.performancePackageId != null)
            return false;
        if (sampleContainerId != null ? !sampleContainerId.equals(that.sampleContainerId) : that.sampleContainerId != null)
            return false;
        if (sampleContainerKey != null ? !sampleContainerKey.equals(that.sampleContainerKey) : that.sampleContainerKey != null)
            return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = performancePackageId != null ? performancePackageId.hashCode() : 0;
        result = 31 * result + (sampleContainerKey != null ? sampleContainerKey.hashCode() : 0);
        result = 31 * result + (sampleContainerId != null ? sampleContainerId.hashCode() : 0);
        result = 31 * result + (int) (lastSampleTime ^ (lastSampleTime >>> 32));
        return result;
    }
}
