package com.netapp.oci.platform.framework.performance.tables;

/**
 * User: Vinod M
 * Date: 10/21/15
 * Time: 4:23 PM
 */

/**
 * Weighted moving average - This method will update the weighted average as the sample arrives. The base counter is
 * not rated.
 *
 * e.g. average cache hit ratio -
 * (( cacheMissRate * cacheMissRateBase ) + ( values(cacheMissRate) * values(cacheMissRateBase) )) / (cacheMissRateBase + values(cacheMissRateBase))
 */
public class WmaBaseNotRated extends SqlMethod {
    public WmaBaseNotRated(String weightedByColumn) {
        super("coalesce( (( {0} * " + weightedByColumn + " ) + ( values({0}) * values(" + weightedByColumn + ") )) / (" + weightedByColumn + " + values(" + weightedByColumn + ")), {0})");
    }
}
