package com.netapp.oci.platform.framework.performance.tables;

/**
 * User: Vinod M
 * Date: 10/21/15
 * Time: 4:23 PM
 */

/**
 * Weighted moving average - This method will update the weighted average as the sample arrives. The base counter
 * is rated by the collection period.
 *
 * e.g. for average latency by ops -
 * (( latency * ops * noOfSamples ) + ( newLatency * newOps )) / ((ops * noOfSamples) + newOps)
 */
public class WmaBaseRated extends SqlMethod {
    public WmaBaseRated(String weightedByColumn) {
        super("coalesce( (( {0} * " + weightedByColumn + " * noOfSamples ) + ( values({0}) * values(" + weightedByColumn + ") )) / ((" + weightedByColumn + " * noOfSamples) + values(" + weightedByColumn + ")), {0})");
    }
}
