/*
 * Copyright (c) 2009 NetApp
 * All rights reserved
 */
package com.netapp.oci.platform.framework.performance.util;

import com.netapp.oci.platform.framework.performance.PerformancePackageFactory;

/**
 * Abstract implementation of performance package factory
 *
 * @author Anton Sergeev
 */
public abstract class AbstractPerformancePackageFactory<C, S> implements PerformancePackageFactory<C, S> {
    /**
     * Key of the container of samples: switch or storage or virtual center
     */
    private String sampleContainerKey;

    /**
     * Id of the container of samples: switch or storage or virtual center
     * Id is here for convinience only, not all containers are registered with Sanscreen under certain id,
     * for example virtual center doesn't have id so this field may be <code>null</code>
     */
    private Long sampleContainerId;

    /**
     * Logger instance
     */
    private org.slf4j.Logger logger;

    protected AbstractPerformancePackageFactory(String sampleContainerKey, Long sampleContainerId, org.slf4j.Logger logger) {
        this.sampleContainerKey = sampleContainerKey;
        this.sampleContainerId = sampleContainerId;
        this.logger = logger;
    }

    public String getSampleContainerKey() {
        return sampleContainerKey;
    }

    public Long getSampleContainerId() {
        return sampleContainerId;
    }

    public org.slf4j.Logger getLogger() {
        return logger;
    }
}
