/*
 * Copyright (c) 2011 NetApp
 * All rights reserved
 */

package com.netapp.oci.platform.originator.db;

import java.util.Collections;
import java.util.Set;

/**
* @author Al Velella
*         Date: Sep 23, 2011
*         Time: 4:11:54 PM
*/
public class DeleteOperation extends AbstractTemporaryTableOperation {

    public DeleteOperation(String tablename) {
        this(tablename, Collections.<Long>emptySet());
    }

    public DeleteOperation(String tablename, Set<Long> ids) {
        super(tablename + "_tmp", ids, false);

        // DELETE FROM
        //   table-name tbl
        // JOIN
        //   tmpTableContainingIds tmp
        // on (objId)

        addSql(String.format("DELETE FROM tbl USING %s tbl INNER JOIN %s tmp WHERE tbl.objId = tmp.objid", tablename, getTempTableName()));
    }

}
