/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.netapp.oci.platform.originator.db;

import com.netapp.oci.platform.originator.ObjState;

import java.util.List;
import java.util.Set;

/**
 * @author Al Velella
 *         Date: 1/15/13
 *         Time: 1:43 PM
 */
public class InsertDeleteDetailOperation extends AbstractTemporaryTableOperation {
    public InsertDeleteDetailOperation(Set<String> columnNames, String tempTableName, String deleteDetailTablename, String dbTable, String type, Set<String> deleteTableColumns, List<ObjState> deletes) {
        super(tempTableName, deletes, true);
        // INSERT INTO
        //   [delete_detail_table]
        //   (id, deleteTime, objectType, objId, [id1, ...], ancestorDeleted)
        // SELECT
        //   NULL, [time], [type], objid, [id1, ...], FALSE
        // FROM
        //   tablename m
        // JOIN
        //   [temp_table] t
        // ON
        //   m.objid=t.objid

        // column list and column data
        StringBuilder colExpression = new StringBuilder();
        for (String columnName : columnNames) {
            if (deleteTableColumns.contains(columnName.toLowerCase())) {
                colExpression.append(',').append(columnName);
            }
        }

        addSql("INSERT INTO " + deleteDetailTablename + " (id,deleteTime,objectType,objId" + colExpression + ",ancestorDeleted)"
                + " SELECT NULL,?,'" + type + "',m.objid" + colExpression + ",FALSE FROM " + dbTable + " m JOIN " + getTempTableName() + " t ON m.objid=t.objid");
    }
}
