package com.netapp.oci.platform.originator.db;

import com.netapp.oci.platform.common.table.PreparedStatementWrapper;
import com.netapp.oci.platform.common.table.TableException;
import com.netapp.oci.platform.originator.handler.ColumnData;
import com.netapp.oci.platform.originator.handler.RowData;

import java.util.HashSet;

/**
 * This operation is used to mark records for deletion rather than deleting the records right away.  Used when we need
 * to keep history on configuration objects.
 * 
 * @author Shan Ponnusamy
 */
public class MarkForDeletionOperation extends AbstractTemporaryTableOperation {

    public MarkForDeletionOperation(String tableName) {
        super(tableName + "_md", new HashSet<Long>(), true);

        // UPDATE
        //   table-name
        // SET
        //   inactive = true,
        //   updateTime = ?
        // JOIN tmpTable
        //   using(objid)

        addSql(String.format("UPDATE %s  JOIN %s USING (objId) SET inactive=true, updateTime=?", tableName, getTempTableName()));
    }

}
