/*
 * Copyright (c) 2012 NetApp
 * All rights reserved
 */

package com.netapp.oci.platform.originator.db;

import java.util.List;
import java.util.Set;

/**
 * @author Al Velella
 *         Date: Aug 22, 2012
 *         Time: 12:08:46 PM
 */
public class RunnerOperation extends AbstractTemporaryTableOperation {

    public RunnerOperation(String tempDatabase, String tagname, Set<Long> ids, List<String> sqls) {
        this(tempDatabase + '.' + tagname.toLowerCase() + "_temp", ids, sqls);
    }

    public RunnerOperation(String tempTableName, Set<Long> ids, List<String> sqls) {
        super(tempTableName, ids, false);
        for (String sql : sqls) {
            addSql(sql);
        }
    }


    public int getCount() {
        return getIds().size();
    }

    public void addId(Long id) {
        getIds().add(id);
    }
}
