package com.netapp.oci.platform.originator.db;

import com.netapp.oci.platform.common.table.PreparedStatementWrapper;
import com.netapp.oci.platform.common.table.TableException;
import com.netapp.oci.platform.originator.handler.ColumnData;
import com.netapp.oci.platform.originator.handler.RowData;

import java.util.HashSet;

/**
 * @author Iti Behari
 *         Date: 5/20/13
 */
public class SoftDeleteOperation extends AbstractTemporaryTableOperation {

    public SoftDeleteOperation(String tablename) {
        super(tablename + "_sd", new HashSet<Long>(), true);

        // UPDATE
        //   table-name
        // SET objState = 'DEAD',
        // updatetime = ?
        // JOIN
        //   tmpTable
        //     USING (objId)

        addSql(String.format("UPDATE %s JOIN %s USING (objId) SET objState = 'DEAD', updatetime = ? ", tablename,  getTempTableName()));
    }

}
