/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.netapp.oci.platform.originator.db;

import java.util.Set;

/**
 * @author Al Velella
 *         Date: 1/17/13
 *         Time: 2:25 PM
 */
public class UpdateDeleteDetailOperation extends AbstractTemporaryTableOperation {
    public UpdateDeleteDetailOperation(String tempTableName, String deleteDetailTablename, Set<Long> deleteIds, String columnName) {
        super(tempTableName, deleteIds, true);
        // UPDATE
        //   [delete_detail_table] d, [temp_table] t
        // SET
        //   d.ancestorDeleted=TRUE
        // WHERE
        //   d.deleteTime=[time]
        //   AND t.objid=d.[columnName]

        // column list and column data

        addSql(" UPDATE" +
                "   " + deleteDetailTablename + " d, " + tempTableName + " t" +
                " SET" +
                "   d.ancestorDeleted=TRUE" +
                " WHERE" +
                "   d.deleteTime=? AND t.objid=d." + columnName);
    }
}
