/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.netapp.oci.platform.originator.key;

/**
 * @author Al Velella
 *         Date: 3/15/13
 *         Time: 4:22 PM
 */
public class DotUuidKey extends DelimitedUuidKey {

    // Make sure to escape the dot so it doesn't get interpreted as a regex any-character match
    public static final String DELIMITER_JAVA = "\\.";

    // Make sure to NOT escape the dot as MySQL doesn't treat it as a special character
    public static final String DELIMITER_DB = ".";

    public DotUuidKey(String uuid) {
        super(uuid, DELIMITER_JAVA);
    }

    @Override
    public String toString() {
        return super.toString(DELIMITER_DB);
    }
}
