/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.netapp.oci.platform.originator.key;

import com.netapp.oci.platform.common.table.StringCache;

/**
 * @author Al Velella
 *         Date: 3/1/13
 *         Time: 11:16 AM
 */
public class SimpleUuidKey implements UuidKey {
    private String uuid;

    public SimpleUuidKey(String uuid) {
        this.uuid = StringCache.get(uuid);
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        SimpleUuidKey simpleUuidKey = (SimpleUuidKey) o;

        return uuid.equals(simpleUuidKey.uuid);
    }

    @Override
    public int hashCode() {
        return uuid.hashCode();
    }

    @Override
    public String toString() {
        return uuid;
    }
}
