/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.netapp.oci.platform.originator.key;

/**
 * @author Al Velella
 *         Date: 3/15/13
 *         Time: 2:39 PM
 */
public abstract class UuidKeyFactory {
    public static final UuidKeyFactory SIMPLE_KEY = new UuidKeyFactory() {
        @Override
        public UuidKey key(String key) {
            return new SimpleUuidKey(key);
        }
    };

    public static final UuidKeyFactory DASH_KEY = new UuidKeyFactory() {
        @Override
        public UuidKey key(String key) {
            return new DashUuidKey(key);
        }
    };

    public static final UuidKeyFactory COLON_KEY = new UuidKeyFactory() {
        @Override
        public UuidKey key(String key) {
            return new ColonUuidKey(key);
        }
    };

    public static final UuidKeyFactory DOT_KEY = new UuidKeyFactory() {
        @Override
        public UuidKey key(String key) {
            return new DotUuidKey(key);
        }
    };

    private UuidKeyFactory() {}

    public abstract UuidKey key(String key);
}
