package com.netapp.oci.platform.originator.runner;

import com.netapp.oci.platform.originator.db.RunnerOperation;

import java.util.*;

/**
 * @author Iti Behari
 *         Date: 3/8/13
 *         This runner is used to break relationships between two linked objects
 */
public class UnlinkObjectRunner {

    public RunnerOperation getRunnerOp(String tempDatabase, String tagName, Set<Long> objIds, Map<String,  List<String>> dependentTableToForeignKeys) {
        String tempTableName = tempDatabase + '.' + tagName.toLowerCase() + "_temp";
        List<String> sqls = new ArrayList<String>();
        for(Map.Entry<String, List<String>> entry: dependentTableToForeignKeys .entrySet())  {
            sqls.addAll(buildSql(tempTableName, entry.getKey(), entry.getValue()));
        }
        return new RunnerOperation(tempDatabase, tagName, objIds, sqls);
    }



    // UPDATE netapp_model.snap_mirror dep, management.volume_temp tmp SET dep.volumeId = NULL where dep.volumeId = tmp.objId
    private List<String> buildSql(String tempTableName, String dependentTable, List<String> columnsToUnlink) {
        List<String> sqls = new ArrayList<String>();
        for(String columnToUnlink: columnsToUnlink){

            String sql = String.format("UPDATE %s dep, %s tmp SET dep.%s=NULL WHERE dep.%s = tmp.objid", dependentTable, tempTableName, columnToUnlink, columnToUnlink);
            sqls.add(sql);

        }
        return sqls;
    }
}
