/*
 * Copyright (c) 2011 NetApp
 * All rights reserved
 */

package com.netapp.oci.platform.plugin.remote;

import com.netapp.oci.platform.plugin.data.PlatformPlugin;
import com.onaro.sanscreen.server.interfaces.data.ServerInterfaceException;
import com.onaro.sanscreen.util.Schema;

import javax.ejb.Remote;
import java.util.Collection;

/**
 * @author Al Velella
 *         Date: Nov 10, 2011
 *         Time: 5:16:58 PM
 */
@Remote
public interface PlatformPluginRemote {
    String JNDI_NAME = "ejb:mega-app/server-core//PlatformPluginBean!com.netapp.oci.platform.plugin.remote.PlatformPluginRemote";

    /**
     * Register callback with platform
     *
     * @throws com.onaro.sanscreen.server.interfaces.data.ServerInterfaceException if failed to run task
     */
    void register(PlatformPlugin platformPlugin) throws ServerInterfaceException;

    /**
     * Return callback registered to schema
     *
     * @param schema schema
     * @return PlatformCallback
     */
    PlatformPlugin getPlugin(Schema schema);

    /**
     * Return all registered
     *
     * @return collection of PlatformCallback
     */
    Collection<PlatformPlugin> getPlugins();

    /**
     * Is a plugin registered for the given schema?
     *
     * @return true if a plugin is registered for the schema.
     */
    boolean isPluginRegisteredForSchema (Schema schema);

}
