/*
 * Copyright (c) 2011 NetApp
 * All rights reserved
 */

package com.netapp.oci.platform.upgrade;

/**
* @author Al Velella
*         Date: Nov 15, 2011
*         Time: 4:28:02 PM
*/
public class Version implements Comparable<Version> {
    private int major;
    private int minor;
    private int maintenance;
    private int patch;

    public Version(Version other) {
        this.major = other.major;
        this.minor = other.minor;
        this.maintenance = other.maintenance;
        this.patch = other.patch;
    }

    public Version(int major, int minor, int maintenance, int patch) {
        this.major = major;
        this.minor = minor;
        this.maintenance = maintenance;
        this.patch = patch;
    }

    public int getMajor() {
        return major;
    }

    public int getMinor() {
        return minor;
    }

    public int getMaintenance() {
        return maintenance;
    }

    public int getPatch() {
        return patch;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        Version version = (Version) o;

        return patch == version.patch
                && maintenance == version.maintenance
                && major == version.major
                && minor == version.minor;
    }

    @Override
    public int hashCode() {
        int result = major;
        result = 31 * result + minor;
        result = 31 * result + maintenance;
        result = 31 * result + patch;
        return result;
    }

    public int compareTo(Version other) {
        int returnVal = major - other.major;
        if (returnVal == 0) {
            returnVal = minor - other.minor;
        }
        if (returnVal == 0) {
            returnVal = maintenance - other.maintenance;
        }
        if (returnVal == 0) {
            returnVal = patch - other.patch;
        }
        return returnVal;
    }

    @Override
    public String toString() {
        return new StringBuilder()
                .append(major)
                .append(".").append(minor)
                .append(".").append(maintenance)
                .append(".").append(patch).toString();
    }
}
