package com.netapp.oci.platform.util.schema;

import java.util.List;
import java.util.Set;
import java.util.TreeSet;

/**
 * InfoSchemaDump represents schema dump of database.  Contains a set of columns and constraints
 *
 * @author Iti Behari
 *         Date: Sep 7, 2012
 *         <p/>
 */
public class InfoSchemaDump {


    private Set<ColumnInfo> columns = new TreeSet<ColumnInfo>();
    private Set<KeyColumnInfo> keyColumnUsage = new TreeSet<KeyColumnInfo>();

    public void addColumn(ColumnInfo column) {
        this.columns.add(column);
    }

    public void addAllColumns(List<ColumnInfo> columns) {
        this.columns.addAll(columns);
    }

    public void addKeyColumnUsage(KeyColumnInfo keyColumnInfo) {
        this.keyColumnUsage.add(keyColumnInfo);
    }

    public void addAllKeyColumns(List<KeyColumnInfo> keyColumns) {
        this.keyColumnUsage.addAll(keyColumns);
    }

    public Set<ColumnInfo> getColumns() {
        return columns;
    }


    public Set<KeyColumnInfo> getKeyColumnUsage() {
        return keyColumnUsage;
    }


    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        InfoSchemaDump that = (InfoSchemaDump) o;

        return !(columns != null ? !columns.equals(that.getColumns()) : that.getColumns() != null)
                && !(keyColumnUsage != null ? !keyColumnUsage.equals(that.keyColumnUsage) : that.keyColumnUsage != null);
    }

    @Override
    public int hashCode() {
        int result = columns != null ? columns.hashCode() : 0;
        result = 31 * result + (keyColumnUsage != null ? keyColumnUsage.hashCode() : 0);
        return result;
    }

    @Override
    public String toString() {
        return "InfoSchemaDump{" +
                "columns=" + columns +
                ", keyColumnUsage=" + keyColumnUsage +
                '}';
    }
}