/*
 * $Id: //depot/prod/acquisition/main/tools/config/eclipse/.settings/org.eclipse.jdt.ui.prefs#1 $
 *
 * Copyright (c) 2017 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.sanscreen.server.api;

import java.util.concurrent.Executors;
import java.util.concurrent.ThreadPoolExecutor;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

/**
 * Application context listener to initialize a thread pool to process EMS messages.
 */
public class AppContextListener implements ServletContextListener {

    public static final String EMS_EXECUTOR_ID = "emsExecutor";

    @Override
    public void contextInitialized(ServletContextEvent servletContextEvent) {

        // TODO Optimize the pool size or get it from config
        ThreadPoolExecutor executor = (ThreadPoolExecutor) Executors.newFixedThreadPool(5);
        servletContextEvent.getServletContext().setAttribute(EMS_EXECUTOR_ID, executor);
    }

    @Override
    public void contextDestroyed(ServletContextEvent servletContextEvent) {
        ThreadPoolExecutor executor = (ThreadPoolExecutor) servletContextEvent
                .getServletContext().getAttribute(EMS_EXECUTOR_ID);
        executor.shutdown();
    }

}
