/*
 * $Id: //depot/prod/acquisition/main/tools/config/eclipse/.settings/org.eclipse.jdt.ui.prefs#1 $
 *
 * Copyright (c) 2017 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.sanscreen.server.api;

import java.util.Collection;
import java.util.List;

import com.netapp.oci.netapp.ems.shared.interfaces.local.EmsMsgListener;
import com.netapp.oci.netapp.interfaces.data.NetappEmsEventDto;

/**
 * A thread to invoke registered EMS listeners to process the EMS message.
 */
public class EmsPostProcessor implements Runnable {
    private static final org.slf4j.Logger logger = org.slf4j.LoggerFactory.getLogger(EmsPostProcessor.class);

    private List<NetappEmsEventDto> emsEvents;
    private Collection<EmsMsgListener> emsListeners;

    public EmsPostProcessor(List<NetappEmsEventDto> emsEvents, Collection<EmsMsgListener> emsListeners) {
        this.emsEvents = emsEvents;
        this.emsListeners = emsListeners;
    }

    @Override
    public void run() {
        for (EmsMsgListener listener : emsListeners) {
            listener.process(emsEvents);
        }
        logger.info(emsEvents.size() + " EMS events have been processed by " + emsListeners.size() + " listeners.");
    }

}
