/*
 * scale
 *
 * Copyright (c) 2008 NetApp
 * All rights reserved
 */
package com.onaro.management;

import com.netapp.oci.platform.common.table.PreparedStatementWrapper;
import com.netapp.oci.platform.common.table.TableException;
import com.netapp.oci.platform.common.table.TableResultParserDefault;
import com.netapp.oci.server.TransactionContext;
import com.onaro.commons.table.DbConfig;

import java.sql.Connection;
import java.util.TreeMap;

public class Scale {

    public TreeMap<String, Number> getCurrentScale(TransactionContext transactionContext)
            throws TableException
    {
        Connection conn = transactionContext.getConnection();

        TreeMap<String, Number> res = new TreeMap<String, Number>();
        // RAU == Remote Acquisition Unit
        res.put("Acquisition - RAUs", getCount(conn, ".au") - 1L);
        res.put("Acquisition - Data Sources", getCount(conn, ".ds"));
        res.put("Acquisition - Originators", getCount(conn, ".originator"));

        return res;
    }

    private long getCount(Connection conn, String tableSuffix) throws TableException {
        String sql = "SELECT count(*) FROM " + DbConfig.getAcquisitionDbName() + tableSuffix;
        return PreparedStatementWrapper.create(conn, sql, TableResultParserDefault.LONG).executeFunctionQueryEx();
    }
}
