package com.onaro.management.serverresource;

import com.onaro.management.serverresource.interfaces.data.ServerResourceData;

import javax.swing.filechooser.FileSystemView;
import java.io.File;
import java.text.NumberFormat;
import java.util.Arrays;
import java.util.List;


/**
 * Created by weis.
 * Date: Aug 11, 2010
 * Time: 2:45:36 PM
 */
public class SystemInfoHelper {
    private static double BYTE_TO_GB = 1026 * 1026 * 1026;

    public void getSystemInfo(ServerResourceData serverResourceData) throws Exception {
        serverResourceData.setSanscreenDir(System.getProperty("onaro.home", "Unknown"));

        List<File> files = Arrays.asList(File.listRoots());
        for (File f : files) {
            String name = null;
            try {
                name = FileSystemView.getFileSystemView().getSystemDisplayName(f);
            } catch (final NullPointerException npe) {
                //Workaround for bug 22041.  On Windows 2008 (possibly Windows 7 as well), this call generates NullPointerException from
                //internal system calls.   See Java bug  6973685 as well.   Will skip this drive.

                //no-op, fall through.
            }

            if (name != null && name.trim().length() > 0) {
                serverResourceData.addDriverInfo(name + " (Free Space (GB))", convertBytesToGB(f.getFreeSpace()));
            }
        }
    }

    private String convertBytesToGB(long bytes) {
        NumberFormat nf = NumberFormat.getNumberInstance();
        nf.setMaximumFractionDigits(2);

        return nf.format(bytes / BYTE_TO_GB);
    }
}

