package com.onaro.management.serverresource.benchmarktask;

import com.onaro.management.serverresource.interfaces.data.ServerResourceData;
import org.slf4j.Logger;

import java.sql.Connection;

/**
 * Created by weis.
 * Date: Aug 11, 2010
 * Time: 10:50:32 AM
 */
public abstract class BenchMarkTask {
    static final org.slf4j.Logger logger =org.slf4j.LoggerFactory.getLogger("com.onaro.management.serverresource");

    private String name;

    protected BenchMarkTask(String name) {
        this.name = name;
    }

    public void run(ServerResourceData serverResourceData, Connection connection) {
        String time = "Failed";
        try {
            long startTime = System.currentTimeMillis();
            runDetails();
            long endTime = System.currentTimeMillis();
            time = "" + (endTime - startTime);
        } catch (Exception e) {
            logger.error("Error in " + name, e);
        }
        serverResourceData.addSQLInfo(name, time);
    }


    protected abstract void runDetails() throws Exception;

    public String getName() {
        return name;
    }
}
