package com.onaro.management.serverresource.interfaces.data;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

/**
 * Created by weis.
 * Date: Aug 12, 2010
 * Time: 2:52:43 PM
 */
public class ServerResourceData implements Serializable {
    private static final long serialVersionUID = 1L;

    private int cpuCount;
    private String physicalMemoryGB;
    private String allocatedMemoryGB;
    private String sanscreenDir;
    private Map<String, String> driverNameToFreeSpace = new HashMap<String, String>();
    private Map<String, String> sqlNameToExecTime = new HashMap<String, String>();

    public int getCpuCount() {
        return cpuCount;
    }

    public void setCpuCount(int cpuCount) {
        this.cpuCount = cpuCount;
    }

    public String getPhysicalMemoryGB() {
        return physicalMemoryGB;
    }

    public void setPhysicalMemoryGB(String physicalMemoryGB) {
        this.physicalMemoryGB = physicalMemoryGB;
    }

    public String getAllocatedMemoryGB() {
        return allocatedMemoryGB;
    }

    public void setAllocatedMemoryGB(String allocatedMemoryGB) {
        this.allocatedMemoryGB = allocatedMemoryGB;
    }

    public String getSanscreenDir() {
        return sanscreenDir;
    }

    public void setSanscreenDir(String sanscreenDir) {
        this.sanscreenDir = sanscreenDir;
    }

    public Map<String, String> getDriverNameToFreeSpace() {
        return driverNameToFreeSpace;
    }

    public void setDriverNameToFreeSpace(Map<String, String> driverNameToFreeSpace) {
        this.driverNameToFreeSpace = driverNameToFreeSpace;
    }

    public Map<String, String> getSqlNameToExecTime() {
        return sqlNameToExecTime;
    }

    public void setSqlNameToExecTime(Map<String, String> sqlNameToExecTime) {
        this.sqlNameToExecTime = sqlNameToExecTime;
    }

    public void addSQLInfo(String sqlName, String execTime) {
        sqlNameToExecTime.put(sqlName, execTime);
    }

    public void addDriverInfo(String driveName, String freeSpaceGB) {
        driverNameToFreeSpace.put(driveName, freeSpaceGB);
    }
}
