/*
 * Copyright (c) 2009 NetApp
 * All rights reserved
 */

package com.onaro.management.session;

import org.quartz.DisallowConcurrentExecution;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;

import javax.annotation.security.RunAs;

/**
 * @author Al Velella
 *         Date: Mar 8, 2010
 *         Time: 4:57:24 PM
 */
@RunAs("admin")
@DisallowConcurrentExecution
public class DailyManagementJob implements Job {
    
    public static final String CRON_TRIGGER = "0 50 23 * * ?";
    public static final String JOB_NAME = "DailyManagementJob";

    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {

        try {
            ManagementRemote session = (ManagementRemote) jobExecutionContext.getJobDetail().getJobDataMap().get("managementBean");
            session.run();
        } catch (ManagementException e) {
            throw new JobExecutionException(e);
        }
    }
}
