package com.onaro.sanscreen.acquisition.sessions;

import com.onaro.sanscreen.server.dataobject.acquisition.AcquisitionUnitNew;
import com.onaro.sanscreen.server.dataobject.acquisition.DataSourceConfiguration;
import com.onaro.sanscreen.server.dataobject.acquisition.DataSourceTypeVendorModel;
import com.onaro.sanscreen.server.dataobject.acquisition.Package;

import javax.ejb.Remote;
import java.rmi.RemoteException;
import java.util.Collection;
import java.util.List;

@Remote
public interface AcquisitionFacadeForClientSession {
    String JNDI_NAME = "ejb:mega-app/server-core//AcquisitionFacadeForClientSessionEJB!com.onaro.sanscreen.acquisition.sessions.AcquisitionFacadeForClientSession";

    public List<DataSourceTypeVendorModel> getAllDataSourceVendorModels() throws AcquisitionUnitException;

    public Collection<AcquisitionUnitNew> getAllAcquisitionUnit() throws AcquisitionUnitException, RemoteException;

    public DataSourceConfiguration getNewDataSourceByType(final DataSourceTypeVendorModel dataSourceTypeVendorModel) throws AcquisitionUnitException;

    public DataSourceConfiguration getDataSourceById(final long ds_id) throws AcquisitionUnitException;

    public void addNewDataSource(DataSourceConfiguration newDataSource) throws AcquisitionUnitException;

    public void updateDataSource(DataSourceConfiguration updatedDataSource) throws AcquisitionUnitException;

    public List<Package> getLicensedPackages(final long dataSourceTypeId) throws AcquisitionUnitException;
}
