package com.onaro.sanscreen.acquisition.sessions;

import com.onaro.sanscreen.server.dataobject.acquisition.AcquisitionUnitNew;

import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;

public abstract class AcquisitionUnitAction {

    private static Map connectActions;
    private static Map disconnectActions;

    public abstract void doAction (AcquisitionUnitNew au);

    public static void activateAllConnectActions (AcquisitionUnitNew au) {
        Iterator it = connectActions.values().iterator();
        while (it.hasNext()) {
            AcquisitionUnitAction action = (AcquisitionUnitAction) it.next();
            action.doAction(au);
        }
    }

    public static void activateAllDisconnectActions (AcquisitionUnitNew au) {
        Iterator it = disconnectActions.values().iterator();
        while (it.hasNext()) {
            AcquisitionUnitAction action = (AcquisitionUnitAction) it.next();
            action.doAction(au);
        }
    }

    static {
        connectActions = new HashMap ();
        disconnectActions = new HashMap ();

        connectActions.put("TEST Connect ACTION", new AcquisitionUnitAction() {
            public void doAction (AcquisitionUnitNew au) {
                // put the action here
            }
        });

        connectActions.put("AcquisitionUnit audit cleanup", new AcquisitionUnitAuditHandling());
        disconnectActions.put("TEST Disconnect ACTION", new AcquisitionUnitAction() {
            public void doAction (AcquisitionUnitNew au) {
                // change all data source active state to non active

            }
        });

        disconnectActions.put("InActivate datasource", new InActivateDatasourceAction());
        disconnectActions.put("AcquisitionUnit audit cleanup", new AcquisitionUnitAuditHandling());

    }

}
