package com.onaro.sanscreen.acquisition.sessions;

import com.onaro.sanscreen.server.dataobject.acquisition.AcquisitionUnitNew;
import com.onaro.sanscreen.util.JndiHelper;
import org.slf4j.Logger;

import javax.naming.NamingException;

public class AcquisitionUnitAuditHandling extends AcquisitionUnitAction {

    static transient final Logger logger =org.slf4j.LoggerFactory.getLogger("com.onaro.sanscreen.acquisition.sessions");

    public AcquisitionUnitAuditHandling() {
    }

    public void doAction(AcquisitionUnitNew au) {

        AcquisitionUnitAuditSession auditor;
        try {
            auditor = (AcquisitionUnitAuditSession) JndiHelper.getEJB(AcquisitionUnitAuditSession.JNDI_NAME);
        } catch (NamingException e) {
            logger.error("Could not find AcquisitionUnitAuditSessionHome", e);
            return;
        }

        try {
            auditor.removeAllAudit(au.getName());
        } catch (AcquisitionUnitException e) {
            logger.error("Couldn't remove audit for " + au.getName(), e);
        }
    }
}
