package com.onaro.sanscreen.acquisition.sessions;

import javax.ejb.ApplicationException;

import com.netapp.oci.platform.common.interfaces.data.NestedStackTraceException;


/**
 * Created by Onaro Inc.
 * User: omri.kessel
 * Date: Feb 4, 2003
 * Time: 5:05:02 PM
 */
@ApplicationException(rollback = true)
public class AcquisitionUnitException extends NestedStackTraceException {
    private static final long serialVersionUID = 1L;
    private String zapiErrorReason = "";

	public AcquisitionUnitException() {
    }

    public AcquisitionUnitException(String s) {
        super(s);
    }

    public AcquisitionUnitException(String s, Throwable ex) {
        super(s, ex);
    }

    public AcquisitionUnitException(String s, Throwable ex, String zapiErrorReason) {
        super(s, ex);
        this.zapiErrorReason = zapiErrorReason;
    }

    @Override
    public String getMessage() {
        return super.getMessage();
    }

    public String getZapiErrorReason() {
        return this.zapiErrorReason;
    }

}
