package com.onaro.sanscreen.acquisition.sessions;

import java.io.Serializable;

/**
 * This class represents a change that happened in the data sources
 */
public class DataSourceChange implements Serializable {
    private static final long serialVersionUID = 1L;
	public final transient static int TYPE_ADD = 0;
    public final transient static int TYPE_REMOVE = 1;
    public final transient static int TYPE_CHANGE = 2;
    public final transient static int TYPE_MANUAL_CHANGE = 3;

    private long id;
    private int type;
    private String name = "";

    public DataSourceChange() {
    }

    public DataSourceChange(long id, String name, int type) {
        this.id = id;
        this.type = type;
        this.name = name;
    }

    public DataSourceChange(long id, int type) {
        this.id = id;
        this.type = type;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String toString() {
        return "DataSourceChange id:" + getId() + " name: " + getName() + " type:" + ((new String[]{"Add", "Remove", "Change", "Manual"})[getType()]);
    }
}
