package com.onaro.sanscreen.acquisition.sessions;

import com.onaro.sanscreen.server.dataobject.acquisition.AcquisitionUnitNew;
import com.onaro.sanscreen.util.JndiHelper;
import org.slf4j.Logger;

import javax.naming.NamingException;

/**
 * Created by Onaro Inc.
 * User: omri.kessel
 * Date: Jun 24, 2003
 * Time: 2:15:48 PM
 */
public class InActivateDatasourceAction extends AcquisitionUnitAction {

    public final static boolean ACTIVE = true;
    public final static boolean NOT_ACTIVE = false;

    AcquisitionFacadeSession acqSession = null;


    static transient final Logger logger =org.slf4j.LoggerFactory.getLogger("com.onaro.sanscreen.acquisition.sessions");


    public InActivateDatasourceAction() {

    }

    public void doAction(AcquisitionUnitNew au) {
        try {
            acqSession = (AcquisitionFacadeSession) JndiHelper.getEJB(AcquisitionFacadeSession.JNDI_NAME);
        } catch (NamingException e) {
            logger.error("Couldn't find datasource session in jndi", e);
            return;
        }

        try {
            acqSession.updateDsIsActiveForAu(au, NOT_ACTIVE);
        } catch (AcquisitionUnitException e) {
            logger.error("Got error while trying to retrieve all open datasource for acquisition unit " + au.getName(), e);
            return;
        }
    }
}
