package com.onaro.sanscreen.acquisition.sessions;

import javax.ejb.Remote;
import java.util.Collection;
import java.rmi.RemoteException;

/**
 * @author carl.chan-aldebol
 */
@Remote
public interface LeaseManagerSession {
    String JNDI_NAME = "ejb:mega-app/server-core//LeaseManagerSessionEJB!com.onaro.sanscreen.acquisition.sessions.LeaseManagerSession";

    /**
     * This method will return the status of the Acquisition unit
     * <p/>
     * Used for unit testing only. See {@link #checkAcquisitionUnitLease} to check if the lease of an acquisition unit
     * is still valid
     */
    public int checkAcquisitionUnitStatus(final String acquisitionUnitName) throws LeaseManagerException;

    /**
     * This method will return the status of the Acquisition unit
     *
     * @return true if the acquisition unit is still active (and lease is valid)
     */
    public boolean checkAcquisitionUnitLease(final String acquisitionUnitName) throws LeaseManagerException;

    /**
     * This method will return acqusition unit name list
     */
    public Collection getAcquisitionUnits() throws LeaseManagerException, RemoteException;
}
