package com.onaro.sanscreen.acquisition.vobject;

import com.onaro.sanscreen.server.dataobject.acquisition.AcquisitionUnit;

import java.io.Serializable;
import java.util.List;
import java.util.LinkedList;

/**
 * Created by Onaro Inc.
 * User: omri.kessel
 * Date: Aug 20, 2003
 * Time: 10:17:30 AM
 */
public class AcquisitionUnitStatus implements Serializable{
    private static final long serialVersionUID = 1L;
	String AcquisitionUnitName;
    String AcquisitionUnitIP;
    int status;
    List infoList = new LinkedList();

    public AcquisitionUnitStatus(String acquisitionUnitName, String acquisitionUnitIP, int status) {
        AcquisitionUnitName = acquisitionUnitName;
        AcquisitionUnitIP = acquisitionUnitIP;
        this.status = status;
    }

    public String getAcquisitionUnitName() {
        return AcquisitionUnitName;
    }

    public void setAcquisitionUnitName(String acquisitionUnitName) {
        AcquisitionUnitName = acquisitionUnitName;
    }

    public String getAcquisitionUnitIP() {
        return AcquisitionUnitIP;
    }

    public void setAcquisitionUnitIP(String acquisitionUnitIP) {
        AcquisitionUnitIP = acquisitionUnitIP;
    }

    public int getStatus() {
        if (status == AcquisitionUnit.CONNECTED && infoList.size() > 0) {
            // Get the last message...
            final Status status = (Status)infoList.get(0);
            
            // The aqcuisition unit will show a warning signal for two hours
            if (status.getTime() + 1000 * 3600 * 2 < System.currentTimeMillis())
                return AcquisitionUnit.WARN;
        }

        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public List getInfoList() {
        return infoList;
    }

}
