package com.onaro.sanscreen.client.simulator.annotations;

/*
 * Copyright (c) 2011 NetApp
 * All rights reserved
 */

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @author Al Velella
 *         Date: Oct 26, 2011
 *         Time: 1:37:35 PM
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface DbView {
    String value() default "";

    /**
     * Attribute is an external UUID reference. The XML handler will translate the UUID to an object ID, and the database
     * will store only the ID.
     */
    boolean translatedUuid() default false;

    /**
     * Attribute is a timestamp.   Note that this can only be legally applied to Long type fields (required for NULL
     * handling).   Expected value is in SECONDS.  Handler layer translated into the Timestamp SQL field.
     */
    boolean isTimestamp() default false;

    /**
     * Attribute is not stored in database
     */
    boolean ignore() default false;

    /**
     * Use this field instead of UUID for key. To use this option you must also annotate the UUID with ignore
     */
    boolean keyOverride() default false;

    /**
     * column name in view
     */
    String columnName() default "";
}
