package com.onaro.sanscreen.server.dataobject.acquisition;

import java.io.Serializable;

/**
 * Data object for DataSourceAudit.
 */
public class DataSourceAudit implements Serializable {
    private static final long serialVersionUID = 1L;
	private long id;
    private String packageName;
    private String status;
    private String URI;
    private long dsId;
    private long startTime;
    private long endTime;
    private int numberOfTimes;

    public DataSourceAudit() {
    }

    public DataSourceAudit(final String packageName, final String status, final String URI, final long originId, final long startTime, final long endTime, final int numberOfTimes) {
        this(-1, packageName, status, URI, originId, startTime, endTime, numberOfTimes);
    }

    public DataSourceAudit(long id, final String packageName, String status, String URI, long originId, long startTime, long endTime, int numberOfTimes) {
        setId(id);
        setPackageName(packageName);
        setStatus(status);
        setURI(URI);
        setDsId(originId);
        setStartTime(startTime);
        setEndTime(endTime);
        setNumberOfTimes(numberOfTimes);
    }

    public DataSourceAudit(DataSourceAudit otherData) {
        setId(otherData.getId());
        setStatus(otherData.getStatus());
        setURI(otherData.getURI());
        setDsId(otherData.getDsId());
        setStartTime(otherData.getStartTime());
        setEndTime(otherData.getEndTime());
        setNumberOfTimes(otherData.getNumberOfTimes());
    }

    public long getId() {
        return this.id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(final String packageName) {
        this.packageName = packageName;
    }

    public String getStatus() {
        return this.status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getURI() {
        return this.URI;
    }

    public void setURI(String URI) {
        this.URI = URI;
    }

    public long getDsId() {
        return this.dsId;
    }

    public void setDsId(long dsId) {
        this.dsId = dsId;
    }

    public long getStartTime() {
        return this.startTime;
    }

    public void setStartTime(long startTime) {
        this.startTime = startTime;
    }

    public long getEndTime() {
        return this.endTime;
    }

    public void setEndTime(long endTime) {
        this.endTime = endTime;
    }

    public int getNumberOfTimes() {
        return this.numberOfTimes;
    }

    public void setNumberOfTimes(int numberOfTimes) {
        this.numberOfTimes = numberOfTimes;
    }

    public final boolean isAuditSessionClosed() {
        return endTime != 0 && endTime != 5000000000000L;
    }

    public String toString() {
        StringBuilder str = new StringBuilder(100);

        str.append("{id=").append(getId()).
                append(" packageName=").append(getPackageName()).
                append(" status=").append(getStatus()).
                append(" URI=").append(getURI()).
                append(" originId=").append(getDsId()).
                append(" startTime=").append(getStartTime()).
                append(" endTime=").append(getEndTime()).
                append(" numberOfTimes=").append(getNumberOfTimes()).append('}');

        return (str.toString());
    }

    public boolean equals(final Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        final DataSourceAudit that = (DataSourceAudit) o;

        if (dsId != that.dsId) return false;
        if (endTime != that.endTime) return false;
        if (id != that.id) return false;
        if (numberOfTimes != that.numberOfTimes) return false;
        if (startTime != that.startTime) return false;
        if (URI != null ? !URI.equals(that.URI) : that.URI != null) return false;
        if (packageName != null ? !packageName.equals(that.packageName) : that.packageName != null) return false;
        if (status != null ? !status.equals(that.status) : that.status != null) return false;

        return true;
    }

    public int hashCode() {
        int result;
        result = (int) (id ^ (id >>> 32));
        result = 29 * result + (packageName != null ? packageName.hashCode() : 0);
        result = 29 * result + (status != null ? status.hashCode() : 0);
        result = 29 * result + (URI != null ? URI.hashCode() : 0);
        result = 29 * result + (int) (dsId ^ (dsId >>> 32));
        result = 29 * result + (int) (startTime ^ (startTime >>> 32));
        result = 29 * result + (int) (endTime ^ (endTime >>> 32));
        result = 29 * result + numberOfTimes;
        return result;
    }
}
