package com.onaro.sanscreen.server.dataobject.acquisition;

import org.slf4j.Logger;

public class DataSourceIntegerAttribute extends DataSourceNumericAttribute<Integer> {
    private static final long serialVersionUID = 1L;

    private static final Logger logger =org.slf4j.LoggerFactory.getLogger("com.onaro.sanscreen.server.dataobject.acquisition");

    public DataSourceIntegerAttribute(final String name, final String description, final String label, final String role, final boolean editable, final boolean encrypt, final int guiorder, final Integer defaultValue, final Integer min, final Integer max) {
        super(AttributeType.INTEGER, name, description, label, role, editable, encrypt, guiorder, defaultValue, min, max);
    }

    DataSourceIntegerAttribute(final DataSourceIntegerAttribute original) {
        super(original);
    }

    public void setValueFromString(final String value) throws IllegalArgumentException {
        if (value == null || value.equals("")) {
            setValue(null);
        } else {
            try {
                final int i = Integer.parseInt(value);
                setValue(i);
            }
            catch (NumberFormatException e) {
                setValue(getDefaultValue());
                logger.warn("Value " + value + " is not an integer value as required for property " + getName() + ". " +
                            "Assigning default value of " + getDefaultValue());
            }
        }
    }
}
