package com.onaro.sanscreen.server.dataobject.acquisition;

public class DataSourceStringAttribute extends DataSourceSimpleAttribute<String> {
    private static final long serialVersionUID = 1L;

    public DataSourceStringAttribute(final String name, final String description, final String label, final String role, final boolean editable, final boolean encrypt, final int guiorder, final String defaultValue) {
        super(AttributeType.STRING, name, description, label, role, editable, encrypt, guiorder, defaultValue);
    }

    DataSourceStringAttribute(final DataSourceSimpleAttribute<String> original) {
        super(original);
    }

    public void prepareValueFromDatabase(final String value) {
        try {
            if (isEncrypt())
                setValueFromString(PBE.decrypt(value));
            else
                setValueFromString(value);
        }
        catch (Exception e) {
            // throw new IllegalArgumentException("Failed to decrypt string attribute " + getName(), e);
            setValueFromString(value);
        }
    }

    public void setValueFromString(final String value) throws IllegalArgumentException {
        super.setValue(value);
    }

    public String prepareValueForDatabase() {
        final String prepared = super.prepareValueForDatabase();
        try {
            if (isEncrypt())
                return PBE.encrypt(prepared);
            else
                return prepared;
        }
        catch (Exception e) {
            return prepared;
        }
    }
}
