package com.onaro.sanscreen.server.dataobject.acquisition;

import java.io.Serializable;
import java.util.*;

public class DataSourceType implements Serializable {

    private static final long serialVersionUID = 1L;
    
    private long id;
    private String name;
    private String description;

    private Map<String, DsTypeAttribute> attrs = new HashMap<String, DsTypeAttribute>();
    private List<DataSourceTypeVendorModel> vendorModels = new LinkedList<DataSourceTypeVendorModel>();

    public DataSourceType(final long id, final String name, final String description) {
        this.id = id;
        this.name = name;
        this.description = description;
    }

    public void setId(final long id) {
        this.id = id;
    }

    public void setName(final String name) {
        this.name = name;
    }

    public void setDescription(final String description) {
        this.description = description;
    }

    public long getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public String getDescription() {
        return description;
    }

    public Map<String, DsTypeAttribute> getAttrs() {
        return attrs;
    }

    public List<DataSourceTypeVendorModel> getVendorModels() {
        return vendorModels;
    }

}
