package com.onaro.sanscreen.server.dataobject.acquisition;

import java.io.Serializable;

public class DataSourceTypeVendorModel implements Serializable {

    private static final long serialVersionUID = 1L;

    private long dsTypeId;
    private String vendorName;
    private String vendorDescription;
    private String modelName;
    private String modelDescription;

    public DataSourceTypeVendorModel() {
    }

    public DataSourceTypeVendorModel(final DataSourceVendorModel oldVersion) {
        dsTypeId = oldVersion.getDataSourceType();
        vendorName = oldVersion.getVendor();
        vendorDescription = oldVersion.getVendorName();
        modelName = oldVersion.getModel();
        modelDescription = oldVersion.getModelName();
    }

    public DataSourceVendorModel getDataSourceVendorModel() {
        return new DataSourceVendorModel(dsTypeId, vendorName, vendorDescription, modelName, modelDescription);
    }

    public DataSourceTypeVendorModel(final long dsTypeId, final String vendorName, final String vendorDescription, final String modelName, final String modelDescription) {
        this.dsTypeId = dsTypeId;
        this.vendorName = vendorName;
        this.vendorDescription = vendorDescription;
        this.modelName = modelName;
        this.modelDescription = modelDescription;
    }

    public long getDsTypeId() {
        return dsTypeId;
    }

    public void setDsTypeId(final long dsTypeId) {
        this.dsTypeId = dsTypeId;
    }

    public String getVendorName() {
        return vendorName;
    }

    public void setVendorName(final String vendorName) {
        this.vendorName = vendorName;
    }

    public String getVendorDescription() {
        return vendorDescription;
    }

    public void setVendorDescription(final String vendorDescription) {
        this.vendorDescription = vendorDescription;
    }

    public String getModelName() {
        return modelName;
    }

    public void setModelName(final String modelName) {
        this.modelName = modelName;
    }

    public String getModelDescription() {
        return modelDescription;
    }

    public void setModelDescription(final String modelDescription) {
        this.modelDescription = modelDescription;
    }

    public String toString() {
        StringBuilder str = new StringBuilder(200);

        str.append(
                "{id=").append(getDsTypeId()).
                append(" vendorName=").append(getVendorName()).
                append(" vendorDescription=").append(getVendorDescription()).
                append(" modelName=").append(getModelName()).
                append(" modelDescription=").append(getModelDescription()).append('}');

        return str.toString();
    }

    public boolean equals(final Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        final DataSourceTypeVendorModel that = (DataSourceTypeVendorModel) o;

        if (dsTypeId != that.dsTypeId) return false;
        if (modelDescription != null ? !modelDescription.equals(that.modelDescription) : that.modelDescription != null) {
            return false;
        }
        if (modelName != null ? !modelName.equals(that.modelName) : that.modelName != null) return false;
        if (vendorDescription != null ? !vendorDescription.equals(that.vendorDescription) : that.vendorDescription != null) {
            return false;
        }
        //noinspection RedundantIfStatement
        if (vendorName != null ? !vendorName.equals(that.vendorName) : that.vendorName != null) return false;

        return true;
    }

    public int hashCode() {
        int result;
        result = (int) (dsTypeId ^ (dsTypeId >>> 32));
        result = 29 * result + (vendorName != null ? vendorName.hashCode() : 0);
        result = 29 * result + (vendorDescription != null ? vendorDescription.hashCode() : 0);
        result = 29 * result + (modelName != null ? modelName.hashCode() : 0);
        result = 29 * result + (modelDescription != null ? modelDescription.hashCode() : 0);
        return result;
    }
}
