package com.onaro.sanscreen.server.interfaces.data;

import com.netapp.oci.platform.common.interfaces.data.NestedStackTraceException;

/**
 * Exception that happens when server interfaces fail to return result to the caller.
 * Can not have nested exceptions since client code base might not have libraries that contain nested exception.
 *
 * @author Anton Sergeev
 */
public class ServerInterfaceException extends NestedStackTraceException {
    private static final long serialVersionUID = 1L;
    
    public ServerInterfaceException(String message) {
        super(message);
    }

    public ServerInterfaceException(String message, Throwable ex) {
        super(message, ex);
    }
}
