package com.onaro.sanscreen.server.interfaces.data;

import java.util.Date;
import java.io.Serializable;

/**
 * Represents snapshot of the inventory for given point of time
 *
 * @author Anton Sergeev
 */
public class TimeContext extends Context implements Serializable {
    private static final long serialVersionUID = 1L;
    
    /** Time stamp of the inventory */
    private Date time;

    public TimeContext(long id, Date createTime, String userId, Date time) {
        super(id, createTime, ContextType.TIME, userId);
        this.time = time;
    }

    public Date getTime() {
        return time;
    }


    public boolean equals(Object o) {
        if (this == o)
            return true;
        if (o == null || getClass() != o.getClass())
            return false;
        if (!super.equals(o))
            return false;

        TimeContext that = (TimeContext) o;

        if (!time.equals(that.time))
            return false;

        return true;
    }

    public int hashCode() {
        int result = super.hashCode();
        result = 31 * result + time.hashCode();
        return result;
    }


    public String toString() {
        return "TimeContext{" +
                "time=" + time +
                '}';
    }
}
