package com.onaro.sanscreen.server.interfaces.data.viewprofile;

import javax.persistence.*;
import java.io.Serializable;

/**
 * Date: Aug 20, 2007
 * Time: 5:56:50 PM
 *
 * @author yarom.gabay
 */
@Entity
@Table(catalog = "sanscreen", name="view_profile")
public class ViewProfile implements Serializable {
    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue
    private Long id;
    private String mainViewId;
    private String subViewId;
    private String profileName;
    private boolean systemDefined;
    private boolean global;
    private String owner;
    @Lob
    private byte [] data;


    /**
     * This is for the EntityManager.
     */
    public ViewProfile() {}

    /**
     * The client (gui) can create objects using this constructor. {@code id} is auto-generated 
     * @param mainViewId
     * @param subViewId
     * @param profileName
     * @param systemDefined
     * @param global
     * @param owner
     * @param data
     */
    public ViewProfile(String mainViewId, String subViewId, String profileName, boolean systemDefined, boolean global, String owner, byte[] data) {
        this.id = null;   /* auto-generated by database*/
        this.mainViewId = mainViewId;
        this.subViewId = subViewId;
        this.profileName = profileName;
        this.systemDefined = systemDefined;
        this.global = global;
        this.owner = owner;
        this.data = data;
    }


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getMainViewId() {
        return mainViewId;
    }

    public void setMainViewId(String mainViewId) {
        this.mainViewId = mainViewId;
    }

    public String getSubViewId() {
        return subViewId;
    }

    public void setSubViewId(String subViewId) {
        this.subViewId = subViewId;
    }

    public String getProfileName() {
        return profileName;
    }

    public void setProfileName(String profileName) {
        this.profileName = profileName;
    }

    public boolean isSystemDefined() {
        return systemDefined;
    }

    public void setSystemDefined(boolean systemDefined) {
        this.systemDefined = systemDefined;
    }

    public boolean isGlobal() {
        return global;
    }

    public void setGlobal(boolean global) {
        this.global = global;
    }

    public String getOwner() {
        return owner;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }

    public byte[] getData() {
        return data;
    }

    public void setData(byte[] data) {
        this.data = data;
    }


    public String toString() {
        return "ViewProfile(" +
                id + ", " +
                mainViewId  + ", " +
                subViewId + ", " +
                profileName + ", " +
                systemDefined + ", " +
                global + ", " +
                owner +
                ")";
    }

	@Override
	public int hashCode() {
		final int PRIME = 31;
		int result = 1;
		result = PRIME * result + (global ? 1231 : 1237);
		result = PRIME * result + ((id == null) ? 0 : id.hashCode());
		result = PRIME * result + ((mainViewId == null) ? 0 : mainViewId.hashCode());
		result = PRIME * result + ((owner == null) ? 0 : owner.hashCode());
		result = PRIME * result + ((profileName == null) ? 0 : profileName.hashCode());
		result = PRIME * result + ((subViewId == null) ? 0 : subViewId.hashCode());
		result = PRIME * result + (systemDefined ? 1231 : 1237);
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj) return true;
		if (obj == null) return false;
		if (getClass() != obj.getClass()) return false;
		final ViewProfile other = (ViewProfile) obj;
		if (id == null) {
			if (other.id != null) return false;
		}
		else if (!id.equals(other.id)) return false;
		if (global != other.global) return false;
		if (mainViewId == null) {
			if (other.mainViewId != null) return false;
		}
		else if (!mainViewId.equals(other.mainViewId)) return false;
		if (owner == null) {
			if (other.owner != null) return false;
		}
		else if (!owner.equals(other.owner)) return false;
		if (profileName == null) {
			if (other.profileName != null) return false;
		}
		else if (!profileName.equals(other.profileName)) return false;
		if (subViewId == null) {
			if (other.subViewId != null) return false;
		}
		else if (!subViewId.equals(other.subViewId)) return false;

        return systemDefined == other.systemDefined;
    }
    
    
}
