package com.onaro.sanscreen.server.interfaces.remote;

import com.onaro.sanscreen.server.interfaces.data.ServerInterfaceException;
import com.onaro.sanscreen.server.interfaces.data.misc.HelpMenuLink;

import javax.ejb.Remote;
import java.util.List;

/**
 * Put miscellanious unrelated calls here that can't find home in other interfaces.
 *
 * @author Anton Sergeev
 */
@Remote
public interface MiscRemote {
    String JNDI_NAME = "ejb:mega-app/server-core//MiscBean!com.onaro.sanscreen.server.interfaces.remote.MiscRemote";

    /**
     * Returns all help menu links defined by user through the portal, the order is maintained from portal page
     *
     * @return list of help menu link objects
     * 
     * @throws ServerInterfaceException if failed to get those links 
     */
    List<HelpMenuLink> getUserDefinedHelpMenuLinks() throws ServerInterfaceException;

    /**
     * Sets user defined help menu links
     *
     * @param links - list of help menu link objects
     *
     * @throws ServerInterfaceException if failed to set those links
     */
    void setUserDefinedHelpMenuLinks(List<HelpMenuLink> links) throws ServerInterfaceException;
}
