package com.onaro.sanscreen.server.interfaces.remote;

import com.onaro.sanscreen.server.interfaces.data.viewprofile.ViewProfile;

import javax.ejb.Remote;
import java.util.List;

/**
 * Date: Aug 20, 2007
 * Time: 5:55:31 PM
 *
 * @author yarom.gabay
 */
@Remote
public interface ViewProfileRemote {
    String JNDI_NAME = "ejb:mega-app/server-core//ViewProfileBean!com.onaro.sanscreen.server.interfaces.remote.ViewProfileRemote";

    /**
     * Save a new ViewProfile to the database. The id field will be auto-generated if null.  
     * @param viewProfile
     * @return the id of the newly created view profile.
     */
    long createViewProfile(ViewProfile viewProfile);


    /**
     * @param id
     */
    void removeViewProfile(long id);

    /**
     * updates attributes of an existing viewProfile 
     * @param viewProfile
     */
    void updateViewProfile(ViewProfile viewProfile);

    /**
     *
     * @return the viewProfile matching the given id. {@code null} if none exists.  
     */
    ViewProfile getViewProfileById(long id);

    /**
     * @return all view profiles
     */
    List<ViewProfile> getAllViewProfiles();

    /**
     *
     * @return all viewProfiles with global=true
     */
    List<ViewProfile> getGlobalViewProfiles();

    /**
     * Get viewProfiles belonging to given owner and which are not-global
     * @return
     * @param owner
     */
    List<ViewProfile> getViewProfilesByOwnerNonGlobal(String owner);

    /**
     * @return last time the viewProfile was updated
     */
    Long getViewProfileUpdateTime();
}
