/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.onaro.sanscreen.server.sessions;

import com.netapp.oci.server.UpdateTaskException;
import com.onaro.sanscreen.server.originatorupdate.OriginatorCacheChanges;
import com.onaro.sanscreen.util.Schema;

import javax.ejb.Local;
import java.io.Reader;

/**
 * Local EJB interface that allows the EJB to be called directly inside the server
 */
@Local
public interface OriginatorUpdateSessionLocal {

    /** local JNDI name used to register and look up the EJB */
    String JNDI_NAME = "java:global/mega-app/server-core/OriginatorUpdateSessionEJB!com.onaro.sanscreen.server.sessions.OriginatorUpdateSessionLocal";

    /**
     * Reads and processes XML data from a stream
     *
     * @param reader reader for the data XML
     * @param schema XML schema
     * @param originId originator ID
     * @param dataSourceName data source name.  Can be <code>null</code>
     * @return returns true if changes have been detected
     * @throws UpdateTaskException a generic exception in case anything goes wrong
     */
    OriginatorCacheChanges getUpdate(Reader reader, Schema schema, Long originId, String dataSourceName) throws UpdateTaskException;
}
