package com.onaro.sanscreen.server.sessions;


import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

import com.onaro.util.sessions.RemoteAppSessionFactory;

public class SessionFactory {

    private static Context initialContext = null;

    @SuppressWarnings({"RedundantCast"})
    public static synchronized <E> E createSession(final String jndiName) throws NamingException {
        if (isRemoteApp()) {
            return RemoteAppSessionFactory.INSTANCE.lookup(jndiName);
        } else {
            if (initialContext == null) {
                initialContext = new InitialContext();
            }
            //noinspection unchecked
            return (E) initialContext.lookup(jndiName);
        }
    }

    public static boolean isRemoteApp() {
        return Boolean.valueOf(System.getProperty("remoteApp", "false")).booleanValue();
    }
}
