/*
 * Copyright (c) 2010 NetApp
 * All rights reserved
 */

package com.onaro.sanscreen.server.sessions;

import com.onaro.sanscreen.server.interfaces.data.ServerInterfaceException;
import com.netapp.oci.platform.common.table.TableException;

import javax.ejb.Remote;
import java.rmi.RemoteException;

/**
 * @author carl.chan-aldebol
 */
@Remote
public interface StartupSession {
    String JNDI_NAME = "ejb:mega-app/server-core//StartupSessionEJB!com.onaro.sanscreen.server.sessions.StartupSession";

    void clearSanData() throws TableException;

    void clearAllData() throws TableException;

    void clearChanges() throws TableException;

    /**
     * Clears and resets all the memory cache we keep in the server.
     *
     * @throws RemoteException
     */
    public void clearAllCaches() throws TableException;

    void restartServer();

    void restartAcq();

    /**
     * Changes the prefix of the database (to a customer). {@code null} means no prefix.
     *
     * @param mysqlHost
     * @param prefix
     */
    void setPrefixDatabase(String mysqlHost, String prefix) throws ServerInterfaceException;
}
