package com.onaro.sanscreen.server.sessions;

import javax.ejb.Remote;

/**
 * @author carl.chan-aldebol
 */
@Remote
public interface SummarySession {
    String JNDI_NAME = "ejb:mega-app/server-core//SummarySessionEJB!com.onaro.sanscreen.server.sessions.SummarySession";

    /**
     * get violation and daily changes for the client
     *
     * @return
     */

    /**
     * Gets the version of the server's code. The version is read from the file
     * "About.properties" which should be in the root of the configuration jar.
     */
    public String getCodeVersion() throws SummaryException;

    /**
     * Gets the build-number of the server's code. The build number is read from the file
     * "About.properties" which should be in the root of the configuration jar.
     */
    public String getCodeBuildNumber() throws SummaryException;

    /**
     * Gets the current site name as specified by the "phone home" settings. If the name was never set, it'll return
     * the name of the server computer.<br>
     *
     * @return the current site name
     */
    public String getSiteName() throws SummaryException;

    /**
     * Gets the current site name as specified by the "phone home" settings. If the name was never set, it'll return
     * the name of the server computer.<br>
     *
     * @return the current site name
     */
    public String getDatabaseVersion() throws SummaryException;

    /**
     * Gets current time
     *
     * @return the current time
     */
    public long getCurrentTime();
}
