/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.onaro.sanscreen.server.sessions;

import com.netapp.oci.server.UpdateTask;
import com.netapp.oci.server.UpdateTaskException;
import com.netapp.oci.server.UpdateTaskExecute;
import org.slf4j.Logger;

import javax.annotation.Resource;
import javax.annotation.security.RolesAllowed;
import javax.annotation.security.RunAs;
import javax.ejb.SessionContext;
import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;


@Stateless
@TransactionAttribute(TransactionAttributeType.REQUIRES_NEW)
@RolesAllowed({"guest", "user", "admin", "scheduler"})
@RunAs("admin")
public class UpdateTaskExecuteSessionEJB implements UpdateTaskExecuteSession {

    @Resource
    private SessionContext sessionContext;

    static transient final Logger logger =org.slf4j.LoggerFactory.getLogger("com.onaro.sanscreen.server.sessions");

    public boolean execute(UpdateTask task) throws UpdateTaskException {
        try {
            UpdateTaskExecute updateTaskExecute = UpdateTaskExecute.getInstance();
            return updateTaskExecute.run(task);
        } catch (UpdateTaskException e) {
            logger.error("Fail execute task " + task.getClass().getName(), e);
            sessionContext.setRollbackOnly();
            throw e;
        }
    }
}
