package com.onaro.sanscreen.server.tables.acquisition;

import com.netapp.oci.platform.common.table.TableException;
import com.onaro.sanscreen.server.dataobject.acquisition.AcquisitionUnitAudit;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.List;

public class AcquisitionUnitAuditTable extends AcquisitionTable<AcquisitionUnitAudit> {

    private static final String TABLE_NAME = "au_audit";

    public AcquisitionUnitAuditTable(Connection connection) {
        super(connection, TABLE_NAME);
    }

    
    public AcquisitionUnitAudit parseObject(final ResultSet resultSet) throws SQLException {
        return new AcquisitionUnitAudit(resultSet.getLong("time"),
                resultSet.getString("name"),
                resultSet.getString("status")
        );
    }

    public void deleteByName(final String auditName) throws TableException {
        StringBuilder sb = new StringBuilder();
        sb.append("DELETE a FROM ")
                .append(getFullName())
                .append(" a  JOIN ")
                .append(AcquisitionUnitTableNew.FULL_TABLE_NAME())
                .append(" b ON a.au_id = b.id ")
                .append(" WHERE b.name=? ");

        getPrepareStatementEx(sb.toString()).setNext(auditName).executeUpdateEx();
    }

    public List<AcquisitionUnitAudit> selectByName(final String auditName) throws TableException {
        StringBuilder sb = new StringBuilder();
        sb.append("SELECT a.time, b.name, a.status FROM ")
                .append(getFullName())
                .append(" a  JOIN ")
                .append(AcquisitionUnitTableNew.FULL_TABLE_NAME())
                .append(" b ON a.au_id = b.id ")
                .append(" WHERE b.name=? ");

        return getPrepareStatementEx(sb.toString()).setNext(auditName).executeQueryEx();
    }
}
