package com.onaro.sanscreen.server.tables.acquisition;

import com.netapp.oci.platform.common.table.TableException;
import com.onaro.sanscreen.server.dataobject.acquisition.AcquisitionUnit;
import com.onaro.sanscreen.server.dataobject.acquisition.AcquisitionUnitNew;

import java.sql.Connection;
import java.util.Collection;
import java.util.LinkedList;
import java.util.List;

/**
 * @deprecated : Use AcquisitionUnitTableNew 
 */
public class AcquisitionUnitTable {

    final private AcquisitionUnitTableNew auTable ;

    public AcquisitionUnitTable(final Connection connection) {
        auTable = new AcquisitionUnitTableNew(connection);
    }

    public void insert(final AcquisitionUnit acqUnit) throws TableException {
        AcquisitionUnitNew au = new AcquisitionUnitNew(acqUnit);
        auTable.insert(au);
    }

    public void update(final AcquisitionUnit acqUnit) throws TableException {
        AcquisitionUnitNew au = new AcquisitionUnitNew(acqUnit);
        auTable.update(au);
    }

    public List findAll() throws TableException {
        return convertFromNewToOld(auTable.findAll());
    }

    public List findAllBrokenLeases() throws TableException {
        return convertFromNewToOld(auTable.findAllBrokenLeases(System.currentTimeMillis()));
    }

    public List findAllBrokenLeases(long time) throws TableException {
        return convertFromNewToOld(auTable.findAllBrokenLeases(time));
    }

    public void deleteAll()throws TableException {
        auTable.deleteAll();
    }

    public AcquisitionUnit findByName(final String name) throws TableException {
        return auTable.getByName(name).getAcquisitionUnit();
    }

    public void deleteByName(final String name) throws TableException {
        auTable.deleteByName(name);
    }

    private List convertFromNewToOld(Collection resultsNew){
        List result = new LinkedList();
        for( Object auNew : resultsNew){
            AcquisitionUnitNew au = (AcquisitionUnitNew) auNew;
            result.add(au.getAcquisitionUnit());
        }

        return result;
    }

    public List selectByName(final String acquisitionUnitName) throws TableException {
        return convertFromNewToOld(auTable.findByName(acquisitionUnitName));
    }
}



