package com.onaro.sanscreen.server.tables.acquisition;

import com.netapp.oci.platform.common.table.TableException;
import com.onaro.sanscreen.server.dataobject.acquisition.AcquisitionAuditMessage;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.List;

/**
 *     
 */
public class DataSourceAuditDetailsTable extends AcquisitionTable<AcquisitionAuditMessage> {

    private static final String TABLE_NAME = "ds_audit_details";

    public DataSourceAuditDetailsTable(Connection connection) {
        super(connection, TABLE_NAME);
    }

    public AcquisitionAuditMessage parseObject(final ResultSet resultSet) throws SQLException {
        return new AcquisitionAuditMessage(resultSet.getLong("id"), resultSet.getLong("audit_id"), resultSet.getString("device_key"), resultSet.getString("type"), resultSet.getString("title"), resultSet.getString("message"));
    }

    public void insert(final AcquisitionAuditMessage message) throws TableException {
        getPrepareStatementEx("INSERT INTO " + getFullName() + " (device_key, audit_id, type, title, message) VALUES(?, ?, ?, ?, ?)")
                .setNext(message.getDeviceName())
                .setNext(message.getAuditId())
                .setNext(message.getType())
                .setNext(message.getTitle())
                .setNext(message.getMessage())
                .executeUpdateEx();
    }

    /**
     * return the List of <link>AcquisitionAuditMessage</link> ordered by  id ( insertion order ).
     *
     * @param audit_id
     *
     * @return
     *
     * @throws TableException
     */

    public List<AcquisitionAuditMessage> getAuditMessagesByAuditID(final Long audit_id) throws TableException {
        return getPrepareStatementEx("SELECT * FROM " + getFullName() + " WHERE audit_id=? order by id").setNext(audit_id).executeQueryEx();
    }


}
