/*
 * OriginatorRecord
 *
 * Copyright (c) 2008 NetApp
 * All rights reserved
 */
package com.onaro.sanscreen.server.tables.acquisition;

import java.io.Serializable;

public class Originator implements Serializable{

    private final static long serialVersionUID = 1L;

    private long id;
    private long ds_id;
    private String deviceKey;
    private String name;
    private long lastAccessTime;

    public Originator(final long originatorID, final long datasourceID, final String deviceKey, final String originatorName) {
        this(originatorID, datasourceID, deviceKey, originatorName, System.currentTimeMillis());
    }

    public Originator(final long originatorID, final long datasourceID, final String deviceKey, final String originatorName, long lastAccessTime) {
        this.id = originatorID;
        this.ds_id = datasourceID;
        this.deviceKey = deviceKey;
        this.name = originatorName;
        this.lastAccessTime = lastAccessTime;
    }

    public long getId() {
        return id;
    }

    public void setId(final long id) {
        this.id = id;
    }

    public long getDsId() {
        return ds_id;
    }

    public void setDsId(final long ds_id) {
        this.ds_id = ds_id;
    }

    public String getDeviceKey() {
        return deviceKey;
    }

    public void setDeviceKey(final String deviceKey) {
        this.deviceKey = deviceKey;
    }

    public String getName() {
        return name;
    }

    public void setName(final String name) {
        this.name = name;
    }

    public long getLastAccessTime() {
        return lastAccessTime;
    }

    public void setLastAccessTime(long lastAccessTime) {
        this.lastAccessTime = lastAccessTime;
    }
}
