/*
 * Copyright (c) 2009 NetApp
 * All rights reserved
 */

package com.onaro.sanscreen.server.tables.idgenerator;

/**
 * Default implementation of id manager.
 * Implements algorithm of managing hard reference/soft reference ids.
 *
 * The idea of the algorithm is that ids are stored in two maps for each object type or,
 * in other words, for each object key type. One map is stored as hard reference and has key -> id association
 * and is used to store recently processed ids, the other map is soft reference and stores all key->id associations
 * loaded from database for specific table.
 *
 * Since it is soft reference, every time Garbage Collector (GC) decides to free some memory reference to the
 * map becomes <code>null</code> and next time lookup is doen for object type map will be reloaded from database
 * with fresh data and hard refernce map will be filtered from all ids that soft reference map already has.
 *
 * @author Anton Sergeev
 */
public class IdManagerDefaultImpl implements IdManager {

    public synchronized void reset() {
    }
}
