/*
 * Copyright (c) 2010 NetApp
 * All rights reserved
 */

package com.onaro.sanscreen.server.tables.idgenerator;

import com.netapp.oci.platform.common.table.Table;
import com.netapp.oci.platform.common.table.TableException;
import com.onaro.commons.table.DbConfig;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.List;

public class IdTable extends Table<Long> {

    private static final String TABLE_NAME = "id";
    private static final int HANDLE_ID = 1;

    private String SQL_SELECT_MAX_ID;
    private String SQL_UPDATE;

    public IdTable(Connection connection) {
        super(connection, DbConfig.getManagementDbName(), TABLE_NAME);

        SQL_SELECT_MAX_ID = "SELECT value FROM " + getFullName() + " WHERE id = " + HANDLE_ID;
        SQL_UPDATE = "UPDATE " + getFullName() + " SET value=?" + " WHERE id = " + HANDLE_ID;
    }

    public Long parseObject(ResultSet resultSet) throws SQLException {
        return new Long(resultSet.getLong(1));
    }

    public long getNextSeedNumber() throws TableException {
        List<Long> records = getPrepareStatementEx(SQL_SELECT_MAX_ID).executeQueryEx();
        if (records.size() == 0) {
            throw new TableException("Failed getMaxId - ResultSet is empty query : ");
        }
        long seed = records.get(0).longValue();
        getPrepareStatementEx(SQL_UPDATE).setNext(seed + IdGenerator.QUANTUM).executeUpdateEx();
        return seed;
    }

    public void reset() throws TableException {
        getPrepareStatementEx(SQL_UPDATE).setNext(1).executeUpdateEx();
    }
}