package com.onaro.sanscreen.server.tables.idgenerator;

import org.slf4j.Logger;

import java.security.MessageDigest;
import java.math.BigInteger;

/**
 * User: al.velella
 * Date: Jul 9, 2007
 * Time: 5:31:08 PM
 */
public class OidIdGenerator {
    static transient final org.slf4j.Logger logger =org.slf4j.LoggerFactory.getLogger("com.onaro.sanscreen.server.tables");

    private static final MessageDigest md5MessageDigest;

    static {
        try {
            md5MessageDigest = java.security.MessageDigest.getInstance("MD5");
        } catch (Exception ex) {
            throw new RuntimeException(ex);
        }
    }
    /**
     * Return an hash id
     *
     * @param oid - object id as string provided by acquisition
     *
     * @return hash id
     */
    synchronized public static Long getObjId(String oid) {
        byte [] bytes = md5MessageDigest.digest(oid.getBytes());
        BigInteger bigInt = new BigInteger(bytes);
        return Long.valueOf(Math.abs(bigInt.longValue()));
    }
}
