package com.onaro.sanscreen.util;

import javax.naming.NamingException;

import com.onaro.sanscreen.server.sessions.SessionFactory;

public class JndiHelper {

    /**
     * Looks up a EJB interface bound to a name
     * @param name the JNDI name to be looked up
     * @return The interface bound to the specified name
     * @throws NamingException if the lookup failed
     * @deprecated Does exactly the same thing as getEJB(). Use getEJB() instead.
     */
    public static Object getLocalEJB(String name) throws NamingException {
        return getEJB(name);
    }

    /**
     * Looks up a EJB interface bound to a name
     * @param name the JNDI name to be looked up
     * @return The interface bound to the specified name
     * @throws NamingException if the lookup failed
     */
    public static Object getEJB(String name) throws NamingException {
        return SessionFactory.createSession(name);
    }

    /**
     * Looks up a EJB interface bound to a name. Similar to getEJB, but uses the no-parameter login() method to log in
     * as "guest", and checks for a LoginException.
     *
     * @param name the JNDI name to be looked up
     * @return The interface bound to the specified name
     * @throws NamingException if the lookup failed, or the login failed
     */
    public static Object getGuestEJB(String name) throws NamingException {

        return getEJB(name);
    }
}
