/**
 * Created by IntelliJ IDEA. User: asaf.yigal Date: Nov 8, 2002 Time: 4:08:14 PM To change this template use Options |
 * File Templates.
 */
package com.onaro.sanscreen.util;

import java.text.MessageFormat;
import java.util.Collections;
import java.util.Map;

import javax.security.auth.login.AppConfigurationEntry;
import javax.security.auth.login.Configuration;
import javax.security.auth.login.AppConfigurationEntry.LoginModuleControlFlag;

import org.slf4j.Logger;
import org.jboss.security.ClientLoginModule;

public class LoginConfiguration extends Configuration {

	static final Logger logger =org.slf4j.LoggerFactory.getLogger(LoginConfiguration.class);
	
	private AppConfigurationEntry[] appConfigurationEntry;

	public LoginConfiguration() {
		//do nothing
	}

	@Override
	public AppConfigurationEntry[] getAppConfigurationEntry(String applicationName) {
		if (appConfigurationEntry == null) {
			appConfigurationEntry = createAppConfigurationEntry(applicationName);
		}
		
		return appConfigurationEntry;
	}
	
	private AppConfigurationEntry[] createAppConfigurationEntry(String applicationName) {
		
		if (logger.isDebugEnabled()) {
			String msgPattern = "Creating AppConfigurationEntry for application: {0}";
			String msg = MessageFormat.format(msgPattern, applicationName);
			logger.debug(msg);
		}
		
		//force the class to be loaded here
		String loginModuleName = ClientLoginModule.class.getName();
		LoginModuleControlFlag controlFlag = AppConfigurationEntry.LoginModuleControlFlag.REQUIRED;
		Map<String,Object> options = Collections.emptyMap();

		AppConfigurationEntry ace = new AppConfigurationEntry(loginModuleName, controlFlag, options);
		
		return new AppConfigurationEntry[] {ace};
		
		// Map prop = new HashMap ();
		// prop.put("dsJndiName", "java:/onaro_pool");
		// prop.put("principalsQuery", "select passwd from sanscreen.user username where username=?");
		// prop.put("rolesQuery", "select userRole, 'Roles' from sanscreen.user_role where username=?");
		// conf[0] = new AppConfigurationEntry("org.jboss.security.auth.spi.DatabaseServerLoginModule",
		// AppConfigurationEntry.LoginModuleControlFlag.REQUIRED, prop);
	}

	@Override
	public void refresh() {
		// do nothing
	}
}
