package com.onaro.sanscreen.util.xml;

import org.xml.sax.SAXException;
import org.xml.sax.Attributes;

public class SaxPrintHandler extends DefaultHandler  {

    StringBuilder sb;

    public void startDocument () throws SAXException    {
        sb = new StringBuilder();
    }

    public void startElement (String uri, String localName, String qName, Attributes attributes)
    throws SAXException    {

        sb.append("<").append(localName);

        int size = attributes.getLength();
        for (int i=0 ; i<size ; i++){
            sb.append(" ");
            sb.append(attributes.getLocalName(i));
            sb.append("=\"");
            sb.append(attributes.getValue(i));
            sb.append("\"");
        }
        sb.append(">");
    }

    public void endElement (String uri, String localName, String qName)
    throws SAXException    {
        sb.append("</").append(localName).append(">");
    }

    public void characters (char ch[], int start, int length)
        throws SAXException    {
        sb.append(ch, start, length);
    }


    public void endDocument () 	throws SAXException {
    }

    public String toString(){
        return sb.toString();
    }

    public static void main(String[] args) {
        DefaultHandler h = new SaxPrintHandler();
        try {
            new SaxParserWrapper(h).run("/Onaro/QA/test-sax.xml");
            System.out.println(h);
        } catch(XMLException e) {
            e.printStackTrace();
        }
    }
}