package com.onaro.util;

import java.util.concurrent.ConcurrentHashMap;

public class CaseInsensitiveConcurrentMap<V> extends ConcurrentHashMap<String,V> {

    public V putIfAbsent(String key, V value) {
        return super.putIfAbsent(normalize(key), value);
    }

    public V get(String key) {
        return super.get(normalize(key));
    }

    private String normalize(String key) {
        return key.trim().toLowerCase();
    }
}