package com.onaro.util;

import java.util.Map;
import java.util.HashMap;

public class CaseInsensitiveMap<T> {
    private Map<String, T> delegate;

    public CaseInsensitiveMap() {
        this(new HashMap<String, T>());
    }

    public CaseInsensitiveMap(Map<String, T> delegate) {
        this.delegate = delegate;
    }

    public T put(String key, T value) {
        return delegate.put(normalize(key), value);
    }


    public T get(String key) {
        return delegate.get(normalize(key));
    }

    private String normalize(String key) {
        return key.trim().toLowerCase();
    }
}
