package com.onaro.util;

import java.util.*;

public class SetUtil {
    /**
     * syntactic sugar method creating a set out of arbitrary list of items of some type
     * @return a set of t
     */
    public static <T> Set<T> setOf(T ... t) {
        return new HashSet<T>(Arrays.asList(t));
    }

    /**
     * checks intersection between two sets
     * @param set1 a set
     * @param set2 another set
     * @return true only if at least on member exists in both sets
     */
    public static boolean intersects(Set set1, Set set2){
        if(set1 != null && set2 != null) {
            Set smallerSet = set1.size() < set2.size() ? set1 : set2;
            Set otherSet = smallerSet == set1 ? set2 : set1;

            for (Object o : smallerSet) {
                if (otherSet.contains(o)) {
                    return true;
                }
            }
        }
        return false;
    }
}
